////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2023-07-07 10:34:50
////////////////////

using System;
using Newtonsoft.Json;

/// <summary>
/// Static Modle globalsettings 全局参数
/// </summary>
sealed public partial class globalsettings
{

    /// <summary>
    /// demo 
    /// </summary>
    public string key { get; set; }

    /// <summary>
    /// 某战斗开启的玩家等级限制 
    /// </summary>
    public int Fight_OpenLevelLimit { get; set; }

    /// <summary>
    /// 英雄升级_消耗卡牌的卡槽，最大数量 
    /// </summary>
    public int Hero_Upgrade_MaxCostHeroCardNum { get; set; }

    /// <summary>
    /// 七日大奖要求完成的任务点数 
    /// </summary>
    public string day7_dianshu { get; set; }

    /// <summary>
    /// 七日最终奖励 
    /// </summary>
    public string day7_reward { get; set; }

    /// <summary>
    /// 装备经验=吞噬经验X系数+初始值 
    /// </summary>
    public float shengxing_xishu { get; set; }

    /// <summary>
    /// 升级成为高1等级的宝石需要的数量 
    /// </summary>
    public string baoshi_shengjishu { get; set; }

    /// <summary>
    /// 游戏内玩家账号的最高等级限制 
    /// </summary>
    public string Game_MaxPlayerLevel { get; set; }

    /// <summary>
    /// 战斗内攻击时间间隔（毫秒） 
    /// </summary>
    public string Fight_AttackTime { get; set; }

    /// <summary>
    /// 英雄升级_当前卡提供的基础经验值 
    /// </summary>
    public string Hero_Upgrade_BasicEXP { get; set; }

    /// <summary>
    /// 英雄升级_当前卡的累计经验值,折扣系数 
    /// </summary>
    public float Hero_Upgrade_EXP_XiShu { get; set; }

    /// <summary>
    /// 英雄升级_获得经验与消耗金币之间的系数 
    /// </summary>
    public string Hero_Upgrade_ExpConverGold { get; set; }

    /// <summary>
    /// 英雄升级——英雄能达到的最大等级 
    /// </summary>
    public string Hero_Upgrade_BasicMaxLevel { get; set; }

    /// <summary>
    /// 英雄升星——最大星级 
    /// </summary>
    public string Hero_Star_MaxStarLevel { get; set; }

    /// <summary>
    /// 英雄升星——升星消耗的道具种类 (  金元素) 
    /// </summary>
    public string Hero_Star_CostItem_1 { get; set; }

    /// <summary>
    /// 英雄升星——升星消耗的道具种类 (  木元素) 
    /// </summary>
    public string Hero_Star_CostItem_2 { get; set; }

    /// <summary>
    /// 英雄升星——升星消耗的道具种类 (  水元素) 
    /// </summary>
    public string Hero_Star_CostItem_3 { get; set; }

    /// <summary>
    /// 强化5，10级时，当前属性乘以一次系数 
    /// </summary>
    public string item_qianghua { get; set; }

    /// <summary>
    /// 英雄升星——升星消耗的道具种类 (  火元素) 
    /// </summary>
    public string Hero_Star_CostItem_4 { get; set; }

    /// <summary>
    /// 英雄升星——升星消耗的道具种类 (  土元素) 
    /// </summary>
    public string Hero_Star_CostItem_5 { get; set; }

    /// <summary>
    /// 英雄装备_每个卡槽的开放要求好感度 
    /// </summary>
    public string Hero_Equip_SlotOpenConditions_Favor { get; set; }

    /// <summary>
    /// 英雄分解——不同的星星数量分解转换的晶石数量 
    /// </summary>
    public string Hero_Separate_StarConvertToSpar { get; set; }

    /// <summary>
    /// 英雄分解—— 消耗卡牌的卡槽，最大数量 
    /// </summary>
    public string Hero_Separate_MaxCostHeroCardNum { get; set; }

    /// <summary>
    /// 英雄升星——消耗英雄的卡槽，最大数量 
    /// </summary>
    public string Hero_Star_MaxCostHeroCardNum { get; set; }

    /// <summary>
    /// 英雄升阶——最大等阶 
    /// </summary>
    public string Hero_Stength_MaxStrengthLevel { get; set; }

    /// <summary>
    /// 游戏账号内_默认,收集的英雄数量上限 
    /// </summary>
    public string Game_CollectHero_BasicMaxCount { get; set; }

    /// <summary>
    /// 游戏账号内_收集的英雄数量上限_每次购买数目 
    /// </summary>
    public string Game_CollectHero_OneBuyLimtNum { get; set; }

    /// <summary>
    /// 战斗_每个页面上存在的关卡的数量（删） 
    /// </summary>
    public string Battle_GateNumOnePage { get; set; }

    /// <summary>
    /// 默认背包最大数量 
    /// </summary>
    public string Item_Packet_MaxNum { get; set; }

    /// <summary>
    /// 每开10个格子需要消耗的钻石价格 
    /// </summary>
    public string Item_Packet_NumCostCash { get; set; }

    /// <summary>
    /// 英雄评论区一个赞的排行权重(秒), 3600秒
    /// Ps. 暂行公式: score = ts + praise * weight
    ///   按照score 从大到小排序. 
    /// </summary>
    public string Hero_Discuss_Praise_weight { get; set; }

    /// <summary>
    /// 战前消耗金币购买buff 
    /// </summary>
    public string Battle_CostGoldBuyBuff { get; set; }

    /// <summary>
    /// 战斗计算的 格属性比重系数（李宁） 
    /// </summary>
    public string Battle_PowerFactor { get; set; }

    /// <summary>
    /// 单场战斗总时间, 单位毫秒 
    /// </summary>
    public string Battle_BattleShowTime { get; set; }

    /// <summary>
    /// 战斗队伍最大人数（千万别改） 
    /// </summary>
    public string Battle_BattleTeamMaxFighter { get; set; }

    /// <summary>
    /// 己方释放技能恢复己方团队能量值 
    /// </summary>
    public string Battle_IncreasePowerByCastSkill { get; set; }

    /// <summary>
    /// 己方连击能量值上限（数值满足时，可以进行连击） 
    /// </summary>
    public string Battle_BlueTeamMaxPower { get; set; }

    /// <summary>
    /// 神秘商城, 刷新时间间隔(单位: 秒) 
    /// </summary>
    public string secretshop_refresh_interval { get; set; }

    /// <summary>
    /// 物品栏购买栏位梯度价格 
    /// </summary>
    public string Item_Packet_MaxNumPrice { get; set; }

    /// <summary>
    /// 游戏账号内_收集的英雄数量上限_英雄栏购买栏位梯度价格 
    /// </summary>
    public string Game_CollectHero_BasicMaxPrice { get; set; }

    /// <summary>
    /// 无穷无尽关卡——每天的挑战次数总上限 
    /// </summary>
    public string Battle_Forever_MaxCountEveryDay { get; set; }

    /// <summary>
    /// 玩家发送一条系统消息消(当前分区)耗钻石数量 
    /// </summary>
    public string SystemMessage_UserSendToMyZone_Cos { get; set; }

    /// <summary>
    /// 系统消息 - 对英雄升星进行系统广播的最低星级限制 
    /// </summary>
    public string SystemMessage_HeroStar_Limit_Min { get; set; }

    /// <summary>
    /// 系统消息 - 对英雄升阶进行系统广播的最低等阶限制 
    /// </summary>
    public string SystemMessage_HeroStage_Limit_Min { get; set; }

    /// <summary>
    /// 系统消息 - 对装备强化进行系统广播的最低等级限制 
    /// </summary>
    public string SystemMessage_WeaponLevel_Limit_Min { get; set; }

    /// <summary>
    /// 新手引导中抽奖的掉落 
    /// </summary>
    public string choujiang_guide_items { get; set; }

    /// <summary>
    /// 神秘商城最单个物品大购买次数 
    /// </summary>
    public string secretshop_itembuy_maxtimes { get; set; }

    /// <summary>
    /// 宝箱开启里大R充值判断条件 
    /// </summary>
    public string bigRPay_Condition { get; set; }

    /// <summary>
    /// 宝箱开启里大R当日抽奖次数判断条件 
    /// </summary>
    public string bigROpenBoxTimesDayliy_Condition { get; set; }

    /// <summary>
    /// 修改昵称消耗的钻石,0代表不消耗 
    /// </summary>
    public string User_SetNickname_Cost { get; set; }

    /// <summary>
    /// 新手引导中发放所需碎片(cardid,numb;cardid,num...) 
    /// </summary>
    public string User_SetNewbieGuideCards { get; set; }

    /// <summary>
    /// 系统设定: 操作日志保存天数 
    /// </summary>
    public string syscfg_oplog_keepdays { get; set; }

    /// <summary>
    /// 装备属性升级的参数 
    /// </summary>
    public string Equip_Upgrade_Property { get; set; }

    /// <summary>
    /// 神秘商城最大刷新次数 
    /// </summary>
    public string secretshop_refresh_maxtimes { get; set; }

    /// <summary>
    /// 己方连击（倒计时）时间 
    /// </summary>
    public string Battle_BlueCriticalTime { get; set; }

    /// <summary>
    /// 连击伤害概率（x/100) 
    /// </summary>
    public string Battle_BattleLianJiDamageRate { get; set; }

    /// <summary>
    /// 竞技商店 - 刷新花费(钻石) 
    /// </summary>
    public string PVP_shop_refresh_cash { get; set; }

    /// <summary>
    /// 竞技商店 - 免费刷新间隔 
    /// </summary>
    public string PVP_shop_refresh_interval { get; set; }

    /// <summary>
    /// 碎片融合时需要花费的金币 
    /// </summary>
    public string Compose_Pieces_Gold { get; set; }

    /// <summary>
    /// 首充活动礼包的商品ID 
    /// </summary>
    public string FirstPay_ItemId { get; set; }

    /// <summary>
    /// 赠送体力的时间段(24小时的数字无前导0, 逗号分隔) 
    /// </summary>
    public string activity_presentTili_times { get; set; }

    /// <summary>
    /// 每次赠送体力的数量 
    /// </summary>
    public string activity_presentTili_number { get; set; }

    /// <summary>
    /// 竞技场-挑战票价格(钻石) 
    /// </summary>
    public string PVP_pk_ticket_price { get; set; }

    /// <summary>
    /// 【废弃】当前客户端版本号 
    /// </summary>
    public string clientVer { get; set; }

    /// <summary>
    /// 支付模块是否开放 
    /// </summary>
    public string Game_Pay_Open { get; set; }

    /// <summary>
    /// 更新开始时间戳 
    /// </summary>
    public string updatingBeginTs { get; set; }

    /// <summary>
    /// 更新结束时间戳 
    /// </summary>
    public string updatingEndTs { get; set; }

    /// <summary>
    /// 开宝箱的公共冷却值（热保护值） 
    /// </summary>
    public string Box_Total_CoolDown { get; set; }

    /// <summary>
    /// 免cd开各种宝箱所花费的钻石数。 
    /// </summary>
    public string Box_NoCoolDown_Cash { get; set; }

    /// <summary>
    /// 任务卡商城 - 手动刷新消耗钻石数量  
    /// </summary>
    public string TaskCardShop_Refresh_Cash { get; set; }

    /// <summary>
    /// 任务卡商城 - 自动刷新间隔(秒) 
    /// </summary>
    public string TaskCardShop_Refresh_TS { get; set; }

    /// <summary>
    /// 新手祈愿奖池 限定次数上限  
    /// </summary>
    public string UserWishNumLimit { get; set; }

    /// <summary>
    /// 武器等级最大值 
    /// </summary>
    public string Weapon_Upgrade_BasicMaxLevel { get; set; }

    /// <summary>
    /// 系统额定增加，比如每次加价10钻石 
    /// </summary>
    public string AuctionAddPrice { get; set; }

    /// <summary>
    /// 竞拍结束时间 
    /// </summary>
    public string AuctionEndTs { get; set; }

    /// <summary>
    ///  
    /// </summary>
    public string IdeaBackActive { get; set; }

    /// <summary>
    /// 描述信息 
    /// </summary>
    public string firstRechargePrizes { get; set; }

    /// <summary>
    ///  
    /// </summary>
    public string BugBackActive { get; set; }

    /// <summary>
    /// 首次充值金额达到指定值 
    /// </summary>
    public string firstRechargeRMB { get; set; }

    /// <summary>
    /// 活动祈愿保底必出UR唤灵师次数设置 
    /// </summary>
    public string Active_UR_Num { get; set; }

    /// <summary>
    /// 新手引导中发放所需经验卡(id,num;id,num...) 
    /// </summary>
    public string User_SetNewbieGuideExps { get; set; }

    /// <summary>
    /// 游戏聊天功能——是否开放 1开放0 关闭 
    /// </summary>
    public string Game_ChatIsOpen { get; set; }

    /// <summary>
    /// 游戏引导功能——是否开放 1开放0 关闭 
    /// </summary>
    public string Game_Guide_IsOpen { get; set; }

    /// <summary>
    /// 己方（释放技能）共用总能量条（按时间增长） 
    /// </summary>
    public string Battle_BlueTeamMaxSkillPower { get; set; }

    /// <summary>
    /// 敌方（释放技能）共用总能量条（按时间增长） 
    /// </summary>
    public string Battle_RedTeamMaxSkillPower { get; set; }

    /// <summary>
    /// 系统公告图片的网址 
    /// </summary>
    public string Game_PublicNotice { get; set; }

    /// <summary>
    /// 进入战场后,角色初始能量（sp) 
    /// </summary>
    public string Arenas_Init_SP { get; set; }

    /// <summary>
    /// 普通攻击（一击）命中目标并造成上海， 增加3点能量SP 
    /// </summary>
    public string Arenas_hit_SP { get; set; }

    /// <summary>
    /// 触发极限闪避并进入【失控漩涡】时间， 增加2点能量SP 
    /// </summary>
    public string Arenas_jixianshanbi_SP { get; set; }

    /// <summary>
    /// 背包最大数量 
    /// </summary>
    public string Item_Packet_MaxNum_New { get; set; }

    /// <summary>
    /// 背包起始默认数量 
    /// </summary>
    public string Item_Packet_InitNum_New { get; set; }

    /// <summary>
    /// 限时活动礼包开始时间 
    /// </summary>
    public string limitTsActiveGiftStartTs { get; set; }

    /// <summary>
    /// 限时活动礼包结束时间 
    /// </summary>
    public string limitTsActiveGiftEndTs { get; set; }

    /// <summary>
    /// 扩容第三个格子的花费 
    /// </summary>
    public string expandStorageCost { get; set; }

    /// <summary>
    /// 战斗槽位冷却时间 
    /// </summary>
    public string caoWeiCoolTs { get; set; }

    /// <summary>
    /// 血瓶生命初始值和蓝瓶的魔法的初始值 
    /// </summary>
    public string YaoPingAttrInitVal { get; set; }

    /// <summary>
    /// 每日任务等级限制解锁 
    /// </summary>
    public string DailyTaskLevelLimitLock { get; set; }

    /// <summary>
    /// 每日任务常规任务 
    /// </summary>
    public string dailyTask_Common { get; set; }

    /// <summary>
    /// 每日任务交付任务 
    /// </summary>
    public string dailyTask_HandOver { get; set; }

    /// <summary>
    /// 每日购买体力消费 
    /// </summary>
    public string active_BuyTili_Cost { get; set; }

    /// <summary>
    /// 每次购买体力的体力回复值 
    /// </summary>
    public string active_BuyTili_RecoveryNum { get; set; }

    /// <summary>
    /// 每日购买体力次数限制 
    /// </summary>
    public string active_BuyTili_DailyNum { get; set; }

    /// <summary>
    /// 自动恢复体力的上线值 
    /// </summary>
    public string TiliMaxVal { get; set; }

    /// <summary>
    /// 原地满血复活消耗的钻石 
    /// </summary>
    public string backFullBloodCost { get; set; }

    /// <summary>
    /// 限购里累计998可得武器 
    /// </summary>
    public string AccumulateRechargePrize { get; set; }

    /// <summary>
    /// 免费原地满血复活次数 
    /// </summary>
    public string battleReviveNum { get; set; }

    /// <summary>
    /// 言灵品阶分组 
    /// </summary>
    public string yanlingExpQualityGroup { get; set; }

    /// <summary>
    /// 恢复一点体力所需时间(秒) 
    /// </summary>
    public string active_Tili_RecoverTS { get; set; }

    [JsonConstructor]
    private globalsettings (){ }

}

