////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2023-06-28 18:04:50
////////////////////

using System;
using Newtonsoft.Json;

/// <summary>
/// Static Modle task_step 任务步骤
/// </summary>
sealed public partial class sm_task_step
{

    /// <summary>
    /// 索引 default(0)
    /// </summary>
    public Int32 id { get; set; }

    /// <summary>
    /// 名称 
    /// </summary>
    public String name { get; set; }

    /// <summary>
    /// 类型(1.主线任务；2.每日任务；3.特殊任务；4.软引导；5.任务卡； 999 新手引导） default(0)
    /// </summary>
    public Int32 type { get; set; }

    /// <summary>
    /// 等级要求(未达到等级时, 前往变为等级提示) default(0)
    /// </summary>
    public Int32 minlv { get; set; }

    /// <summary>
    /// 【用于任务卡任务时未启用】任务品质: 1白色, 2绿色, 3蓝色, 4紫色, 5橙色, 6红色 default(0)
    /// </summary>
    public Int32 qual { get; set; }

    /// <summary>
    /// 图标 
    /// </summary>
    public String icon { get; set; }

    /// <summary>
    /// 图片 
    /// </summary>
    public String img { get; set; }

    /// <summary>
    /// [言灵] 前置任务列表（多个任务id逗号隔开，没有则置空） 
    /// </summary>
    public String prelist { get; set; }

    /// <summary>
    /// [言灵] 任务的起始动作（动作表id逗号隔开，没有则置空） 
    /// </summary>
    public String startact { get; set; }

    /// <summary>
    /// 指令类型（默认为cmd的百位数） default(0)
    /// </summary>
    public Int32 cmdtype { get; set; }

    /// <summary>
    /// 事件件码指令（详见文档） default(0)
    /// </summary>
    public Int32 cmd { get; set; }

    /// <summary>
    /// 参数 (若参数为多个,需要自己跟策划约定好解析规则)这里面都是用的==判断 
    /// </summary>
    public String paras { get; set; }

    /// <summary>
    /// 条件计数 (max)(>=max) default(1)
    /// </summary>
    public Int32 num { get; set; }

    /// <summary>
    /// [神宠] 奖励串 (言灵单条任务不计奖励, 放到任务卡上. 任务完成放到) 
    /// </summary>
    public String prizes { get; set; }

    /// <summary>
    /// 下一个任务（如果是任务卡的子任务则填下一个子任务id，如果是最后一个子任务则填0） default(0)
    /// </summary>
    public String next { get; set; }

    /// <summary>
    /// 【废弃】如果发生重新登录或者切换场景的情况,回撤到指定的步骤id(2022.3.3)(该步骤的完成度也回撤)(2022.8有了地图数据存储后无需回撤了) default(0)
    /// </summary>
    public String fallback { get; set; }

    /// <summary>
    /// 描述 
    /// </summary>
    public String des { get; set; }

    /// <summary>
    /// 其他 
    /// </summary>
    public String etc { get; set; }

    /// <summary>
    /// vip等级要求 default(0)
    /// </summary>
    public Int32 vip { get; set; }

    /// <summary>
    /// [神宠] 任务起始限时 
    /// </summary>
    public String start { get; set; }

    /// <summary>
    /// [神宠] 任务结束限时 
    /// </summary>
    public String end { get; set; }

    /// <summary>
    /// 是否自动完成（0= 否 1=是 如果是任务卡的子任务则固定填1） default(0)
    /// </summary>
    public Int32 isauto { get; set; }

    /// <summary>
    /// [言灵] 任务的结束动作（格式同起始动作） 
    /// </summary>
    public String finishact { get; set; }

    /// <summary>
    /// [神宠] 是否触发剧情 default(0)
    /// </summary>
    public String storyid { get; set; }

    /// <summary>
    /// [神宠] 是否存在场景npc（某些场景需生成特定npc形象） default(0)
    /// </summary>
    public Int32 npcid { get; set; }

    /// <summary>
    /// 触发新手引导步骤 default(0)
    /// </summary>
    public Int32 guideid { get; set; }

    /// <summary>
    /// 前往 
    /// </summary>
    public String goto_module { get; set; }

    [JsonConstructor]
    private sm_task_step (){ }

}

