-- MySQL dump 10.13  Distrib 5.6.12, for Win32 (x86)
--
-- Host: 192.168.10.16    Database: jzhj2023_cfg
-- ------------------------------------------------------
-- Server version	5.5.24-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `cfg_activity`
--

DROP TABLE IF EXISTS `cfg_activity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_activity` (
  `id` int(255) NOT NULL,
  `typeId` int(11) DEFAULT NULL COMMENT '活动ID',
  `name` varchar(255) DEFAULT NULL COMMENT '活动名称',
  `startts` int(11) DEFAULT NULL COMMENT '开始时间',
  `endts` int(11) DEFAULT NULL COMMENT '结束时间',
  `isNew` int(11) DEFAULT NULL COMMENT '新活动标志, 可能会显示个"新"的角标之类的',
  `inPanel` int(11) DEFAULT NULL COMMENT '是否展示在活动面板上',
  `isSelected` int(11) DEFAULT '0' COMMENT '是否处于选中活动, 所有活动只能选一个开启.',
  `desc` varchar(255) DEFAULT NULL COMMENT '介绍文字',
  `pic` varchar(255) DEFAULT NULL COMMENT '展示图片',
  `icon` varchar(255) DEFAULT NULL COMMENT '商品图标',
  `hidden_plat` varchar(255) DEFAULT NULL COMMENT '逗号分隔字符串,哪个渠道关闭此活动(例如:yyb,hw代表应用宝和华为渠道这个活动不显示)',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改'
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COMMENT='活动表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_activity`
--

LOCK TABLES `cfg_activity` WRITE;
/*!40000 ALTER TABLE `cfg_activity` DISABLE KEYS */;
INSERT INTO `cfg_activity` VALUES (1,1,'兑换码',0,1999999999,0,1,0,'输入兑换码领取礼包 ',NULL,NULL,NULL,'2023-05-26 01:17:10'),(2,2,'全服注册礼包',0,0,0,1,0,'根据全服的注册人数领取礼包',NULL,NULL,NULL,'2023-05-26 01:17:11'),(3,3,'体力加油站',0,1999999999,0,1,0,'一天分几个时间段可以领取体力',NULL,NULL,NULL,'2023-05-26 06:34:26'),(4,4,'在线时长礼包',0,1999999999,0,0,0,'玩家根据在线时长领取礼包',NULL,NULL,NULL,'2023-05-26 01:17:13'),(5,5,'首冲礼包',0,1999999999,0,0,0,'首冲付钱，领取礼包',NULL,NULL,NULL,'2023-05-26 01:17:13'),(6,6,'七日签到',0,1999999999,0,1,1,'游戏前7天, 天天有福利',NULL,NULL,NULL,'2023-05-26 06:34:31'),(7,7,'等级礼包',0,1999999999,1,1,0,'达到指定等级可领取相应礼包',NULL,NULL,'','2023-05-26 01:17:28'),(8,8,'每日特惠礼包',0,1999999999,0,1,0,'每日特惠礼包',NULL,NULL,NULL,'2023-06-13 09:47:47'),(9,9,'月卡',0,1999999999,0,1,0,'月卡',NULL,NULL,NULL,'2023-06-13 09:47:24');
/*!40000 ALTER TABLE `cfg_activity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_activity_day7`
--

DROP TABLE IF EXISTS `cfg_activity_day7`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_activity_day7` (
  `tid` int(11) NOT NULL COMMENT '主键',
  `day` int(11) NOT NULL COMMENT '第x天(1~7)',
  `reward` varchar(50) NOT NULL DEFAULT '' COMMENT '奖励:itemId,num',
  `desc` varchar(50) NOT NULL DEFAULT '' COMMENT '备注',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='七日签到活动奖励表--2020年8月17日';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_activity_day7`
--

LOCK TABLES `cfg_activity_day7` WRITE;
/*!40000 ALTER TABLE `cfg_activity_day7` DISABLE KEYS */;
INSERT INTO `cfg_activity_day7` VALUES (1,1,'3330001,1','活动祈愿券*1',NULL),(2,2,'1010025,1','鲤尾剑*1',NULL),(3,3,'3330001,3','活动祈愿券*3',NULL),(4,4,'2,100','钻石*100',NULL),(5,5,'3330001,6','活动祈愿券*6',NULL),(6,6,'2,200','钻石*200',NULL),(7,7,'401009018,1','丹灵凤*1',NULL);
/*!40000 ALTER TABLE `cfg_activity_day7` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_activity_levelgift`
--

DROP TABLE IF EXISTS `cfg_activity_levelgift`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_activity_levelgift` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自动编号',
  `name` varchar(255) DEFAULT NULL COMMENT '名称',
  `icon` varchar(255) DEFAULT NULL COMMENT '图标',
  `desc` varchar(255) DEFAULT NULL COMMENT '描述',
  `rewardstr` varchar(255) DEFAULT NULL COMMENT '奖励内容字符串: itemid,num;itemid,num....',
  `level` int(255) DEFAULT '1' COMMENT '奖励领取等级',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='活动: 等级礼包\r\n';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_activity_levelgift`
--

LOCK TABLES `cfg_activity_levelgift` WRITE;
/*!40000 ALTER TABLE `cfg_activity_levelgift` DISABLE KEYS */;
INSERT INTO `cfg_activity_levelgift` VALUES (1,'10级奖励',NULL,'冒险等级达到10级','2,20;1,5000;3030001,1',10,NULL),(2,'15级奖励',NULL,'冒险等级达到15级','2,20;1,10000;3030001,1',15,NULL),(3,'20级奖励',NULL,'冒险等级达到20级','2,50;1,10000;3030001,2',20,NULL),(4,'25级奖励',NULL,'冒险等级达到25级','2,50;1,20000;3030001,2',25,NULL),(5,'30级奖励',NULL,'冒险等级达到30级','2,50;1,30000;3030001,2',30,NULL),(6,'35级奖励',NULL,'冒险等级达到35级','2,100;1,40000;3030001,3',35,NULL),(7,'40级奖励',NULL,'冒险等级达到40级','2,100;1,50000;3030001,3',40,NULL),(8,'45级奖励',NULL,'冒险等级达到45级','2,100;1,60000;3030001,3',45,NULL),(9,'50级奖励',NULL,'冒险等级达到50级','2,200;1,70000;3030001,4',50,NULL),(10,'55级奖励',NULL,'冒险等级达到55级','2,200;1,80000;3030001,4',55,NULL),(11,'60级奖励',NULL,'冒险等级达到60级','2,200;1,100000;3030001,4',60,NULL);
/*!40000 ALTER TABLE `cfg_activity_levelgift` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_activity_onlinegift`
--

DROP TABLE IF EXISTS `cfg_activity_onlinegift`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_activity_onlinegift` (
  `id` int(11) NOT NULL,
  `typeId` int(11) DEFAULT '0' COMMENT '在线礼包的编号',
  `onlineSec` int(11) DEFAULT '100' COMMENT '需要的在线时长(单位:秒)',
  `name` varchar(255) DEFAULT NULL COMMENT '名称',
  `icon` varchar(255) DEFAULT NULL COMMENT '图标',
  `desc` varchar(255) DEFAULT NULL COMMENT '描述',
  `rewardstr` varchar(255) DEFAULT NULL COMMENT '奖励内容字符串: itemid,num;itemid,num....',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改'
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='活动: 在线礼包数据表\r\n';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_activity_onlinegift`
--

LOCK TABLES `cfg_activity_onlinegift` WRITE;
/*!40000 ALTER TABLE `cfg_activity_onlinegift` DISABLE KEYS */;
INSERT INTO `cfg_activity_onlinegift` VALUES (1,1,0,'10钻石','CommonItem_2','10钻石','2,10','2023-02-02 02:42:04'),(2,2,120,'15钻石','CommonItem_2','15钻石','2,15','2023-02-02 02:42:08'),(3,3,300,'20钻石','CommonItem_2','20钻石','2,20','2023-02-02 02:42:10'),(4,4,600,'25钻石','CommonItem_2','25钻石','2,25','2023-02-02 02:42:13'),(5,5,900,'30钻石','CommonItem_2','30钻石','2,30','2023-02-02 02:42:15'),(6,6,1800,'40钻石','CommonItem_2','40钻石','2,40','2023-02-02 02:42:18'),(7,7,1800,'50钻石','CommonItem_2','50钻石','2,50','2023-02-02 02:42:20');
/*!40000 ALTER TABLE `cfg_activity_onlinegift` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_activity_regnumbergift`
--

DROP TABLE IF EXISTS `cfg_activity_regnumbergift`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_activity_regnumbergift` (
  `id` int(11) NOT NULL,
  `typeId` int(11) DEFAULT '0' COMMENT '全服注册礼包的编号',
  `regNumber` int(11) DEFAULT '100' COMMENT '需要的注册人数',
  `name` varchar(255) DEFAULT NULL COMMENT '名称',
  `icon` varchar(255) DEFAULT NULL COMMENT '图标',
  `desc` varchar(255) DEFAULT NULL COMMENT '描述',
  `rewardstr` varchar(255) DEFAULT NULL COMMENT '奖励内容字符串: itemid,num;itemid,num....',
  `level` int(255) DEFAULT '1' COMMENT '奖励领取等级',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改'
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='活动: 全服注册人数礼包\r\n';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_activity_regnumbergift`
--

LOCK TABLES `cfg_activity_regnumbergift` WRITE;
/*!40000 ALTER TABLE `cfg_activity_regnumbergift` DISABLE KEYS */;
INSERT INTO `cfg_activity_regnumbergift` VALUES (3,1,100,'','','10钻石','399001,10',1,'0000-00-00 00:00:00'),(4,2,500,'','','10钻石','399001,10',5,'0000-00-00 00:00:00'),(5,3,1000,'','','20钻石','399001,20',10,'0000-00-00 00:00:00'),(6,4,5000,'','','20钻石','399001,20',15,'0000-00-00 00:00:00'),(7,5,100000,'','','100钻石','399001,100',20,'0000-00-00 00:00:00');
/*!40000 ALTER TABLE `cfg_activity_regnumbergift` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_activity_tiligift`
--

DROP TABLE IF EXISTS `cfg_activity_tiligift`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_activity_tiligift` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自动编号',
  `name` varchar(255) DEFAULT NULL COMMENT '名称',
  `start_time` time NOT NULL COMMENT '起始时间',
  `end_time` time NOT NULL COMMENT '结束时间',
  `tili` int(11) DEFAULT NULL COMMENT '获得体力',
  `late_cost` int(11) DEFAULT NULL COMMENT '补领消耗钻石',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='活动: 体力加油站';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_activity_tiligift`
--

LOCK TABLES `cfg_activity_tiligift` WRITE;
/*!40000 ALTER TABLE `cfg_activity_tiligift` DISABLE KEYS */;
INSERT INTO `cfg_activity_tiligift` VALUES (1,'午间补给','12:00:00','16:00:00',80,20,'2023-05-24 07:10:48'),(2,'晚间补给','18:00:00','22:00:00',80,20,'2023-05-24 07:10:58');
/*!40000 ALTER TABLE `cfg_activity_tiligift` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_client_versionhistory`
--

DROP TABLE IF EXISTS `cfg_client_versionhistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_client_versionhistory` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ver` varchar(50) NOT NULL DEFAULT '0' COMMENT '版本号',
  `releaseTime` varchar(50) NOT NULL DEFAULT '0' COMMENT '发布时间',
  `description` varchar(500) NOT NULL DEFAULT '0' COMMENT '版本说明',
  `lastupdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `id` (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='版本历史\r\n';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_client_versionhistory`
--

LOCK TABLES `cfg_client_versionhistory` WRITE;
/*!40000 ALTER TABLE `cfg_client_versionhistory` DISABLE KEYS */;
INSERT INTO `cfg_client_versionhistory` VALUES (1,'1.0.0','2017年10月31日','创建版本信息管理.','2017-10-31 06:51:49'),(2,'1.0.1','2017年11月17日','测试用','2017-11-18 03:20:22'),(3,'1.0.2','2018年','版本更新','2018-04-10 01:13:51'),(4,'1.0.3','2018年','版本更新','2018-04-10 01:13:56'),(5,'1.0.4','2018年','版本更新','2018-04-10 01:14:06'),(6,'1.0.5','2020年1月15日','版本更新测试..','2020-01-15 08:06:52'),(7,'1.0.6','2020年1月17日','版本更新测试..','2020-01-15 08:06:52'),(11,'999.999.999','none','UnityEditor','2023-05-31 06:47:45'),(9,'1.1.8','2023年4月27日','我瞎编的','2023-05-31 06:50:16'),(10,'1.1.10','2023年5月31日','开了活动','2023-05-31 07:17:41');
/*!40000 ALTER TABLE `cfg_client_versionhistory` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_errmsg`
--

DROP TABLE IF EXISTS `cfg_errmsg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_errmsg` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '记录id',
  `err` varchar(255) NOT NULL COMMENT 'ERR_ID',
  `no` int(11) NOT NULL COMMENT '错误码',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '错误类型: 继续=0.重启=1.',
  `msg` varchar(255) DEFAULT '' COMMENT '描述信息',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=320 DEFAULT CHARSET=utf8 COMMENT='错误信息表\r\n';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_errmsg`
--

LOCK TABLES `cfg_errmsg` WRITE;
/*!40000 ALTER TABLE `cfg_errmsg` DISABLE KEYS */;
INSERT INTO `cfg_errmsg` VALUES (1,'ok',0,0,'交互成功','2023-04-12 06:22:58'),(2,'err_unknownn',1001,1,'未知原因错误','2023-04-12 06:22:58'),(3,'err_innerfault',1002,1,'内部错误','2023-04-12 06:22:58'),(4,'err_db',1003,1,'数据库操作失败','2023-04-12 06:22:58'),(5,'err_mem',1004,1,'内存操作失败','2023-04-12 06:22:58'),(6,'err_assert',1005,1,'断言失败','2023-04-12 06:22:58'),(7,'err_illegal',1011,1,'消息内容非法(不满足tk校验的条件)','2023-04-12 06:22:58'),(8,'err_signo',1012,1,'消息内容缺少校验值','2023-04-12 06:22:58'),(9,'err_outtime',1021,1,'消息超时','2023-04-12 06:22:58'),(10,'err_retry',1024,1,'Just重试','2023-04-12 06:22:58'),(11,'clientversionlow_err',1031,1,'客户端版本过低-整包更','2023-04-12 06:22:58'),(12,'clientnewversion_msg',1032,0,'客户端版本过低-增量更','2023-04-12 06:22:58'),(13,'clientPrintMsg_Halt',1033,0,'客户端打印信息并且退出','2023-04-12 06:22:58'),(14,'ope_err',1210,1,'功能码非法','2023-04-12 06:22:58'),(15,'cmd_err',1211,1,'操作码非法','2023-04-12 06:22:58'),(16,'paras_err',1212,1,'参数非法','2023-04-12 06:22:58'),(17,'parasnotenough_msg',1213,0,'参数不足','2023-04-12 06:22:58'),(18,'sensword_msg',1234,0,'内容包含敏感词','2023-04-12 06:22:58'),(19,'err_server_maintaining',1301,1,'服务器正在维护中','2023-04-12 06:22:58'),(20,'err_server_updating',1302,1,'服务器正在升级，请过会儿再来。','2023-04-12 06:22:58'),(21,'err_anotherlogin',1303,1,'已经在其他地方登录','2023-04-12 06:22:58'),(22,'function_notopen_msg',1801,0,'功能暂未开放','2023-04-12 06:22:58'),(23,'err_method_notimplement',1802,1,'方法尚未实现','2023-04-12 06:22:58'),(24,'err_method_obsoleted',1803,1,'方法已过时,废弃的.','2023-04-12 06:22:58'),(25,'err_const_no',1825,1,'游戏常量数据错误','2023-04-12 06:22:58'),(26,'pay_firstpayno_err',8801,1,'尚未首付','2023-04-12 06:22:58'),(27,'pay_firstpaygetted',8802,0,'已经领取首付','2023-04-12 06:22:58'),(28,'pay_systembusy_err',8803,1,'系统繁忙','2023-04-12 06:22:58'),(29,'pay_vipnewerno',8804,0,'不是黄钻或已经领取黄钻礼包','2023-04-12 06:22:58'),(30,'pay_m_amtzero_err',8805,1,'amt数值小于等于0','2023-04-12 06:22:58'),(31,'pay_price_err',8806,1,'价格异常','2023-04-12 06:22:58'),(32,'pay_m_type_err',8807,1,'支付类型异常','2023-04-12 06:22:58'),(33,'pay_shopItem_cosnt_goods_err',8808,1,'商品常量数据错误-货物内容','2023-04-12 06:22:58'),(34,'pay_refresh_times',8809,0,'商城已达刷新次数上限','2023-04-12 06:22:58'),(35,'pay_secretshop_buytimes',8810,0,'神秘商城-购买次数已达上限','2023-04-12 06:22:58'),(36,'pay_secretshop_noitem_err',8811,1,'神秘商城-物品数据错误','2023-04-12 06:22:58'),(37,'pay_order_no',8812,0,'充值-订单不存在','2023-04-12 06:22:58'),(38,'pay_order_paystatus',8813,0,'充值-付款状态不正确正在重新查询...','2023-04-12 06:22:58'),(39,'pay_order_drawed',8814,0,'充值-此订单已经发货,无需重复请求','2023-04-12 06:22:58'),(40,'pay_order_uid',8815,0,'充值-订单uid不符','2023-04-12 06:22:58'),(41,'pay_secretshopt_freeRefresh_Time',8816,0,'神秘商城-免费刷新时间未到','2023-04-12 06:22:58'),(42,'pay_order_product_id',8817,0,NULL,'2023-04-12 06:22:58'),(43,'pay_fail',8818,0,NULL,'2023-04-12 06:22:58'),(44,'pay_repeatbuy',8819,0,'不能重复购买','2023-04-12 06:22:58'),(45,'notenough_gold_msg',3014,0,'金币不足','2023-04-12 06:22:58'),(46,'notenough_cash_msg',3015,0,'宝石不足','2023-04-12 06:22:58'),(47,'notenough_friendshippoint',3016,0,'友情点不足','2023-04-12 06:22:58'),(48,'notenough_honour',3032,0,'玩家荣誉值不足[荣誉值兑换]','2023-04-12 06:22:58'),(49,'notenought_yuanbao',3040,0,'元宝不足','2023-04-12 06:22:58'),(50,'notenough_tili',3046,0,'玩家体力值不足','2023-04-12 06:22:58'),(51,'notenough_spar',3047,0,'晶石不足','2023-04-12 06:22:58'),(52,'notenough_resPoint',3048,0,'资源点不足','2023-04-12 06:22:58'),(53,'user_login_err',3101,1,'玩家未登录','2023-04-12 06:22:58'),(54,'user_no_err',3102,1,'玩家不存在','2023-04-12 06:22:58'),(55,'user_data_broken_err',3103,1,'玩家数据损坏','2023-04-12 06:22:58'),(56,'user_contigiftno_msg',3104,0,'连续登录天数不够','2023-04-12 06:22:58'),(57,'user_contigiftfalse_msg',3105,0,'已经领取连续登录礼包','2023-04-12 06:22:58'),(58,'user_settutorialscompletedfail_err',3106,1,'设置新手引导进度失败','2023-04-12 06:22:58'),(59,'user_levelnotenough_msg',3107,0,'玩家等级不足','2023-04-12 06:22:58'),(60,'user_interact_no_err',3108,1,'找不到玩家的交互体数据','2023-04-12 06:22:58'),(61,'user_zoneinfo_no_err',3109,1,'找不到玩家的分区记录','2023-04-12 06:22:58'),(62,'user_nicknameexist',3110,0,'玩家昵称已经存在,请换一个再试','2023-04-12 06:22:58'),(63,'user_reward_typeno',3031,0,'没有这种奖励类型','2023-04-12 06:22:58'),(64,'hero_no',3301,0,'玩家没有这个英雄','2023-04-12 06:22:58'),(65,'hero_level_const_no_err',3302,1,'找不到英雄升级消耗数据','2023-04-12 06:22:58'),(66,'hero_segment_not_enough',3303,0,'英雄碎片不足','2023-04-12 06:22:58'),(67,'hero_const_no_err',3304,1,'缺少英雄的常量数据','2023-04-12 06:22:58'),(68,'hero_strength_maxstrengthlevel',3305,0,'英雄强化--已经达到最大等阶','2023-04-12 06:22:58'),(69,'hero_upgrade_maxupgradelevel',3306,0,'英雄升级--已经达到当前最大等级','2023-04-12 06:22:58'),(70,'hero_upgrade_cost',3307,0,'英雄升级--消耗的数据错误（道具或者卡牌不存在）','2023-04-12 06:22:58'),(71,'hero_star_maxstarlevel',3308,0,'英雄升星--已经达到最大星级','2023-04-12 06:22:58'),(72,'hero_star_costhero',3309,0,'英雄升星--消耗英雄参数错误','2023-04-12 06:22:58'),(73,'hero_star_notengoughitem',3310,0,'英雄升星--消耗道具数量不充足','2023-04-12 06:22:58'),(74,'hero_star_level_const_no_err',3311,1,'英雄升星--升星消耗的常量数据不存在','2023-04-12 06:22:58'),(75,'hero_star_noglobal_costitem',3312,0,'英雄升星--全局变量缺失该英雄属性对应的升星消耗道具信息','2023-04-12 06:22:58'),(76,'hero_star_conststr_itemnotmathnum',3313,0,'英雄升星--消耗道具与消耗道具数量的常量配置不匹配','2023-04-12 06:22:58'),(77,'hero_favor_cost_const_no',3314,0,'英雄好感度---缺少对应好感度的消耗设置的常量数据','2023-04-12 06:22:58'),(78,'hero_favor_targetfavor_para',3315,0,'英雄好感度---解锁目标好感度参数错误','2023-04-12 06:22:58'),(79,'hero_separate_cost_hero',3316,0,'英雄分解---传递消耗英雄参数错误','2023-04-12 06:22:58'),(80,'hero_strength_cost_const_no',3317,0,'英雄升阶---缺少对应等阶的消耗设置的常量数据','2023-04-12 06:22:58'),(81,'hero_upgradeSkill_maxLevel',3318,0,'英雄技能__当前技能等级已经达到上限','2023-04-12 06:22:58'),(82,'hero_upgradeSkill_cost_const_no',3319,0,'英雄技能__该技能升级的消耗常量配置不存在','2023-04-12 06:22:58'),(83,'hero_scoreit_hasscored',3320,0,'英雄打分--已经给次英雄打过分了','2023-04-12 06:22:58'),(84,'hero_upgrade_cost_const_no',3321,0,'英雄升级——消耗的常量配置不存在','2023-04-12 06:22:58'),(85,'hero_existSameHero_err',3322,1,'玩家已经存在一个此类的英雄','2023-04-12 06:22:58'),(86,'hero_godblood_level_const_no',3323,0,'玩家神血的消耗常量数据不存在','2023-04-12 06:22:58'),(87,'hero_godblood_maxlevel',3324,0,'玩家神血的血脉达到定级','2023-04-12 06:22:58'),(88,'hero_godblood_notengoughitem',3325,0,'玩家神血强化，消耗道具不足','2023-04-12 06:22:58'),(89,'hero_lockState',3326,0,'玩家已经解锁','2023-04-12 06:22:58'),(90,'hero_yanling_full',3327,0,'言灵已达到可装备的最大数量','2023-04-12 06:22:58'),(91,'hero_yanling_notfound',3328,0,'英雄身上找不到这个言灵','2023-04-12 06:22:58'),(92,'hero_yanling_levelconst_no',3329,0,'言灵等级配置缺失','2023-04-12 06:22:58'),(93,'hero_yanling_levelMax',3330,0,'言灵等级已达上限','2023-04-12 06:22:58'),(94,'hero_yanling_repeat',3331,0,'重复言灵','2023-04-12 06:22:58'),(95,'hero_yanling_starMax',3332,0,'言灵星级达到最大值','2023-04-12 06:22:58'),(96,'hero_yanling_errorYanling',3333,1,'错误的言灵','2023-04-12 06:22:58'),(97,'hero_yanling_canotTupo',3334,0,'不能突破','2023-04-12 06:22:58'),(98,'yanling_canotevolve',3335,0,'言灵进化','2023-04-12 06:22:58'),(99,'yanling_canotconsume',3336,0,'该言灵不能被消耗','2023-04-12 06:22:58'),(100,'store_putinto',3401,0,'该目标不能放入仓库','2023-04-12 06:22:58'),(101,'store_itemno_err',3402,1,'仓库没有这个道具','2023-04-12 06:22:58'),(102,'store_itemcantuse',3404,0,'道具不可使用','2023-04-12 06:22:58'),(103,'store_itemnotenough',3405,0,'道具数量不足','2023-04-12 06:22:58'),(104,'store_removefail',3407,0,'移除道具失败!','2023-04-12 06:22:58'),(105,'store_itemcantdecompose',3408,0,'道具不能分解','2023-04-12 06:22:58'),(106,'store_equipWeared_err',3409,1,'装备已经在别的英雄身上装备','2023-04-12 06:22:58'),(107,'store_noequip_err',3410,1,'装备没有在此英雄身上装备','2023-04-12 06:22:58'),(108,'store_equip_type',3411,0,'未知装备类型','2023-04-12 06:22:58'),(109,'store_book_info',3412,0,'言灵召唤书常量数据有误','2023-04-12 06:22:58'),(110,'store_yanlingGrade_cfg',3413,0,'言灵进阶数据有问题','2023-04-12 06:22:58'),(111,'store_yanlingGrade_max',3414,0,'言灵已经进阶至最高','2023-04-12 06:22:58'),(112,'store_yanling_bagfull',3415,0,'背包空间不足!','2023-04-14 11:40:40'),(113,'store_weapon_err',3416,1,'没有该武器','2023-04-12 06:22:58'),(114,'store_GemResearchLvUp_UserLevelLimit',3417,0,'请先提升玩家等级','2023-04-12 06:22:58'),(115,'store_GemComplose_ResearchLevelLimit',3418,0,'请先提升宝石研究等级','2023-04-12 06:22:58'),(116,'store_GemComploseTuZhiNotEnough',3419,0,'合成宝石的图纸不足','2023-04-12 06:22:58'),(117,'store_GemComploseMaterialNotEnough',3420,0,'合成宝石的材料不足','2023-04-12 06:22:58'),(118,'store_ComploseGemNotEnough',3421,0,'合成宝石需要消耗的宝石材料不足','2023-04-12 06:22:58'),(119,'store_YanLingNotGem',3422,0,'言灵身上没有宝石','2023-04-12 06:22:58'),(120,'store_YanLingHaveGem',3423,0,'言灵已经装备了宝石','2023-04-12 06:22:58'),(121,'store_weaponCantBuy',3424,0,'不能买该武器','2023-04-12 06:22:58'),(122,'store_expandStorage',3425,0,'储物间不能再次扩容','2023-04-12 06:22:58'),(123,'store_NotHaveStorage',3426,0,'不存在该储物格子','2023-04-12 06:22:58'),(124,'store_StorageEnough',3427,0,'当前储物间已满','2023-04-12 06:22:58'),(125,'store_bettleitemNumNotEnough',3428,0,'药瓶不足','2023-04-12 06:22:58'),(126,'store_notRemoveYanlingSelf',3429,0,'言灵升级不能使用自己','2023-04-12 06:22:58'),(127,'store_NotHaveYanling',3430,0,'没有该言灵','2023-04-12 06:22:58'),(128,'task_no',3501,0,'找不到任务数据','2023-04-12 06:22:58'),(129,'task_progress_not_complete',3502,0,'任务进度尚未完成','2023-04-12 06:22:58'),(130,'task_reward_geted',3503,0,'任务奖励已经领取','2023-04-12 06:22:58'),(131,'task_activePoint_notenough',3504,0,'日常任务活跃点数不足','2023-04-12 06:22:58'),(132,'taskCard_no',3510,0,'任务卡未找到','2023-04-12 06:22:58'),(133,'taskCard_no_pile',3511,0,'任务卡-不可堆叠','2023-04-12 06:22:58'),(134,'taskCard_state',3512,0,'任务卡-状态错误','2023-04-12 06:22:58'),(135,'taskCard_active_multi',3513,0,'任务卡-不可激活多张同种类任务卡','2023-04-12 06:22:58'),(136,'taskCard_active_max',3514,0,'任务卡-同时激活数量达到上限(9)','2023-04-12 06:22:58'),(137,'taskCard_selled',3515,0,'任务卡-此卡已售罄','2023-04-12 06:22:58'),(138,'taskCard_gainItem_no',3516,0,'任务卡-收集的道具数量尚未满足条件','2023-04-12 06:22:58'),(139,'friend_no_err',3701,1,'不存在该好友','2023-04-12 06:22:58'),(140,'friend_noplat_err',3702,1,'不存在好友的平台信息','2023-04-12 06:22:58'),(141,'friend_gift',3703,0,'已经领取该好友礼物','2023-04-12 06:22:58'),(142,'friend_maxgift',3704,0,'已到达当天领取好友礼物上限','2023-04-12 06:22:58'),(143,'friend_giftrent_const_no_err',3705,1,'获取不到好友礼物几率常量数据','2023-04-12 06:22:58'),(144,'goal_const_no_err',3801,1,'不存在该任务','2023-04-12 06:22:58'),(145,'goal_nogoaldata_err',3802,1,'未找到该任务信息','2023-04-12 06:22:58'),(146,'goal_notcomplete',3803,0,'任务尚未完成','2023-04-12 06:22:58'),(147,'goal_rewarded',3804,0,'任务奖励已领取','2023-04-12 06:22:58'),(148,'active_const_no_err',3901,1,'不存在该活动礼包','2023-04-12 06:22:58'),(149,'active_illegal',3902,0,'活动领取非法','2023-04-12 06:22:58'),(150,'active_hasgetted',3903,0,'礼包已领取','2023-04-12 06:22:58'),(151,'onlinegift_constno_err',3904,1,'在线礼包常量数据不存在','2023-04-12 06:22:58'),(152,'onlinegift_timenotenough',3905,0,'在线礼包时间未到','2023-04-12 06:22:58'),(153,'onlinegift_wrongid',3906,0,'在线礼包id错误','2023-04-12 06:22:58'),(154,'lottery_typenotexist',3907,0,'免费抽奖类型不存在','2023-04-12 06:22:58'),(155,'lottery_freenotenough',3908,0,'剩余免费抽奖次数不够了','2023-04-12 06:22:58'),(156,'checkin_const_no',3909,0,'连续签到常量数据不存在','2023-04-12 06:22:58'),(157,'checkin_outofday',3910,0,'连续签到活动已过期','2023-04-12 06:22:58'),(158,'checkin_giftgetted',3911,0,'连续签到奖励已领取','2023-04-12 06:22:58'),(159,'checkin_giftidno',3912,0,'连续签到奖励礼包id不存在','2023-04-12 06:22:58'),(160,'chekin_daysnotenough',3913,0,'连续签到天数不够.','2023-04-12 06:22:58'),(161,'Guide_completeGiftNo',3914,0,'完成新手引导的大礼包找不到常量数据。','2023-04-12 06:22:58'),(162,'lottery_notexistLotterCount',3915,0,'不存在的抽奖次数','2023-04-12 06:22:58'),(163,'lottery_notexistLotterCostType',3916,0,'不存在的抽奖消耗财富类型','2023-04-12 06:22:58'),(164,'lottery_noselecteditem',3917,0,'未能生成中奖物品','2023-04-12 06:22:58'),(165,'active_returncode_leaved',3921,0,'已经留下回归密码了','2023-04-12 06:22:58'),(166,'active_returncode_illegal',3922,0,'密码格式不合法','2023-04-12 06:22:58'),(167,'active_new7_wrongindex',3923,0,'新手七天礼包,想要领取的礼包索引有误','2023-04-12 06:22:58'),(168,'active_activecode_plat',3924,0,'活动-激活码渠道错误.','2023-04-12 06:22:58'),(169,'active_activecode_format',3925,0,'活动-激活码无效','2023-04-12 06:22:58'),(170,'active_rechargereward_const_no',3926,0,'没有充值返利常量数据','2023-04-12 06:22:58'),(171,'active_rechargereward_notopen',3927,0,'充值返利活动未开启','2023-04-12 06:22:58'),(172,'active_rechargereward_notenough',3928,0,'充值返利，领取奖励，充值金额不足','2023-04-12 06:22:58'),(173,'active_rechargereward_keynotsuit',3929,0,'充值返利，领取奖励，当前开启的活动key与mem中存储的key不一致','2023-04-12 06:22:58'),(174,'active_rechargereward_hasgetted',3930,0,'充值返利，您已经领取过此奖励','2023-04-12 06:22:58'),(175,'active_rechargereward_userinfoerr',3931,1,'玩家充值返利数据错误','2023-04-12 06:22:58'),(176,'active_returnreward_drawed',3932,0,'回归奖励已经领取','2023-04-12 06:22:58'),(177,'active_returnreward_VerifyFailed',3933,0,'回归奖励验证失败','2023-04-12 06:22:58'),(178,'active_returnreward_VerifyConnectionFailed',3934,0,'回归奖励验证的时候通讯失败,请稍后再试','2023-04-12 06:22:58'),(179,'active_returnreward_codeused',3935,0,'回归奖励,这组回归密码已经被使用过啦.','2023-04-12 06:22:58'),(180,'active_reserve_reward_outtime',3936,0,'预约礼包活动已经结束','2023-04-12 06:22:58'),(181,'active_activecode_outtime',3937,0,'激活码礼包已经过期','2023-04-12 06:22:58'),(182,'active_day7_taskstate_err',3938,1,'开服七日活动-任务状态异常','2023-04-12 06:22:58'),(183,'active_day7_const_no_err',3939,1,'开服七日活动-找不到常量数据','2023-04-12 06:22:58'),(184,'active_day7_totaldays',3940,0,'开服七日活动-总天数不足','2023-04-12 06:22:58'),(185,'active_day7_taskno_err',3941,1,'开服七日活动-找不到任务','2023-04-12 06:22:58'),(186,'lottery_baodi_times_lt',3942,0,'抽奖-保底奖励,次数不满足','2023-04-12 06:22:58'),(187,'err_lottery_slot_locked',3943,1,'抽奖-卡槽尚未解锁','2023-04-12 06:22:58'),(188,'err_lottery_slot_not_emputy',3944,1,'抽奖-卡槽使用中','2023-04-12 06:22:58'),(189,'err_lottery_slot_time',3945,1,'抽奖-搜索尚未结束','2023-04-12 06:22:58'),(190,'err_lottery_slot_emputy',3946,1,'抽奖-卡槽数据异常','2023-04-12 06:22:58'),(191,'err_lottery_slot_unlocked',3947,1,'抽奖-卡槽已经解锁','2023-04-12 06:22:58'),(192,'err_lottery_daily_limit',3948,1,'抽奖-达到每次次数限制','2023-04-12 06:22:58'),(193,'box_not_enough',3950,0,'宝箱-数量不足','2023-04-12 06:22:58'),(194,'active_time',3951,0,'活动-此活动尚未开放','2023-04-12 06:22:58'),(195,'active_activecode_used',3952,0,'活动-兑换码已经使用过了','2023-04-12 06:22:58'),(196,'active_activeNoExistent',3953,0,'活动不存在','2023-04-12 06:22:58'),(197,'active_NewUserActiveNumLimit',3954,0,'抽奖次数已经达到上限','2023-04-12 06:22:58'),(198,'active_BuyTiliNumLimit',3955,0,'每日购买体力次数限制','2023-04-12 06:22:58'),(199,'active_FirstRechargeRewardRepeat',3956,0,NULL,'2023-04-12 06:22:58'),(200,'active_goldExchangeNum_maxLimit',3957,0,'金币购买次数超出最大值','2023-04-12 06:22:58'),(201,'err_arenas_rewardIllegal',4003,1,'关卡挑战-掉落奖励与后台不匹配','2023-04-12 06:22:58'),(202,'err_arenas_difficulty',4004,1,'关卡挑战-难度参数错误','2023-04-12 06:22:58'),(203,'err_arenas_logillegal',4005,1,'关卡挑战记录非法','2023-04-12 06:22:58'),(204,'err_arenasgate_indexillegal',4006,1,'错误的关卡索引','2023-04-12 06:22:58'),(205,'err_arenasgate_nocount',4007,1,'关卡挑战体力值不足，无法战斗','2023-04-12 06:22:58'),(206,'err_arenas_unlockstarnotenough',4008,1,'战场解锁星数不足，无法扫荡该关卡','2023-04-12 06:22:58'),(207,'err_arenas_normalgate_numno',4009,1,'关卡的挑战次数已达上限','2023-04-12 06:22:58'),(208,'err_arenasgate_errSweepCount',4010,1,'错误的扫荡次数','2023-04-12 06:22:58'),(209,'err_arenas_starreward_const_no',4011,1,'关卡星星奖励的常量数据不存在！','2023-04-12 06:22:58'),(210,'err_arenas_hasgetstarreward',4012,1,'关卡星星奖励--奖励已经领取','2023-04-12 06:22:58'),(211,'err_arenas_starreward_starNotEnough',4013,1,'关卡星星奖励--星星数量不足无法领取奖励','2023-04-12 06:22:58'),(212,'err_gateForever_const_no',4014,1,'无尽关卡模式——常量数据丢失','2023-04-12 06:22:58'),(213,'err_gateForever_countIsFull',4015,1,'无尽关卡模式—挑战次数已达上限','2023-04-12 06:22:58'),(214,'err_gateForever_countillegal',4016,1,'无尽关卡模式—挑战次数非法','2023-04-12 06:22:58'),(215,'carbon_opened',4017,0,'副本开启中','2023-04-12 06:22:58'),(216,'carbon_closed',4018,0,'副本未开启','2023-04-12 06:22:58'),(217,'carbon_gateIndex',4019,0,'副本挑战的关卡索引错误','2023-04-12 06:22:58'),(218,'carbon_wrongdifficult',4020,0,'副本-难度等级错误','2023-04-12 06:22:58'),(219,'pvp_wrongMather',4021,0,'竞技场-指定的pvp对手不存在','2023-04-12 06:22:58'),(220,'pvp_refresh_time',4022,0,'竞技场-刷新过于频繁','2023-04-12 06:22:58'),(221,'pvp_tili_chargenum',4023,0,'竞技场-错误的体力充值数量','2023-04-12 06:22:58'),(222,'pvp_no_tickets',4024,0,'竞技场-挑战票不足.','2023-04-12 06:22:58'),(223,'pvp_refresh_cost_ilegal',4030,0,'竞技场-刷新对手花费数据对不上.','2023-04-12 06:22:58'),(224,'pvp_refresh_max',4029,0,'竞技场-刷新对手已达次数上限','2023-04-12 06:22:58'),(225,'pvp_ticket_cost_ilegal',4028,0,'竞技场-挑战票购买,跟预期的值对不上','2023-04-12 06:22:58'),(226,'pvp_item_soldout',4027,0,'竞技场-道具已售罄','2023-04-12 06:22:58'),(227,'pvp_coinnotenough',4026,0,'竞技场-活跃值不够','2023-04-12 06:22:58'),(228,'story_repeatfight',4025,0,'剧情关卡-剧情关卡不能重复挑战,只能挑战一次','2023-04-12 06:22:58'),(229,'err_arenas_starrwd_star',4031,1,'剧情关卡-星数奖励领取条件不够','2023-04-12 06:22:58'),(230,'rank_fpower_unlocked',4101,0,'排行榜-战斗力解锁条件尚未达成','2023-04-12 06:22:58'),(231,'rank_reward_hasgetted',4102,0,'排行榜-奖励已经领取了','2023-04-12 06:22:58'),(232,'rank_passsgate_unlocked',4103,0,'排行榜-通关帮奖励解锁条件尚未达成','2023-04-12 06:22:58'),(233,'email_wrongid',4201,0,'邮件-错误的邮件id','2023-04-12 06:22:58'),(234,'email_not_found',4202,0,'邮件-未找到指定邮件','2023-04-12 06:22:58'),(235,'email_no_appendix',4203,0,'邮件-不存在附件','2023-04-12 06:22:58'),(236,'email_appendix_drawed',4204,0,'邮件-附件已领取','2023-04-12 06:22:58'),(237,'Fight_endlessTower_index',4341,0,'无尽塔-错误的关卡索引','2023-04-12 06:22:58'),(238,'auction_const_no',4701,0,'拍卖物品的常量数据不存在','2023-04-12 06:22:58'),(239,'auction_curdaynotexist',4702,0,'当天拍卖物品的数据不存在','2023-04-12 06:22:58'),(240,'auction_timeout',4703,0,'竞价的时候超过时间限制','2023-04-12 06:22:58'),(241,'auction_noexistautionItem',4704,0,'拍卖一件不在拍品列表中的物品','2023-04-12 06:22:58'),(242,'auction_pricelowthancurprice',4705,0,'拍卖一件不在拍品列表中的物品','2023-04-12 06:22:58'),(243,'auction_beforstart',4706,0,'拍品尚未开始拍卖','2023-04-12 06:22:58'),(244,'auction_end',4707,0,'拍品已经结束拍卖','2023-04-12 06:22:58'),(245,'auction_failprice',4708,0,'出价低于当前价','2023-04-12 06:22:58'),(246,'auction_loadpricelow',4709,0,'上传拍品价格太低','2023-04-12 06:22:58'),(247,'err_guild_userlevel',4800,1,'玩家等级不足','2023-04-12 06:22:58'),(248,'err_guild_userhasbeenaguildmember',4801,1,'您已经属于一个公会成员了.','2023-04-12 06:22:58'),(249,'err_guild_dissmisscodingtime',4802,1,'解散公会后的24小时冷却时间尚未过去.','2023-04-12 06:22:58'),(250,'err_guild_nameexists',4803,1,'同名公会已存在','2023-04-12 06:22:58'),(251,'err_guild_nameEmputy',4804,1,'创建公会时所传公会名称参数为空.','2023-04-12 06:22:58'),(252,'err_msg_goldnotenough',4805,1,'金币不足','2023-04-12 06:22:58'),(253,'err_guild_guildinfono',4806,1,'找不到公会数据','2023-04-12 06:22:58'),(254,'err_guild_memberfull',4807,1,'成员已满','2023-04-12 06:22:58'),(255,'err_guild_applyListFull',4808,1,'申请队列已满','2023-04-12 06:22:58'),(256,'err_guild_quickinclosed',4809,1,'公会未开启一键加入功能','2023-04-12 06:22:58'),(257,'err_guild_usernotguildmember',4810,1,'玩家不属于此公会','2023-04-12 06:22:58'),(258,'err_guild_userguildinfono',4811,1,'找不到玩家的公会信息','2023-04-12 06:22:58'),(259,'err_guild_usernotchairman',4812,1,'玩家不是该公会的会长或是干部','2023-04-12 06:22:58'),(260,'err_guild_notEmputy',4813,1,'解散工会的时候,公会不为空','2023-04-12 06:22:58'),(261,'err_guild_cannotfireyourself',4814,1,'会长不能开除自己.','2023-04-12 06:22:58'),(262,'err_guild_appmsgnotfount',4815,1,'申请信息未找到','2023-04-12 06:22:58'),(263,'err_guild_applymsgdealed',4816,1,'申请信息已经处理过了','2023-04-12 06:22:58'),(264,'err_user_no',4817,1,'玩家不存在','2023-04-12 06:22:58'),(265,'err_guild_nopermission',4818,1,'无权限','2023-04-12 06:22:58'),(266,'err_guild_viceChairmanFull',4819,1,'副会长名额已满','2023-04-12 06:22:58'),(267,'err_guild_imgEmputy',4821,1,'徽章不能为null','2023-04-12 06:22:58'),(268,'err_guild_cannotfireychairman',4822,1,'不能删除会长','2023-04-12 06:22:58'),(269,'err_guild_positionconflict',4824,1,'玩家已经是该职位','2023-04-12 06:22:58'),(270,'err_guild_OfficermanFull',4825,1,'干部名额已满','2023-04-12 06:22:58'),(271,'err_guild_cannotsetpositioncon',4826,1,'没有限权设置此职位','2023-04-12 06:22:58'),(272,'err_guild_applymsgalwaysexist',4827,1,'申请信息已经存在请稍候在申请','2023-04-12 06:22:58'),(273,'err_guild_applymsgrejected',4828,1,'申请信息被拒接','2023-04-12 06:22:58'),(274,'err_guild_notsatisfiedaccusecondition',4829,1,'会长登陆时间信息发生改变无法弹劾，请刷新数据','2023-04-12 06:22:58'),(275,'err_guild_noaccusevalidtimeperiod',4830,1,'不在弹劾有效时间内','2023-04-12 06:22:58'),(276,'err_guild_accusecooling',4831,1,'弹劾冷却中请稍候在弹劾','2023-04-12 06:22:58'),(277,'err_guild_noallowaddguild',4832,1,'不允许申请加入该公会','2023-04-12 06:22:58'),(278,'err_guild_chairmannoaccused',4833,1,'会长没有被弹劾','2023-04-12 06:22:58'),(279,'err_guild_noallowagainaccuse',4834,1,'不允许反复弹劾','2023-04-12 06:22:58'),(280,'err_guild_requestdonatecannotnull',4835,1,'请求捐献数据不能为null','2023-04-12 06:22:58'),(281,'err_guild_lessthannextrequestdonate',4836,1,'请求捐献时间不到','2023-04-12 06:22:58'),(282,'err_guild_nosegment',4837,1,'没有卡牌常量数据','2023-04-12 06:22:58'),(283,'err_guild_thiscardcannotrequestordonate',4838,1,'不能请求该类型的卡牌','2023-04-12 06:22:58'),(284,'err_guild_requestcardnumtomuch',4839,1,'请求卡牌数量过多','2023-04-12 06:22:58'),(285,'err_guild_noenoughcardinfo',4840,1,'玩家没有足够的卡牌可以捐献','2023-04-12 06:22:58'),(286,'err_guild_cardtypeinconformity',4841,1,'卡牌类型不一致','2023-04-12 06:22:58'),(287,'err_guild_donatecardnumreachlimit',4842,1,'今天捐献卡牌数量已经达到最大值','2023-04-12 06:22:58'),(288,'err_guild_overdonatetime',4843,1,'已经超过捐献时间无法捐献','2023-04-12 06:22:58'),(289,'err_guild_usersegementnothechip',4844,1,'玩家背包中没有该类型的碎片','2023-04-12 06:22:58'),(290,'err_guild_herochiptypeinconformity',4846,1,'英雄合成碎片与参数id不一致','2023-04-12 06:22:58'),(291,'err_guild_nohero',4847,1,'不存在该英雄','2023-04-12 06:22:58'),(292,'err_guild_contributionGiftnoopen',4848,1,'该贡献度礼包没有开放','2023-04-12 06:22:58'),(293,'err_guild_cashGiftnoopen',4849,1,'该公会钻石礼包没有开放','2023-04-12 06:22:58'),(294,'err_guild_contributionnosatisfy',4850,1,'贡献度不够','2023-04-12 06:22:58'),(295,'err_guild_noguildgift',4851,1,'缺少礼包常量数据','2023-04-12 06:22:58'),(296,'err_guild_guildjournalnothechipinfo',4852,1,'公会消息没有该卡牌的信息','2023-04-12 06:22:58'),(297,'err_guild_mailcontentcannotbenull',4853,1,'公会邮件内容不能为null','2023-04-12 06:22:58'),(298,'err_guild_AnnouncementEditCooling',4854,1,'公会公告编辑冷却时间中','2023-04-12 06:22:58'),(299,'err_guild_fightInvitealreadyexisted',4855,1,'公会战已经存在邀请数据，不能再次邀请','2023-04-12 06:22:58'),(300,'err_guild_fightInvitenoexisted',4856,1,'公会战邀请信息不存在','2023-04-12 06:22:58'),(301,'err_guild_fighting',4857,1,'公会战在战斗中','2023-04-12 06:22:58'),(302,'err_guild_applyconditionnoenough',4858,1,'公会战在战斗中','2023-04-12 06:22:58'),(303,'shop_limit_max',4901,0,'限购礼包-购买数量已达上限','2023-04-12 06:22:58'),(304,'shop_monthlyvip_buyed',4902,0,'月卡已购买,失效前不可再次购买','2023-04-12 06:22:58'),(305,'shop_daliySpecialRewardNotRepeat',4903,0,'每日特惠奖励不能重复领取','2023-04-12 06:22:58'),(306,'shop_firstRechargeNotRepeat',4904,0,'首充奖励不能重复领取','2023-04-12 06:22:58'),(307,'shop_RechargeRebateRewardNotRepeat',4905,0,'充值返利奖励不能重复领取','2023-04-12 06:22:58'),(308,'shop_RechargeRebateRmbNotEnough',4906,0,'不足','2023-04-12 06:22:58'),(309,'shop_limit_NotFree',4907,0,NULL,'2023-04-12 06:22:58'),(310,'shop_limit_TsMax',4908,0,NULL,'2023-04-12 06:22:58'),(311,'college_notExistTaskCard',5101,0,'不存在该任务卡','2023-04-12 06:22:58'),(312,'college_TaskCardStateError',5102,0,'任务卡状态错误','2023-04-12 06:22:58'),(313,'college_courseNumError',5103,0,'一个年级下的课程数量错误','2023-04-12 06:22:58'),(314,'college_taskCardNumError',5104,0,'一个课程下的任务卡数量错误','2023-04-12 06:22:58'),(315,'college_taskScoreRewardRepeatReceive',5105,0,'学院积分奖励不能重复领取','2023-04-12 06:22:58'),(316,'college_CourseRewardRepeatReceive',5106,0,'学院课程奖励不能重复领取','2023-04-12 06:22:58'),(317,'college_CourseNotUnlocked',5107,0,'没有解锁','2023-04-12 06:22:58'),(318,'map_NotUnlocked',5201,0,'地图-目的地据点尚未解锁','2023-04-12 06:22:58'),(319,'map_Unlocked',5202,0,'地图-目的地据点已经解锁','2023-04-12 06:22:58');
/*!40000 ALTER TABLE `cfg_errmsg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_globals`
--

DROP TABLE IF EXISTS `cfg_globals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_globals` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '记录id',
  `name` varchar(255) NOT NULL COMMENT '全局变量名称',
  `value` varchar(1024) DEFAULT '' COMMENT '全局变量的值',
  `description` varchar(255) DEFAULT '' COMMENT '说明文本',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=800002 DEFAULT CHARSET=utf8 COMMENT='全局变量表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_globals`
--

LOCK TABLES `cfg_globals` WRITE;
/*!40000 ALTER TABLE `cfg_globals` DISABLE KEYS */;
INSERT INTO `cfg_globals` VALUES (1,'key','value','demo','2019-10-23 09:38:19'),(3210,'Fight_OpenLevelLimit','10','某战斗开启的玩家等级限制','1999-12-31 16:00:00'),(101005,'Hero_Upgrade_MaxCostHeroCardNum','6','英雄升级_消耗卡牌的卡槽，最大数量','2019-10-23 09:38:19'),(202005,'day7_dianshu','40','七日大奖要求完成的任务点数','1999-12-31 16:00:00'),(202006,'day7_reward','1,1000','七日最终奖励','2019-12-05 08:34:09'),(303107,'shengxing_xishu','0.9','装备经验=吞噬经验X系数+初始值','1999-12-31 16:00:00'),(303108,'baoshi_shengjishu','5,5,5,4','升级成为高1等级的宝石需要的数量','1999-12-31 16:00:00'),(10,'Game_MaxPlayerLevel','80','游戏内玩家账号的最高等级限制','2021-09-29 06:55:47'),(3211,'Fight_AttackTime','1500','战斗内攻击时间间隔（毫秒）','1999-12-31 16:00:00'),(101001,'Hero_Upgrade_BasicEXP','150','英雄升级_当前卡提供的基础经验值','2019-10-23 09:38:19'),(101002,'Hero_Upgrade_EXP_XiShu','0.5','英雄升级_当前卡的累计经验值,折扣系数','2019-10-23 09:38:19'),(101003,'Hero_Upgrade_ExpConverGold','2','英雄升级_获得经验与消耗金币之间的系数','1999-12-31 16:00:00'),(101004,'Hero_Upgrade_BasicMaxLevel','80','英雄升级——英雄能达到的最大等级','2019-12-10 03:42:56'),(102001,'Hero_Star_MaxStarLevel','6','英雄升星——最大星级','2019-10-23 09:38:19'),(102003,'Hero_Star_CostItem_1','304016,304017,304018,304019,304020','英雄升星——升星消耗的道具种类 (  金元素)','1999-12-31 16:00:00'),(102004,'Hero_Star_CostItem_2','304011,304012,304013,304014,304015','英雄升星——升星消耗的道具种类 (  木元素)','1999-12-31 16:00:00'),(102005,'Hero_Star_CostItem_3','304006,304007,304008,304009,304010','英雄升星——升星消耗的道具种类 (  水元素)','1999-12-31 16:00:00'),(303001,'item_qianghua','1.05,1.10','强化5，10级时，当前属性乘以一次系数','2019-10-23 09:38:19'),(102006,'Hero_Star_CostItem_4','304001,304002,304003,304004,304005','英雄升星——升星消耗的道具种类 (  火元素)','1999-12-31 16:00:00'),(102007,'Hero_Star_CostItem_5','304021,304022,304023,304024,304025','英雄升星——升星消耗的道具种类 (  土元素)','1999-12-31 16:00:00'),(105001,'Hero_Equip_SlotOpenConditions_Favor','E,E,E','英雄装备_每个卡槽的开放要求好感度','2019-10-23 09:38:19'),(103001,'Hero_Separate_StarConvertToSpar','200,400,800,1600,3200,6400','英雄分解——不同的星星数量分解转换的晶石数量','2019-10-23 09:38:19'),(103002,'Hero_Separate_MaxCostHeroCardNum','6','英雄分解—— 消耗卡牌的卡槽，最大数量','2019-10-23 09:38:19'),(102002,'Hero_Star_MaxCostHeroCardNum','5','英雄升星——消耗英雄的卡槽，最大数量','1999-12-31 16:00:00'),(104001,'Hero_Stength_MaxStrengthLevel','4','英雄升阶——最大等阶','2019-10-23 09:38:19'),(107001,'Game_CollectHero_BasicMaxCount','100','游戏账号内_默认,收集的英雄数量上限','2019-10-23 09:38:19'),(107002,'Game_CollectHero_OneBuyLimtNum','10','游戏账号内_收集的英雄数量上限_每次购买数目','2019-10-23 09:38:19'),(3009,'Battle_GateNumOnePage','9','战斗_每个页面上存在的关卡的数量（删）','1999-12-31 16:00:00'),(303002,'Item_Packet_MaxNum','20','默认背包最大数量','2021-11-08 09:30:23'),(303003,'Item_Packet_NumCostCash','10','每开10个格子需要消耗的钻石价格','2018-02-06 09:07:27'),(106001,'Hero_Discuss_Praise_weight','3600','英雄评论区一个赞的排行权重(秒), 3600秒\r\nPs. 暂行公式: score = ts + praise * weight\r\n  按照score 从大到小排序.','2019-10-23 09:38:19'),(3018,'Battle_CostGoldBuyBuff','606001,1000;606002,1000;602003,1000;602004,1000','战前消耗金币购买buff','1999-12-31 16:00:00'),(3019,'Battle_PowerFactor','hp,1;atk,5;def,10;spd,1;cri,1','战斗计算的 格属性比重系数（李宁）','1999-12-31 16:00:00'),(3020,'Battle_BattleShowTime','1800000','单场战斗总时间, 单位毫秒','1999-12-31 16:00:00'),(3021,'Battle_BattleTeamMaxFighter','10','战斗队伍最大人数（千万别改）','1999-12-31 16:00:00'),(3022,'Battle_IncreasePowerByCastSkill','6000','己方释放技能恢复己方团队能量值','2018-01-27 03:33:05'),(3023,'Battle_BlueTeamMaxPower','40000','己方连击能量值上限（数值满足时，可以进行连击）','2018-01-27 01:06:01'),(303016,'secretshop_refresh_interval','10800','神秘商城, 刷新时间间隔(单位: 秒)','1999-12-31 16:00:00'),(303004,'Item_Packet_MaxNumPrice','10,20,30,40,50,100,200,300,400,500','物品栏购买栏位梯度价格','2018-02-06 09:08:49'),(107003,'Game_CollectHero_BasicMaxPrice','50,100,150,200,300,400,500,500,500,500','游戏账号内_收集的英雄数量上限_英雄栏购买栏位梯度价格','2019-10-23 09:38:19'),(3028,'Battle_Forever_MaxCountEveryDay','999','无穷无尽关卡——每天的挑战次数总上限','1999-12-31 16:00:00'),(101,'SystemMessage_UserSendToMyZone_Cos','1000','玩家发送一条系统消息消(当前分区)耗钻石数量','1999-12-31 16:00:00'),(102,'SystemMessage_HeroStar_Limit_Min','0','系统消息 - 对英雄升星进行系统广播的最低星级限制','1999-12-31 16:00:00'),(103,'SystemMessage_HeroStage_Limit_Min','0','系统消息 - 对英雄升阶进行系统广播的最低等阶限制','1999-12-31 16:00:00'),(104,'SystemMessage_WeaponLevel_Limit_Min','0','系统消息 - 对装备强化进行系统广播的最低等级限制','1999-12-31 16:00:00'),(202020,'choujiang_guide_items','[{\"reward\":\"101009\",\"number\":\"1\",\"probability\":\"1\"}]','新手引导中抽奖的掉落','1999-12-31 16:00:00'),(303015,'secretshop_itembuy_maxtimes','10','神秘商城最单个物品大购买次数','1999-12-31 16:00:00'),(4001,'bigRPay_Condition','5000','宝箱开启里大R充值判断条件','1999-12-31 16:00:00'),(4002,'bigROpenBoxTimesDayliy_Condition','100','宝箱开启里大R当日抽奖次数判断条件','1999-12-31 16:00:00'),(301010,'User_SetNickname_Cost','0','修改昵称消耗的钻石,0代表不消耗','2021-02-08 02:28:01'),(303013,'User_SetNewbieGuideCards','310025,1;310012,1','新手引导中发放所需碎片(cardid,numb;cardid,num...)','2018-02-05 08:38:35'),(12,'syscfg_oplog_keepdays','21','系统设定: 操作日志保存天数','1999-12-31 16:00:00'),(303007,'Equip_Upgrade_Property','0.085','装备属性升级的参数','1999-12-31 16:00:00'),(303014,'secretshop_refresh_maxtimes','10','神秘商城最大刷新次数','1999-12-31 16:00:00'),(3024,'Battle_BlueCriticalTime','5000','己方连击（倒计时）时间','2018-02-06 09:09:43'),(3025,'Battle_BattleLianJiDamageRate','11','连击伤害概率（x/100)','1999-12-31 16:00:00'),(3108,'PVP_shop_refresh_cash','20','竞技商店 - 刷新花费(钻石)','2020-05-09 07:07:03'),(3109,'PVP_shop_refresh_interval','86400','竞技商店 - 免费刷新间隔','2020-05-09 06:00:54'),(303008,'Compose_Pieces_Gold','500','碎片融合时需要花费的金币','1999-12-31 16:00:00'),(800,'FirstPay_ItemId','801017','首充活动礼包的商品ID','1999-12-31 16:00:00'),(202001,'activity_presentTili_times','12,18,21','赠送体力的时间段(24小时的数字无前导0, 逗号分隔)','1999-12-31 16:00:00'),(202002,'activity_presentTili_number','20','每次赠送体力的数量','1999-12-31 16:00:00'),(3110,'PVP_pk_ticket_price','20','竞技场-挑战票价格(钻石)','2020-05-09 07:07:31'),(2,'clientVer','1.0.7','【废弃】当前客户端版本号','2020-04-29 06:24:14'),(11,'Game_Pay_Open','1','支付模块是否开放','1999-12-31 16:00:00'),(7,'updatingBeginTs','0','更新开始时间戳','1999-12-31 16:00:00'),(8,'updatingEndTs','0','更新结束时间戳','1999-12-31 16:00:00'),(4003,'Box_Total_CoolDown','28800','开宝箱的公共冷却值（热保护值）','1999-12-31 16:00:00'),(4004,'Box_NoCoolDown_Cash','10,30,50,100','免cd开各种宝箱所花费的钻石数。','1999-12-31 16:00:00'),(303113,'TaskCardShop_Refresh_Cash','10','任务卡商城 - 手动刷新消耗钻石数量 ','2020-12-14 03:22:33'),(303114,'TaskCardShop_Refresh_TS','3600','任务卡商城 - 自动刷新间隔(秒)','2020-12-14 05:39:14'),(401000,'UserWishNumLimit','20','新手祈愿奖池 限定次数上限 ','2021-05-08 06:25:01'),(101006,'Weapon_Upgrade_BasicMaxLevel','100','武器等级最大值','2021-06-02 07:38:01'),(500000,'AuctionAddPrice','10','系统额定增加，比如每次加价10钻石','2021-06-21 09:22:13'),(500001,'AuctionEndTs','24','竞拍结束时间','2021-06-25 02:34:04'),(5001,'IdeaBackActive','<size=40><color=#0000ff>【活动内容】</color>\\n通过游戏内的【反馈】对游戏设定中不合理的地方提出宝贵建议。\\n建议内容获得审核人员认可的，会获得参与奖励。\\n<color=#0000ff>【活动奖励】</color>\\n参与奖：金币*2万+钻石*300+高级成长基因*20+普通祈愿券*10\\n<color=#0000ff>【领奖方式】</color>\\n建议内容获得认可后，相关奖励道具会以邮件形式发放至玩家手中，请注意查收。\\n<color=#0000ff>【注意事项】</color>\\n1.提交的建议需要具有较大的可行性，获得审核人员认可视为有效。\\n2.严禁发表违反法律言论以及恶意刷帖，违者取消活动资格。\\n3.本活动最终解释权归言灵世界官方所有。\\n\\n\\n期待您的反馈！！！</size>',NULL,'2021-08-18 07:46:12'),(600001,'firstRechargePrizes','401022016,1;3120002,20;7012005,1;1,20000','描述信息','2021-12-14 08:44:37'),(5002,'BugBackActive','<size=40><color=#0000ff>【活动内容】</color>\\n通过游戏内的【反馈】提交游戏Bug，官方验证确认后，即可获得200钻石奖励。\\n<color=#0000ff>【活动奖励】</color>\\n1条BUG=200钻石。\\n<color=#0000ff>【领奖方式】</color>\\nBUG经官方确认后，相关奖励道具会以邮件形式发放至玩家手中，请注意查收。\\n<color=#0000ff>【注意事项】</color>\\n1.请注明BUG具体描述，以便BUG核实后能尽快发放奖励。\\n2.严禁发表违反法律言论以及恶意刷帖，违者取消活动资格。\\n3.本活动最终解释权归言灵世界官方所有。 \\n\\n\\n期待您的反馈！！！</size>',NULL,'2021-08-18 07:47:11'),(600002,'firstRechargeRMB','1','首次充值金额达到指定值','2021-12-08 09:58:37'),(401001,'Active_UR_Num','50','活动祈愿保底必出UR唤灵师次数设置','2021-05-13 02:00:20'),(303012,'User_SetNewbieGuideExps','307001,2','新手引导中发放所需经验卡(id,num;id,num...)','2018-01-10 06:08:03'),(6,'Game_ChatIsOpen','1','游戏聊天功能——是否开放 1开放0 关闭','1999-12-31 16:00:00'),(9,'Game_Guide_IsOpen','1','游戏引导功能——是否开放 1开放0 关闭','1999-12-31 16:00:00'),(3026,'Battle_BlueTeamMaxSkillPower','20000','己方（释放技能）共用总能量条（按时间增长）','2018-01-29 02:05:21'),(3029,'Battle_RedTeamMaxSkillPower','25000','敌方（释放技能）共用总能量条（按时间增长）','2018-01-28 05:54:21'),(13,'Game_PublicNotice','http://www.game7000.com/loyalsoft/ylsj/notice.png?ver=201802111030','系统公告图片的网址','2018-02-11 02:30:17'),(3301,'Arenas_Init_SP','500','进入战场后,角色初始能量（sp)','2022-04-27 02:10:59'),(3302,'Arenas_hit_SP','3','普通攻击（一击）命中目标并造成上海， 增加3点能量SP','2020-11-06 04:51:31'),(3303,'Arenas_jixianshanbi_SP','2','触发极限闪避并进入【失控漩涡】时间， 增加2点能量SP','2020-04-01 09:27:39'),(303017,'Item_Packet_MaxNum_New','300','背包最大数量','2023-04-14 11:47:53'),(303018,'Item_Packet_InitNum_New','200','背包起始默认数量','2023-04-14 11:47:48'),(600003,'limitTsActiveGiftStartTs','1639540129','限时活动礼包开始时间','2021-12-15 03:49:24'),(600004,'limitTsActiveGiftEndTs','1639972129','限时活动礼包结束时间','2021-12-15 03:49:32'),(303019,'expandStorageCost','2,500','扩容第三个格子的花费','2022-04-13 09:30:04'),(3304,'caoWeiCoolTs','1,10;2,10;3,10;4,10;5,3','战斗槽位冷却时间','2022-04-27 07:52:08'),(3305,'YaoPingAttrInitVal','341,60;342,30','血瓶生命初始值和蓝瓶的魔法的初始值','2022-04-27 07:52:16'),(303115,'DailyTaskLevelLimitLock','1','每日任务等级限制解锁','2022-06-17 01:55:10'),(700001,'dailyTask_Common','601200001,601200002,601200003,601200005','每日任务常规任务','2022-08-16 09:51:56'),(700002,'dailyTask_HandOver','601200099','每日任务交付任务','2022-06-07 06:43:48'),(202003,'active_BuyTili_Cost','50/100/100/150/200/200','每日购买体力消费','2022-07-26 07:32:56'),(202004,'active_BuyTili_RecoveryNum','80','每次购买体力的体力回复值','2023-05-23 06:42:13'),(202007,'active_BuyTili_DailyNum','6','每日购买体力次数限制','2022-07-26 07:35:48'),(202008,'TiliMaxVal','160','自动恢复体力的上线值','2023-03-14 05:43:02'),(202009,'backFullBloodCost','10','原地满血复活消耗的钻石','2022-10-20 09:25:57'),(800000,'AccumulateRechargePrize','998,1010006','限购里累计998可得武器','2022-11-25 04:23:40'),(202010,'battleReviveNum','3','免费原地满血复活次数','2022-12-13 08:38:33'),(202011,'yanlingExpQualityGroup','1,1;2,2;3,3,4;4,5,6;5,7,8,9,10,11,12','言灵品阶分组','2023-01-04 03:13:25'),(202012,'active_Tili_RecoverTS','480','恢复一点体力所需时间(秒)','2023-03-15 02:02:15');
/*!40000 ALTER TABLE `cfg_globals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_service_schedule`
--

DROP TABLE IF EXISTS `cfg_service_schedule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_service_schedule` (
  `id` int(11) NOT NULL DEFAULT '1' COMMENT '固定为1',
  `startts` int(11) NOT NULL DEFAULT '0' COMMENT '开始时间戳',
  `endts` int(11) NOT NULL DEFAULT '0' COMMENT '结束时间戳',
  `reason` varchar(255) NOT NULL DEFAULT '0' COMMENT '原因',
  KEY `Index 1` (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='服务_计划(维护/更新/停服)..\r\n只有第1条配置数据生效';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_service_schedule`
--

LOCK TABLES `cfg_service_schedule` WRITE;
/*!40000 ALTER TABLE `cfg_service_schedule` DISABLE KEYS */;
INSERT INTO `cfg_service_schedule` VALUES (1,1670169660,1670255999,'《言灵世界》将于12月6日0:00-12月7日0:00进行停服维护。停服期间无法登录游戏，请各位唤灵师相互转告，并合理安排时间。感谢您对《言灵世界》的支持和理解。');
/*!40000 ALTER TABLE `cfg_service_schedule` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_sysmail`
--

DROP TABLE IF EXISTS `cfg_sysmail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_sysmail` (
  `tid` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) NOT NULL COMMENT '邮件统一编号,只能递增,不能重复使用',
  `title` varchar(20) NOT NULL COMMENT '标题',
  `content` varchar(400) NOT NULL COMMENT '内容',
  `itemid` int(11) NOT NULL COMMENT '【废弃】道具id',
  `num` int(11) NOT NULL COMMENT '【废弃】道具数量',
  `startts` int(11) NOT NULL COMMENT '生效时间ts',
  `endts` int(11) NOT NULL DEFAULT '1999999999' COMMENT '过期/失效时间ts',
  `appendix` varchar(200) NOT NULL DEFAULT '' COMMENT '附件（奖励字符串：id,num;id,num;...）',
  `tag` varchar(200) NOT NULL DEFAULT '' COMMENT '附加数据',
  `lastupdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次更改时间',
  PRIMARY KEY (`tid`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=78 DEFAULT CHARSET=utf8 COMMENT='系统邮件配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_sysmail`
--

LOCK TABLES `cfg_sysmail` WRITE;
/*!40000 ALTER TABLE `cfg_sysmail` DISABLE KEYS */;
INSERT INTO `cfg_sysmail` VALUES (73,98,'封测删档补偿礼包','ARPG动作手游《言灵世界》定于2022年10月27日删除封测期间的所有玩家数据，并开启第一轮删档计费测试。作为补偿，我们特此发放288钻石给所有参与测试的玩家，请查收。感谢大家对游戏的支持与理解，祝大家游戏和生活愉快。\r\n',0,0,0,1666713599,'2,288','','0000-00-00 00:00:00'),(72,97,'封测礼包','ARPG动作手游《言灵世界》定于2022年9月30日开启第一轮删档不计费测试。我们特此发放200钻石+10张活动祈愿券给所有参与测试的玩家，请查收。感谢大家对游戏的支持与理解，祝大家游戏和生活愉快。',0,0,0,1666713599,'2,200;3330001,10','','0000-00-00 00:00:00'),(74,99,'公测新春礼包','ARPG动作手游《言灵世界》定于2023年1月19日开启正式公测。我们特此发放200钻石给所有言灵世界的玩家，请查收。感谢大家对游戏的支持与理解，祝大家新春快乐，兔飞猛进，大展宏兔。',0,0,0,1999999999,'2,200','','0000-00-00 00:00:00');
/*!40000 ALTER TABLE `cfg_sysmail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_task`
--

DROP TABLE IF EXISTS `cfg_task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_task` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `typeId` int(11) DEFAULT NULL COMMENT '任务id',
  `ban` varchar(255) DEFAULT NULL COMMENT '[废弃2020年7月8日10:49:06]按面板查询任务: 剧情, 每日，挑战，新手, 副本。',
  `name` varchar(255) DEFAULT NULL COMMENT '任务名称',
  `goto_module` varchar(255) DEFAULT NULL COMMENT '前往功能模块',
  `desc` varchar(255) DEFAULT NULL COMMENT '任务描述',
  `taskrank` varchar(255) DEFAULT NULL COMMENT '[废弃2020年7月8日10:49:12]任务的阶段（10,20）代表10级到20级之间会接到  (0,10)代表10级之前会接到',
  `tasktype` varchar(255) DEFAULT NULL COMMENT '任务类型:',
  `canshu1` varchar(255) NOT NULL DEFAULT '' COMMENT '完成任务所需的第一个参数',
  `canshu2` varchar(255) NOT NULL DEFAULT '' COMMENT '完成任务所需的第二个参数',
  `reward` varchar(255) DEFAULT NULL COMMENT '完成任务后的奖励物品id,num;id,num',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=402104 DEFAULT CHARSET=utf8 COMMENT='任务表——剧情任务';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_task`
--

LOCK TABLES `cfg_task` WRITE;
/*!40000 ALTER TABLE `cfg_task` DISABLE KEYS */;
INSERT INTO `cfg_task` VALUES (1,400001,'1','关卡：第一章','1:503001,0','通关普通1-1','0','21','503001','0','3612001,2;3612003,2',NULL),(2,400002,'1','成长：等级','1:0','指挥官达到2级','0','11','2','0','1,5000;3110001,5',NULL),(3,400003,'1','成长：夜神月','3:101005','夜神月等级提升至5级','0','12','101005','5','1,10000;2010001,5',NULL),(4,400004,'1','关卡：第一章','1:503005,0','通关普通1-5','0','21','503005','0','1,10000;2010001,5',NULL),(5,400005,'1','成长：夜神月','3:101005','夜神月等级升至10级','0','12','101005','10','1,10000;2010001,10',NULL),(6,400006,'1','成长：夜神月','3:101005','夜神月品阶提升至C','0','13','101005','C','1,20000;2,50',NULL),(7,400007,'1','关卡：第一章','1:503007,0','通关普通1-7','0','21','503007','0','1,20000;2010003,5',NULL),(8,400008,'1','成长：卡琳娜','3:202011','卡琳娜等级提升至15级','0','12','202011','15','1,20000;2010003,5',NULL),(9,400009,'1','成长：夜神月','3:101005','夜神月等级提升至15级','0','12','101005','15','1,20000;2010003,10',NULL),(10,400010,'1','关卡：第一章','1:503010,0','通关普通1-10','0','21','503010','0','1,50000;2010003,10',NULL),(11,400011,'1','成长：等级','1:0','指挥官达到10级','0','11','10','0','1,50000;2,100',NULL),(12,400012,'1','解锁：拉雅','1:503012','通关普通1-12','0','21','503012','0','1,50000;2,200',NULL);
/*!40000 ALTER TABLE `cfg_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_task_step`
--

DROP TABLE IF EXISTS `cfg_task_step`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_task_step` (
  `id` int(11) NOT NULL DEFAULT '0' COMMENT '索引',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '类型(1.主线任务；2.每日任务；3.特殊任务；4.软引导；5.任务卡； 999 新手引导）',
  `minlv` int(11) NOT NULL DEFAULT '0' COMMENT '等级要求(未达到等级时, 前往变为等级提示)',
  `qual` int(11) NOT NULL DEFAULT '0' COMMENT '【用于任务卡任务时未启用】任务品质: 1白色, 2绿色, 3蓝色, 4紫色, 5橙色, 6红色',
  `icon` varchar(255) NOT NULL DEFAULT '' COMMENT '图标',
  `img` varchar(255) NOT NULL DEFAULT '' COMMENT '图片',
  `prelist` varchar(255) NOT NULL DEFAULT '' COMMENT '[言灵] 前置任务列表（多个任务id逗号隔开，没有则置空）',
  `startact` varchar(255) NOT NULL DEFAULT '' COMMENT '[言灵] 任务的起始动作（动作表id逗号隔开，没有则置空）',
  `cmdtype` int(11) NOT NULL DEFAULT '0' COMMENT '指令类型（默认为cmd的百位数）',
  `cmd` int(11) NOT NULL DEFAULT '0' COMMENT '事件件码指令（详见文档）',
  `paras` varchar(255) NOT NULL DEFAULT '' COMMENT '参数 (若参数为多个,需要自己跟策划约定好解析规则)这里面都是用的==判断',
  `num` int(11) NOT NULL DEFAULT '1' COMMENT '条件计数 (max)(>=max)',
  `prizes` varchar(255) NOT NULL DEFAULT '' COMMENT '[神宠] 奖励串 (言灵单条任务不计奖励, 放到任务卡上. 任务完成放到)',
  `next` varchar(50) NOT NULL DEFAULT '0' COMMENT '下一个任务（如果是任务卡的子任务则填下一个子任务id，如果是最后一个子任务则填0）',
  `fallback` varchar(50) NOT NULL DEFAULT '0' COMMENT '【废弃】如果发生重新登录或者切换场景的情况,回撤到指定的步骤id(2022.3.3)(该步骤的完成度也回撤)(2022.8有了地图数据存储后无需回撤了)',
  `des` varchar(255) NOT NULL DEFAULT '' COMMENT '描述',
  `etc` varchar(255) NOT NULL DEFAULT '' COMMENT '其他',
  `vip` int(11) NOT NULL DEFAULT '0' COMMENT 'vip等级要求',
  `start` varchar(255) NOT NULL DEFAULT '' COMMENT '[神宠] 任务起始限时',
  `end` varchar(255) NOT NULL DEFAULT '' COMMENT '[神宠] 任务结束限时',
  `isauto` int(11) NOT NULL DEFAULT '0' COMMENT '是否自动完成（0= 否 1=是 如果是任务卡的子任务则固定填1）',
  `finishact` varchar(255) NOT NULL DEFAULT '' COMMENT '[言灵] 任务的结束动作（格式同起始动作）',
  `storyid` varchar(255) NOT NULL DEFAULT '0' COMMENT '[神宠] 是否触发剧情',
  `npcid` int(11) NOT NULL DEFAULT '0' COMMENT '[神宠] 是否存在场景npc（某些场景需生成特定npc形象）',
  `guideid` int(11) NOT NULL DEFAULT '0' COMMENT '触发新手引导步骤',
  `goto_module` varchar(50) NOT NULL DEFAULT '' COMMENT '前往',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='【任务卡】任务(步骤)数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_task_step`
--

LOCK TABLES `cfg_task_step` WRITE;
/*!40000 ALTER TABLE `cfg_task_step` DISABLE KEYS */;
INSERT INTO `cfg_task_step` VALUES (1001,'击杀蛮力机甲',1,1,2,'','','','1',2,201,'401001',1,'','0','0','击杀蛮力机甲','',0,'','',0,'0','0',0,0,'1:401001'),(1002,'击杀哨兵',1,1,3,'','','','0',2,201,'601003',2,'','0','0','击杀哨兵','',0,'','',0,'2','0',0,0,'1:601003'),(1003,'击毁俯冲战机',1,1,4,'','','','0',2,201,'701003',2,'','0','0','击毁俯冲战机','',0,'','',0,'3','0',0,0,'1:701003'),(1004,'获取魔炎石',1,1,3,'','','','4',2,202,'3613009',1,'','0','0','获取魔炎石','',0,'','',0,'0','0',0,0,'8:3613009'),(1005,'获取魔冰石',1,1,4,'','','','0',2,202,'3612003',2,'','0','0','获取魔冰石','',0,'','',0,'5','0',0,0,'8:3612003'),(1006,'获取玄火石',1,1,5,'','','','0',2,202,'3613003',2,'','0','0','获取玄火石','',0,'','',0,'6','0',0,0,'8:3613003'),(1007,'与孟老师交谈',1,1,1,'','','','7',2,203,'1001,0',1,'','0','0','与孟老师交谈','',0,'','',0,'10','0',0,0,'9:1,1001'),(1008,'与郑老师交谈',1,1,2,'','','','0',2,203,'1002,0',1,'','0','0','与郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(1009,'与徐老师交谈',1,1,3,'','','','9',2,203,'1003,0',1,'','0','0','与徐老师交谈','',0,'','',0,'0','0',0,0,'9:1,1003'),(1010,'找孟老师商量',1,1,2,'','','','1',2,203,'1001,0',1,'','1011','0','找孟老师商量','',0,'','',0,'0','0',0,0,'9:1,1001'),(1011,'斩杀哨兵',1,1,2,'','','','0',2,201,'601003',2,'','1012','0','斩杀哨兵','',0,'','',0,'2','0',0,0,'1:601003'),(1012,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,0',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(1013,'获取魔炎石',1,1,3,'','','','0',2,202,'3613009',1,'','0','0','获取魔炎石','',0,'','',0,'4','0',0,0,'8:3613009'),(1014,'获取玄火石',1,1,3,'','','','0',2,202,'3613003',2,'','0','0','获取玄火石','',0,'','',0,'6','0',0,0,'8:3613003'),(1015,'找郑老师接取任务',1,1,4,'','','','0',2,203,'1002,0',1,'','1016,1017','0','找郑老师接取任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(1016,'击杀蛮力机甲',1,1,4,'','','','0',2,201,'401001',1,'','0','0','击杀蛮力机甲','',0,'','',0,'0','0',0,0,'1:401001'),(1017,'获取魔冰石',1,1,4,'','','','0',2,202,'3612003',2,'','1018','0','获取魔冰石','',0,'','',0,'0','0',0,0,'8:3612003'),(1018,'找徐老师交付任务',1,1,4,'','','1016,1017','0',2,203,'1003,0',1,'','0','0','找徐老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1003'),(1019,'击杀蛮力机甲',1,1,2,'','','','0',2,201,'401001',1,'','0','0','击杀蛮力机甲','',0,'','',0,'12','0',0,0,'1:401001'),(1020,'找徐老师交谈，了解魂器由来',1,1,2,'','','','0',2,203,'1003,5',1,'','0','0','找徐老师交谈，了解魂器由来','',0,'','',0,'0','0',0,0,'9:1,1003'),(1021,'回复徐老师',1,1,2,'','','','0',2,203,'1003,2',1,'','0','0','回复徐老师','',0,'','',0,'0','0',0,0,'9:1,1003'),(1022,'击杀机甲，抢回玄火石',1,1,2,'','','','0',2,202,'3613003',5,'','0','0','击杀机甲，抢回玄火石','',0,'','',0,'14','0',0,0,'8:3613003'),(1023,'找徐老师领礼物',1,1,2,'','','','0',2,203,'1003,3',1,'','0','0','找徐老师领礼物','',0,'','',0,'0','0',0,0,'9:1,1003'),(1024,'找徐老师做召唤',1,1,3,'','','','0',2,203,'1003,4',1,'','0','0','找徐老师做召唤','',0,'','',0,'16','0',0,0,'9:1,1003'),(1025,'找孟老师索要结晶',1,1,2,'','','','0',2,203,'1001,0',1,'','0','0','找孟老师索要结晶','',0,'','',0,'3','0',0,0,'9:1,1001'),(1026,'把结晶交给郑老师',1,1,2,'','','','0',2,203,'1002,0',1,'','0','0','把结晶交给郑老师','',0,'','',0,'0','0',0,0,'9:1,1002'),(1027,'找郑老师领取学生证',1,1,2,'','','','0',2,203,'1002,2',1,'','0','0','找郑老师领取学生证','',0,'','',0,'0','0',0,0,'9:1,1002'),(1028,'击杀蛮力机甲，获取遗失魂器',1,1,2,'','','','21',2,202,'3620001',1,'','0','0','击杀蛮力机甲，获取遗失魂器','',0,'','',0,'12','0',0,0,'8:3620001'),(1029,'搜集5颗玄火石',1,1,2,'','','','0',2,202,'3613003',5,'','0','0','搜集5颗玄火石','',0,'','',0,'15','0',0,0,'8:3613003'),(1030,'找徐老师交谈，完成召唤',1,1,2,'','','','0',2,203,'1003,6',1,'','0','0','找徐老师交谈，完成召唤','',0,'','',0,'16','0',0,0,'9:1,1003'),(1031,'装备新言灵',1,1,2,'','','','0',2,17,'101005,4011201',1,'','1032','0','装备新言灵','',0,'','',0,'0','0',0,0,'12:101005'),(1032,'击杀机甲，获取言灵升星道具',1,1,2,'','','','0',2,201,'1201001',1,'','0','0','击杀机甲，获取言灵升星道具','',0,'','',0,'17','0',0,0,'1:1201001'),(1033,'言灵升星',1,1,2,'','','','0',2,203,'1002,2',1,'','0','0','言灵升星','',0,'','',0,'0','0',0,0,'9:1,1002'),(1034,'找郑老师交谈，领取学生证',1,1,2,'','','','0',2,203,'1002,2',1,'','0','0','找郑老师交谈，完成学生证登记','',0,'','',0,'18','0',0,0,'9:1,1002'),(1035,'购买任一任务卡',1,1,2,'','','','0',2,204,'',1,'','1036','0','购买任一任务卡','',0,'','',0,'0','0',0,0,'13'),(1036,'完成该任务卡',1,1,2,'','','','0',2,205,'',1,'','0','0','完成该任务卡','',0,'','',0,'19','0',0,0,'15'),(1037,'打开邮件，领取礼包',1,1,2,'','','','0',2,206,'',1,'','0','0','打开邮件，领取礼包','',0,'','',0,'20','0',0,0,'14'),(1038,'玩家等级提升至10级',1,1,2,'','','','0',2,11,'',10,'','0','0','玩家等级提升至10级','',0,'','',0,'0','0',0,0,'22'),(1039,'夜神月等级提升至10级',1,1,2,'','','','0',2,12,'101005',10,'','0','0','夜神月等级提升至10级','',0,'','',0,'0','0',0,0,'5'),(1040,'装备任意一把蓝品质武器',1,1,2,'','','','0',2,16,'101005,3',1,'','0','0','装备任意一把蓝品质武器','',0,'','',0,'0','0',0,0,'11:101005'),(1041,'通关原子都市第4关',1,1,2,'','','','0',2,21,'503004,1',1,'','0','0','通关原子都市第4关','',0,'','',0,'0','0',0,0,'10:1,501001,503004'),(1042,'通关原子都市第6关',1,1,2,'','','','0',2,21,'503006,1',1,'','0','0','通关原子都市第6关','',0,'','',0,'0','0',0,0,'10:1,501001,503006'),(1043,'找郑老师交谈，开始新冒险',1,1,2,'','','','0',2,203,'1002,3',1,'','0','0','找郑老师交谈，开始新冒险','',0,'','',0,'0','0',0,0,'9:1,1002'),(1044,'清理商业区机甲',1,1,2,'','','','0',2,21,'503004,1',1,'','0','0','清理商业区机甲','',0,'','',0,'22','0',0,0,'10:1,501001,503004'),(1045,'消灭机甲，帮助老者',1,1,2,'','','','0',2,21,'503005,1',1,'','0','0','消灭机甲，帮助老者','',0,'','',0,'23','0',0,0,'10:1,501001,503005'),(1046,'扫清酒吧街机甲',1,1,2,'','','','0',2,21,'503006,1',1,'','0','0','扫清酒吧街机甲','',0,'','',0,'24','0',0,0,'10:1,501001,503006'),(1047,'救出广场卖唱歌手',1,1,2,'','','','0',2,21,'503007,1',1,'','0','0','救出广场卖唱歌手','',0,'','',0,'25','0',0,0,'10:1,501001,503007'),(1048,'冲破机甲防守',1,1,2,'','','','0',2,21,'503008,1',1,'','0','0','冲破机甲防守','',0,'','',0,'26','0',0,0,'10:1,501001,503008'),(1049,'清理机甲障碍',1,1,2,'','','','0',2,21,'503009,1',1,'','0','0','清理机甲障碍','',0,'','',0,'27','0',0,0,'10:1,501001,503009'),(1050,'打败机甲，与白衣人接头',1,1,2,'','','','0',2,21,'503010,1',1,'','0','0','打败机甲，与白衣人接头','',0,'','',0,'28','0',0,0,'10:1,501001,503010'),(1051,'消灭研究所防卫机甲',1,1,2,'','','','0',2,21,'503011,1',1,'','0','0','消灭研究所防卫机甲','',0,'','',0,'29','0',0,0,'10:1,501001,503011'),(1052,'战胜BOSS，检查资料',1,1,2,'','','','0',2,21,'503012,1',1,'','0','0','战胜BOSS，检查资料','',0,'','',0,'30','0',0,0,'10:1,501001,503012'),(10001,'调查地下废墟',1,1,2,'','','','37',2,21,'503001,1',1,'','10343','0','调查地下废墟','',0,'','',0,'0','0',0,0,'10:1,501001,503001'),(10002,'找徐老师交谈，了解魂器由来',1,1,2,'','','','0',2,203,'1003,5',1,'','0','0','找徐老师交谈，了解魂器由来','',0,'','',0,'0','0',0,0,'9:1,1003'),(10003,'获得玄火石',1,1,2,'','','','43',2,202,'3211001',3,'','10004','0','获得玄火石','',0,'','',0,'15','0',0,0,'10:1,501001,503002'),(10004,'找徐老师交付材料，完成召唤',1,1,2,'','','','0',2,203,'1003,6',1,'','10337','0','找徐老师交付材料，完成召唤','',0,'','',0,'0','0',0,0,'9:1,1003'),(10005,'找徐老师，完成与言灵的交流',1,1,2,'','','','0',2,203,'1003,7',1,'','10033','0','找徐老师，完成与言灵的交流','',0,'','',0,'0','0',0,0,'9:1,1003'),(10006,'获取言灵升星材料',1,1,2,'','','','0',2,201,'1201001',1,'','10007','0','击杀机甲，获取言灵升星道具','',0,'','',0,'17','0',0,0,'1:1201001'),(10007,'找徐老师交谈',1,1,2,'','','','0',2,203,'1003,8',1,'','10008','0','找徐老师交谈','',0,'','',0,'0','0',0,0,'9:1,1003'),(10008,'找郑老师领取学生证',1,1,2,'','','','0',2,203,'1002,2',1,'','0','0','找郑老师领取学生证','',0,'','',0,'0','0',0,0,'9:1,1002'),(10009,'找郑老师交谈',1,1,2,'','','','0',2,203,'1002,4',1,'','0','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10010,'购买任一任务卡',1,1,2,'','','','0',2,204,'',1,'','10011','0','购买任一任务卡','',0,'','',0,'0','0',0,0,'13'),(10011,'完成该任务卡',1,1,2,'','','','0',2,205,'',1,'','10012','0','完成该任务卡','',0,'','',0,'0','0',0,0,'15'),(10012,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,5',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10013,'打开邮件，领取礼包',1,1,2,'','','','0',2,206,'',1,'','10014','0','打开邮件，领取礼包','',0,'','',0,'0','0',0,0,'14'),(10014,'找郑老师交谈',1,1,2,'','','','0',2,203,'1002,15',1,'','0','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10015,'找郑老师领取城市任务',1,1,2,'','','','0',2,203,'1002,6',1,'','10016','0','找郑老师领取城市任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10016,'清理商业区机甲',1,1,2,'','','','0',2,21,'503004,1',1,'','10017','0','清理商业区机甲','',0,'','',0,'22','0',0,0,'10:1,501001,503004'),(10017,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,7',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10018,'消灭机甲，帮助老者',1,1,2,'','','','0',2,21,'503005,1',1,'','10100','0','消灭机甲，帮助老者','',0,'','',0,'23','0',0,0,'10:1,501001,503005'),(10019,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,8',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10020,'扫清酒吧街机甲',1,1,2,'','','','0',2,21,'503006,1',1,'','10102','0','扫清酒吧街机甲','',0,'','',0,'24','0',0,0,'10:1,501001,503006'),(10021,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,9',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10022,'救出广场卖唱歌手',1,1,2,'','','','0',2,21,'503007,1',1,'','10104','0','救出广场卖唱歌手','',0,'','',0,'25','0',0,0,'10:1,501001,503007'),(10023,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,10',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10024,'冲破机甲防守',1,1,2,'','','','0',2,21,'503008,1',1,'','10106','0','冲破机甲防守','',0,'','',0,'26','0',0,0,'10:1,501001,503008'),(10025,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,11',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10026,'清理机甲障碍',1,1,2,'','','','0',2,21,'503009,1',1,'','10108','0','清理机甲障碍','',0,'','',0,'27','0',0,0,'10:1,501001,503009'),(10027,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,12',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10028,'打败机甲，与白衣人接头',1,1,2,'','','','0',2,21,'503010,1',1,'','10030','0','打败机甲，与白衣人接头','',0,'','',0,'28','0',0,0,'10:1,501001,503010'),(10029,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,13',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10030,'消灭研究所防卫机甲',1,1,2,'','','','0',2,21,'503011,1',1,'','10032','0','消灭研究所防卫机甲','',0,'','',0,'29','0',0,0,'10:1,501001,503011'),(10031,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,14',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10032,'战胜BOSS，检查资料',1,1,2,'','','','0',2,21,'503012,1',1,'','0','0','战胜BOSS，检查资料','',0,'','',0,'30','0',0,0,'10:1,501001,503012'),(10033,'装备新言灵',1,1,2,'','','','0',2,17,'101005,4011201',1,'','10006','0','装备新言灵','',0,'','',0,'0','0',0,0,'12:101005'),(10034,'获得魂器',1,1,2,'','','','0',2,202,'3620001',1,'','0','0','获得魂器','',0,'','',0,'0','0',0,0,'8:3620001'),(10035,'打败机甲解救被困老师',1,1,2,'','','','0',2,21,'503003,1',1,'','10046','0','打败机甲解救被困老师','',0,'','',0,'0','0',0,0,'10:1,501001,503003'),(10036,'找孟老师交谈',1,1,2,'','','','0',2,203,'1001,1',1,'','10038','0','找孟老师交谈','',0,'','',0,'0','0',0,0,'9:1,1001'),(10037,'接取一个课程',1,1,2,'','','','0',2,207,'',1,'','10038','0','接取一个课程','',0,'','',0,'39','0',0,0,'17'),(10038,'完成一个课程',1,1,2,'','','','0',2,208,'',1,'','10283','0','完成一个课程','',0,'','',0,'0','0',0,0,'17'),(10039,'升级言灵',1,1,2,'','','','45',2,18,'',1,'','0','0','升级言灵','',0,'','',0,'0','0',0,0,'16'),(10040,'完成初级部入门课全部课程',1,1,2,'','','','46',2,209,'1001',1,'','0','0','完成初级部入门课全部课程','',0,'','',0,'0','0',0,0,'17'),(10041,'找郑老师交谈',1,1,2,'','','','47',2,203,'1002,16',1,'','10042','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10042,'购买任一任务卡',1,1,2,'','','','0',2,204,'',1,'','10043','0','购买任一任务卡','',0,'','',0,'0','0',0,0,'13'),(10043,'完成该任务卡',1,1,2,'','','','0',2,205,'',1,'','0','0','完成该任务卡','',0,'','',0,'0','0',0,0,'15'),(10044,'获得玄火岩',1,1,2,'','','','0',2,202,'3211002',1,'','0','0','获得玄火岩','',0,'','',0,'0','0',0,0,'8:3211002'),(10045,'获得灵风石',1,1,2,'','','','0',2,202,'3214001',2,'','0','0','获得灵风石','',0,'','',0,'0','0',0,0,'8:3214001'),(10046,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,17',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10047,'找郑老师交付任务',1,1,2,'','','','0',2,203,'1002,18',1,'','0','0','找郑老师交付任务','',0,'','',0,'0','0',0,0,'9:1,1002'),(10048,'消灭所有机甲',1,1,2,'','','','0',2,21,'503006,1',1,'','10066','0','消灭所有机甲','',0,'','',0,'51','0',0,0,'10:1,501001,503006'),(10049,'消灭所有机甲',1,1,2,'','','','0',2,21,'503008,1',1,'','10068','0','消灭所有机甲','',0,'','',0,'52','0',0,0,'10:1,501001,503008'),(10050,'消灭所有机甲',1,1,2,'','','','0',2,21,'503007,1',1,'','10070','0','消灭所有机甲','',0,'','',0,'53','0',0,0,'10:1,501001,503007'),(10051,'消灭所有机甲',1,1,2,'','','','0',2,21,'503009,1',1,'','10072','0','消灭所有机甲','',0,'','',0,'54','0',0,0,'10:1,501001,503009'),(10052,'消灭所有机甲',1,1,2,'','','','0',2,21,'503010,1',1,'','10074','0','消灭所有机甲','',0,'','',0,'55','0',0,0,'10:1,501001,503010'),(10053,'消灭所有机甲',1,1,2,'','','','0',2,21,'503006,1',1,'','10076','0','消灭所有机甲','',0,'','',0,'56','0',0,0,'10:1,501001,503006'),(10054,'消灭所有机甲',1,1,2,'','','','0',2,21,'503008,1',1,'','10078','0','消灭所有机甲','',0,'','',0,'57','0',0,0,'10:1,501001,503008'),(10055,'消灭所有机甲',1,1,2,'','','','0',2,21,'503007,1',1,'','10080','0','消灭所有机甲','',0,'','',0,'58','0',0,0,'10:1,501001,503007'),(10056,'消灭所有机甲',1,1,2,'','','','0',2,21,'503009,1',1,'','10082','0','消灭所有机甲','',0,'','',0,'59','0',0,0,'10:1,501001,503009'),(10057,'消灭所有机甲',1,1,2,'','','','0',2,21,'503011,1',1,'','10084','0','消灭所有机甲','',0,'','',0,'60','0',0,0,'10:1,501001,503011'),(10058,'消灭所有机甲',1,1,2,'','','','0',2,21,'503006,1',1,'','10086','0','消灭所有机甲','',0,'','',0,'61','0',0,0,'10:1,501001,503006'),(10059,'消灭所有机甲',1,1,2,'','','','0',2,21,'503008,1',1,'','10088','0','消灭所有机甲','',0,'','',0,'62','0',0,0,'10:1,501001,503008'),(10060,'消灭所有机甲',1,1,2,'','','','0',2,21,'503007,1',1,'','10090','0','消灭所有机甲','',0,'','',0,'63','0',0,0,'10:1,501001,503007'),(10061,'消灭所有机甲',1,1,2,'','','','0',2,21,'503009,1',1,'','10092','0','消灭所有机甲','',0,'','',0,'64','0',0,0,'10:1,501001,503009'),(10062,'消灭所有机甲',1,1,2,'','','','0',2,21,'503011,1',1,'','10094','0','消灭所有机甲','',0,'','',0,'65','0',0,0,'10:1,501001,503011'),(10063,'消灭所有机甲',1,1,2,'','','','0',2,21,'503006,1',1,'','10096','0','消灭所有机甲','',0,'','',0,'66','0',0,0,'10:1,501001,503006'),(10064,'消灭所有机甲',1,1,2,'','','','0',2,21,'503006,1',1,'','10098','0','消灭所有机甲','',0,'','',0,'67','0',0,0,'10:1,501001,503006'),(10065,'接取‘节外生枝’',1,1,2,'','','','0',2,203,'1002,19',1,'','10048','0','接取‘节外生枝’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10066,'交付‘节外生枝’',1,1,2,'','','','0',2,203,'1002,20',1,'','0','0','交付‘节外生枝’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10067,'接取‘美味牛角’',1,1,2,'','','','0',2,203,'1002,21',1,'','10049','0','接取‘美味牛角’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10068,'交付‘美味牛角’',1,1,2,'','','','0',2,203,'1002,22',1,'','0','0','交付‘美味牛角’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10069,'接取‘热浪舞台’',1,1,2,'','','','0',2,203,'1002,23',1,'','10050','0','接取‘热浪舞台’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10070,'交付‘热浪舞台’',1,1,2,'','','','0',2,203,'1002,24',1,'','0','0','交付‘热浪舞台’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10071,'接取‘意外赠礼’',1,1,2,'','','','0',2,203,'1002,25',1,'','10051','0','接取‘意外赠礼’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10072,'交付‘意外赠礼’',1,1,2,'','','','0',2,203,'1002,26',1,'','0','0','交付‘意外赠礼’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10073,'接取‘研究危机’',1,1,2,'','','','0',2,203,'1002,27',1,'','10052','0','接取‘研究危机’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10074,'交付‘研究危机’',1,1,2,'','','','0',2,203,'1002,28',1,'','0','0','交付‘研究危机’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10075,'接取‘异能者’',1,1,2,'','','','0',2,203,'1002,29',1,'','10053','0','接取‘异能者’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10076,'交付‘异能者’',1,1,2,'','','','0',2,203,'1002,30',1,'','0','0','交付‘异能者’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10077,'接取‘障碍清理’',1,1,2,'','','','0',2,203,'1002,31',1,'','10054','0','接取‘障碍清理’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10078,'交付‘障碍清理’',1,1,2,'','','','0',2,203,'1002,32',1,'','0','0','交付‘障碍清理’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10079,'接取‘录制现场’',1,1,2,'','','','0',2,203,'1002,33',1,'','10055','0','接取‘录制现场’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10080,'交付‘录制现场’',1,1,2,'','','','0',2,203,'1002,34',1,'','0','0','交付‘录制现场’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10081,'接取‘限时快递’',1,1,2,'','','','0',2,203,'1002,35',1,'','10056','0','接取‘限时快递’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10082,'交付‘限时快递’',1,1,2,'','','','0',2,203,'1002,36',1,'','0','0','交付‘限时快递’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10083,'接取‘匿名信息’',1,1,2,'','','','0',2,203,'1002,37',1,'','10057','0','接取‘匿名信息’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10084,'交付‘匿名信息’',1,1,2,'','','','0',2,203,'1002,38',1,'','0','0','交付‘匿名信息’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10085,'接取‘情报猎人’',1,1,2,'','','','0',2,203,'1002,39',1,'','10058','0','接取‘情报猎人’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10086,'交付‘情报猎人’',1,1,2,'','','','0',2,203,'1002,40',1,'','0','0','交付‘情报猎人’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10087,'接取‘修理大师’',1,1,2,'','','','0',2,203,'1002,41',1,'','10059','0','接取‘修理大师’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10088,'交付‘修理大师’',1,1,2,'','','','0',2,203,'1002,42',1,'','0','0','交付‘修理大师’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10089,'接取‘试唱真相’',1,1,2,'','','','0',2,203,'1002,43',1,'','10060','0','接取‘试唱真相’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10090,'交付‘试唱真相’',1,1,2,'','','','0',2,203,'1002,44',1,'','0','0','交付‘试唱真相’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10091,'接取‘猫猫舞蹈’',1,1,2,'','','','0',2,203,'1002,45',1,'','10061','0','接取‘猫猫舞蹈’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10092,'交付‘猫猫舞蹈’',1,1,2,'','','','0',2,203,'1002,46',1,'','0','0','交付‘猫猫舞蹈’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10093,'接取‘神秘磁场’',1,1,2,'','','','0',2,203,'1002,47',1,'','10062','0','接取‘神秘磁场’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10094,'交付‘神秘磁场’',1,1,2,'','','','0',2,203,'1002,48',1,'','0','0','交付‘神秘磁场’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10095,'接取‘拾荒者’',1,1,2,'','','','0',2,203,'1002,49',1,'','10063','0','接取‘拾荒者’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10096,'交付‘拾荒者’',1,1,2,'','','','0',2,203,'1002,50',1,'','0','0','交付‘拾荒者’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10097,'接取‘古老故事’',1,1,2,'','','','0',2,203,'1002,51',1,'','10064','0','接取‘古老故事’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10098,'交付‘古老故事’',1,1,2,'','','','0',2,203,'1002,52',1,'','0','0','交付‘古老故事’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10099,'接取‘送信使者’',1,1,2,'','','','0',2,203,'1002,53',1,'','10018','0','接取‘送信使者’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10100,'交付‘送信使者’',1,1,2,'','','','0',2,203,'1002,54',1,'','0','0','交付‘送信使者’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10101,'接取‘深蓝酒吧’',1,1,2,'','','','0',2,203,'1002,55',1,'','10020','0','接取‘深蓝酒吧’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10102,'交付‘深蓝酒吧’',1,1,2,'','','','0',2,203,'1002,56',1,'','0','0','交付‘深蓝酒吧’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10103,'接取‘快乐歌者’',1,1,2,'','','','0',2,203,'1002,57',1,'','10022','0','接取‘快乐歌者’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10104,'交付‘快乐歌者’',1,1,2,'','','','0',2,203,'1002,58',1,'','0','0','交付‘快乐歌者’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10105,'接取‘幸福面包’',1,1,2,'','','','0',2,203,'1002,59',1,'','10024','0','接取‘幸福面包’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10106,'交付‘幸福面包’',1,1,2,'','','','0',2,203,'1002,60',1,'','0','0','交付‘幸福面包’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10107,'接取‘极速咖啡’',1,1,2,'','','','0',2,203,'1002,61',1,'','10026','0','接取‘极速咖啡’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10108,'交付‘极速咖啡’',1,1,2,'','','','0',2,203,'1002,62',1,'','0','0','交付‘极速咖啡’','',0,'','',0,'0','0',0,0,'9:1,1002'),(10109,'获得筋斗葫芦',1,1,1,'','','','0',2,202,'3620005',1,'','0','0','获得筋斗葫芦','',0,'','',0,'0','0',0,0,'10:1,501001,503010'),(10110,'搜集2颗灵风石',1,1,1,'','','','0',2,202,'3214001',2,'','0','0','搜集2颗灵风石','',0,'','',0,'0','0',0,0,'19:21010401'),(10111,'搜集2颗灵风岩',1,1,1,'','','','0',2,202,'3214002',2,'','0','0','搜集2颗灵风岩','',0,'','',0,'0','0',0,0,'19:21010402'),(10112,'搜集2颗魔冰岩',1,1,1,'','','','0',2,202,'3212002',2,'','10113','0','搜集2颗魔冰岩','',0,'','',0,'0','0',0,0,'19:21010202'),(10113,'找徐老师召唤言灵',1,1,1,'','','10109,10110,10111,10112','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10114,'获得筋斗葫芦',1,1,2,'','','','0',2,202,'3620005',1,'','0','0','获得筋斗葫芦','',0,'','',0,'0','0',0,0,'10:1,501001,503010'),(10115,'搜集4颗灵风石',1,1,2,'','','','0',2,202,'3214001',4,'','0','0','搜集4颗灵风石','',0,'','',0,'0','0',0,0,'19:21010401'),(10116,'搜集3颗灵风岩',1,1,2,'','','','0',2,202,'3214002',3,'','0','0','搜集3颗灵风岩','',0,'','',0,'0','0',0,0,'19:21010402'),(10117,'搜集2颗灵风晶',1,1,2,'','','','0',2,202,'3214003',2,'','0','0','搜集2颗灵风晶','',0,'','',0,'0','0',0,0,'19:21010403'),(10118,'搜集2颗魔冰岩',1,1,2,'','','','0',2,202,'3212002',2,'','10119','0','搜集2颗魔冰岩','',0,'','',0,'0','0',0,0,'19:21010202'),(10119,'找徐老师召唤言灵',1,1,2,'','','10114,10115,10116,10117,10118','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10120,'获得筋斗葫芦',1,1,3,'','','','0',2,202,'3620005',1,'','0','0','获得筋斗葫芦','',0,'','',0,'0','0',0,0,'10:1,501001,503010'),(10121,'搜集4颗灵风岩',1,1,3,'','','','0',2,202,'3214002',4,'','0','0','搜集4颗灵风岩','',0,'','',0,'0','0',0,0,'19:21010402'),(10122,'搜集3颗灵风晶',1,1,3,'','','','0',2,202,'3214003',3,'','0','0','搜集3颗灵风晶','',0,'','',0,'0','0',0,0,'19:21010403'),(10123,'搜集1颗灵风玉',1,1,3,'','','','0',2,202,'3214004',1,'','0','0','搜集1颗灵风玉','',0,'','',0,'0','0',0,0,'19:21010405'),(10124,'搜集1颗魔冰晶',1,1,3,'','','','0',2,202,'3212003',1,'','10125','0','搜集1颗魔冰晶','',0,'','',0,'0','0',0,0,'19:21010203'),(10125,'找徐老师召唤言灵',1,1,3,'','','10120,10121,10122,10123,10124','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10126,'获得黑血环',1,1,2,'','','','0',2,202,'3620006',1,'','0','0','获得黑血环','',0,'','',0,'0','0',0,0,'10:1,501001,503009'),(10127,'搜集10颗冥暗石',1,1,2,'','','','0',2,202,'3217001',10,'','0','0','搜集10颗冥暗石','',0,'','',0,'0','0',0,0,'19:21010701'),(10128,'搜集10颗冥暗岩',1,1,2,'','','','0',2,202,'3217002',10,'','0','0','搜集10颗冥暗岩','',0,'','',0,'0','0',0,0,'19:21010702'),(10129,'搜集10颗太金岩',1,1,2,'','','','0',2,202,'3213002',10,'','10130','0','搜集10颗太金岩','',0,'','',0,'0','0',0,0,'19:21010302'),(10130,'找徐老师召唤言灵',1,1,2,'','','10126,10127,10128,10129','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10131,'获得黑血环',1,1,3,'','','','0',2,202,'3620006',1,'','0','0','获得黑血环','',0,'','',0,'0','0',0,0,'10:1,501001,503009'),(10132,'搜集6颗冥暗晶',1,1,3,'','','','0',2,202,'3217003',6,'','0','0','搜集6颗冥暗晶','',0,'','',0,'0','0',0,0,'19:21010703'),(10133,'搜集5颗太金岩',1,1,3,'','','','0',2,202,'3213002',5,'','0','0','搜集5颗太金岩','',0,'','',0,'0','0',0,0,'19:21010302'),(10134,'搜集5颗太金晶',1,1,3,'','','','0',2,202,'3213003',5,'','0','0','搜集5颗太金晶','',0,'','',0,'0','0',0,0,'19:21010303'),(10135,'搜集1颗灵晶',1,1,3,'','','','0',2,202,'3210002',1,'','10136','0','搜集1颗灵晶','',0,'','',0,'0','0',0,0,'19:21010304'),(10136,'找徐老师召唤言灵',1,1,3,'','','10131,10132,10133,10134,10135','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10137,'获得黑血环',1,1,4,'','','','0',2,202,'3620006',1,'','0','0','获得黑血环','',0,'','',0,'0','0',0,0,'10:1,501001,503009'),(10138,'搜集5颗冥暗晶',1,1,4,'','','','0',2,202,'3217003',5,'','0','0','搜集5颗冥暗晶','',0,'','',0,'0','0',0,0,'19:21010703'),(10139,'搜集3颗冥暗玉',1,1,4,'','','','0',2,202,'3217004',3,'','0','0','搜集3颗冥暗玉','',0,'','',0,'0','0',0,0,'19:21010705'),(10140,'搜集4颗太金玉',1,1,4,'','','','0',2,202,'3213004',4,'','0','0','搜集4颗太金玉','',0,'','',0,'0','0',0,0,'19:21010305'),(10141,'搜集2颗灵玉',1,1,4,'','','','0',2,202,'3210003',2,'','10142','0','搜集2颗灵玉','',0,'','',0,'0','0',0,0,'19:21010306'),(10142,'找徐老师召唤言灵',1,1,4,'','','10137,10138,10139,10140,10141','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10143,'获得夜魔斗篷',1,1,2,'','','','0',2,202,'3620008',1,'','0','0','获得夜魔斗篷','',0,'','',0,'0','0',0,0,'10:1,501001,503008'),(10144,'搜集10颗冥暗石',1,1,2,'','','','0',2,202,'3217001',10,'','0','0','搜集10颗冥暗石','',0,'','',0,'0','0',0,0,'19:21010701'),(10145,'搜集10颗冥暗岩',1,1,2,'','','','0',2,202,'3217002',10,'','0','0','搜集10颗冥暗岩','',0,'','',0,'0','0',0,0,'19:21010702'),(10146,'搜集10颗太金岩',1,1,2,'','','','0',2,202,'3213002',10,'','10147','0','搜集10颗太金岩','',0,'','',0,'0','0',0,0,'19:21010302'),(10147,'找徐老师召唤言灵',1,1,2,'','','10143,10144,10145,10146','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10148,'获得夜魔斗篷',1,1,3,'','','','0',2,202,'3620008',1,'','0','0','获得夜魔斗篷','',0,'','',0,'0','0',0,0,'10:1,501001,503008'),(10149,'搜集6颗冥暗晶',1,1,3,'','','','0',2,202,'3217003',6,'','0','0','搜集6颗冥暗晶','',0,'','',0,'0','0',0,0,'19:21010703'),(10150,'搜集5颗太金岩',1,1,3,'','','','0',2,202,'3213002',5,'','0','0','搜集5颗太金岩','',0,'','',0,'0','0',0,0,'19:21010302'),(10151,'搜集5颗太金晶',1,1,3,'','','','0',2,202,'3213003',5,'','0','0','搜集5颗太金晶','',0,'','',0,'0','0',0,0,'19:21010303'),(10152,'搜集1颗灵晶',1,1,3,'','','','0',2,202,'3210002',1,'','10153','0','搜集1颗灵晶','',0,'','',0,'0','0',0,0,'19:21010304'),(10153,'找徐老师召唤言灵',1,1,3,'','','10148,10149,10150,10151,10152','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10154,'获得夜魔斗篷',1,1,4,'','','','0',2,202,'3620008',1,'','0','0','获得夜魔斗篷','',0,'','',0,'0','0',0,0,'10:1,501001,503008'),(10155,'搜集2颗冥暗晶',1,1,4,'','','','0',2,202,'3217003',2,'','0','0','搜集2颗冥暗晶','',0,'','',0,'0','0',0,0,'19:21010703'),(10156,'搜集2颗冥暗玉',1,1,4,'','','','0',2,202,'3217004',2,'','0','0','搜集2颗冥暗玉','',0,'','',0,'0','0',0,0,'19:21010705'),(10157,'搜集2颗太金玉',1,1,4,'','','','0',2,202,'3213004',2,'','0','0','搜集2颗太金玉','',0,'','',0,'0','0',0,0,'19:21010305'),(10158,'搜集1颗灵玉',1,1,4,'','','','0',2,202,'3210003',1,'','10159','0','搜集1颗灵玉','',0,'','',0,'0','0',0,0,'19:21010306'),(10159,'找徐老师召唤言灵',1,1,4,'','','10154,10155,10156,10157,10158','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10160,'获得火纹',1,1,3,'','','','0',2,202,'3620009',1,'','0','0','获得火纹','',0,'','',0,'0','0',0,0,'10:1,501001,503007'),(10161,'搜集5颗玄火岩',1,1,3,'','','','0',2,202,'3211002',5,'','0','0','搜集5颗玄火岩','',0,'','',0,'0','0',0,0,'19:21010103'),(10162,'搜集3颗玄火晶',1,1,3,'','','','0',2,202,'3211003',3,'','0','0','搜集3颗玄火晶','',0,'','',0,'0','0',0,0,'19:21010103'),(10163,'搜集4颗太金晶',1,1,3,'','','','0',2,202,'3213003',4,'','0','0','搜集4颗太金晶','',0,'','',0,'0','0',0,0,'19:21010303'),(10164,'搜集1颗灵晶',1,1,3,'','','','0',2,202,'3210002',1,'','10165','0','搜集1颗灵晶','',0,'','',0,'0','0',0,0,'19:21010304'),(10165,'找徐老师召唤言灵',1,1,3,'','','10160,10161,10162,10163,10164','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10166,'获得火纹',1,1,4,'','','','0',2,202,'3620009',1,'','0','0','获得火纹','',0,'','',0,'0','0',0,0,'10:1,501001,503007'),(10167,'搜集5颗玄火晶',1,1,4,'','','','0',2,202,'3211003',5,'','0','0','搜集5颗玄火晶','',0,'','',0,'0','0',0,0,'19:21010104'),(10168,'搜集4颗玄火玉',1,1,4,'','','','0',2,202,'3211004',4,'','0','0','搜集4颗玄火玉','',0,'','',0,'0','0',0,0,'19:21010105'),(10169,'搜集4颗太金玉',1,1,4,'','','','0',2,202,'3213003',4,'','0','0','搜集4颗太金玉','',0,'','',0,'0','0',0,0,'19:21010303'),(10170,'搜集1颗灵玉',1,1,4,'','','','0',2,202,'3210003',1,'','10171','0','搜集1颗灵玉','',0,'','',0,'0','0',0,0,'19:21010306'),(10171,'找徐老师召唤言灵',1,1,4,'','','10166,10167,10168,10169,10170','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10172,'获得火纹',1,1,5,'','','','0',2,202,'3620009',1,'','0','0','获得火纹','',0,'','',0,'0','0',0,0,'10:1,501001,503007'),(10173,'搜集5颗玄火玉',1,1,5,'','','','0',2,202,'3211004',5,'','0','0','搜集5颗玄火玉','',0,'','',0,'0','0',0,0,'19:21010105'),(10174,'搜集1颗玄火钻',1,1,5,'','','','0',2,202,'3211005',1,'','0','0','搜集1颗玄火钻','',0,'','',0,'0','0',0,0,'19:21010107'),(10175,'搜集6颗太金玉',1,1,5,'','','','0',2,202,'3213004',6,'','0','0','搜集6颗太金玉','',0,'','',0,'0','0',0,0,'19:21010305'),(10176,'搜集3颗灵钻',1,1,5,'','','','0',2,202,'3210004',3,'','10177','0','搜集3颗灵钻','',0,'','',0,'0','0',0,0,'19:21010308'),(10177,'找徐老师召唤言灵',1,1,5,'','','10172,10173,10174,10175,10176','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10178,'获得毒蛊',1,1,3,'','','','0',2,202,'3620003',1,'','0','0','获得毒蛊','',0,'','',0,'0','0',0,0,'10:1,501001,503010'),(10179,'搜集4颗幻毒岩',1,1,3,'','','','0',2,202,'3215002',4,'','0','0','搜集4颗幻毒岩','',0,'','',0,'0','0',0,0,'19:21010502'),(10180,'搜集2颗幻毒晶',1,1,3,'','','','0',2,202,'3215003',2,'','0','0','搜集2颗幻毒晶','',0,'','',0,'0','0',0,0,'19:21010503'),(10181,'搜集2颗幽亡岩',1,1,3,'','','','0',2,202,'3218002',2,'','0','0','搜集2颗幽亡岩','',0,'','',0,'0','0',0,0,'19:21010802'),(10182,'搜集2颗幽亡晶',1,1,3,'','','','0',2,202,'3218003',2,'','10183','0','搜集2颗幽亡晶','',0,'','',0,'0','0',0,0,'19:21010803'),(10183,'找徐老师召唤言灵',1,1,3,'','','10178,10179,10180,10181,10182','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10184,'获得毒蛊',1,1,4,'','','','0',2,202,'3620003',1,'','0','0','获得毒蛊','',0,'','',0,'0','0',0,0,'10:1,501001,503010'),(10185,'搜集4颗幻毒晶',1,1,4,'','','','0',2,202,'3215003',4,'','0','0','搜集4颗幻毒晶','',0,'','',0,'0','0',0,0,'19:21010503'),(10186,'搜集3颗幻毒玉',1,1,4,'','','','0',2,202,'3215004',3,'','0','0','搜集3颗幻毒玉','',0,'','',0,'0','0',0,0,'19:21010505'),(10187,'搜集8颗幽亡晶',1,1,4,'','','','0',2,202,'3218003',8,'','0','0','搜集8颗幽亡晶','',0,'','',0,'0','0',0,0,'19:21010803'),(10188,'搜集2颗灵玉',1,1,4,'','','','0',2,202,'3210003',2,'','10189','0','搜集2颗灵玉','',0,'','',0,'0','0',0,0,'19:21010806'),(10189,'找徐老师召唤言灵',1,1,4,'','','10184,10185,10186,10187,10188','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10190,'获得毒蛊',1,1,5,'','','','0',2,202,'3620003',1,'','0','0','获得毒蛊','',0,'','',0,'0','0',0,0,'10:1,501001,503010'),(10191,'搜集6颗幻毒玉',1,1,5,'','','','0',2,202,'3215004',6,'','0','0','搜集6颗幻毒玉','',0,'','',0,'0','0',0,0,'19:21010505'),(10192,'搜集4颗幻毒钻',1,1,5,'','','','0',2,202,'3215005',4,'','0','0','搜集4颗幻毒钻','',0,'','',0,'0','0',0,0,'19:21010507'),(10193,'搜集2颗幽亡玉',1,1,5,'','','','0',2,202,'3218004',2,'','0','0','搜集2颗幽亡玉','',0,'','',0,'0','0',0,0,'19:21010805'),(10194,'搜集1颗灵钻',1,1,5,'','','','0',2,202,'3210004',1,'','10195','0','搜集1颗灵钻','',0,'','',0,'0','0',0,0,'19:21010808'),(10195,'找徐老师召唤言灵',1,1,5,'','','10190,10191,10192,10193,10194','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10196,'获得冰王冠',1,1,2,'','','','0',2,202,'3620002',1,'','0','0','获得冰王冠','',0,'','',0,'0','0',0,0,'10:1,501001,503003'),(10197,'搜集2颗魔冰岩',1,1,2,'','','','0',2,202,'3212002',2,'','0','0','搜集2颗魔冰岩','',0,'','',0,'0','0',0,0,'19:21010203'),(10198,'搜集4颗灵风石',1,1,2,'','','','0',2,202,'3214001',4,'','0','0','搜集4颗灵风石','',0,'','',0,'0','0',0,0,'19:21010401'),(10199,'搜集3颗灵风岩',1,1,2,'','','','0',2,202,'3214002',3,'','10200','0','搜集3颗灵风岩','',0,'','',0,'0','0',0,0,'19:21010402'),(10200,'找徐老师召唤言灵',1,1,2,'','','10196,10197,10198,10199','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10201,'获得冰王冠',1,1,3,'','','','0',2,202,'3620002',1,'','0','0','获得冰王冠','',0,'','',0,'0','0',0,0,'10:1,501001,503003'),(10202,'搜集5颗魔冰晶',1,1,3,'','','','0',2,202,'3212003',5,'','0','0','搜集5颗魔冰晶','',0,'','',0,'0','0',0,0,'19:21010205'),(10203,'搜集2颗灵风岩',1,1,3,'','','','0',2,202,'3214002',2,'','0','0','搜集2颗灵风岩','',0,'','',0,'0','0',0,0,'19:21010402'),(10204,'搜集3颗灵风晶',1,1,3,'','','','0',2,202,'3214003',3,'','0','0','搜集3颗灵风晶','',0,'','',0,'0','0',0,0,'19:21010403'),(10205,'搜集5颗灵晶',1,1,3,'','','','0',2,202,'3210002',5,'','10206','0','搜集5颗灵晶','',0,'','',0,'0','0',0,0,'19:21010404'),(10206,'找徐老师召唤言灵',1,1,3,'','','10201,10202,10203,10204,10205','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10207,'获得冰王冠',1,1,4,'','','','0',2,202,'3620002',1,'','0','0','获得冰王冠','',0,'','',0,'0','0',0,0,'10:1,501001,503003'),(10208,'搜集3颗魔冰玉',1,1,4,'','','','0',2,202,'3212004',3,'','0','0','搜集3颗魔冰玉','',0,'','',0,'0','0',0,0,'19:21010205'),(10209,'搜集5颗灵风晶',1,1,4,'','','','0',2,202,'3214003',5,'','0','0','搜集5颗灵风晶','',0,'','',0,'0','0',0,0,'19:21010403'),(10210,'搜集3颗灵风玉',1,1,4,'','','','0',2,202,'3214004',3,'','0','0','搜集3颗灵风玉','',0,'','',0,'0','0',0,0,'19:21010405'),(10211,'搜集5颗灵玉',1,1,4,'','','','0',2,202,'3210003',5,'','10212','0','搜集5颗灵玉','',0,'','',0,'0','0',0,0,'19:21010406'),(10212,'找徐老师召唤言灵',1,1,4,'','','10207,10208,10209,10210,10211','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10213,'获得斩月刃',1,1,3,'','','','0',2,202,'3620011',1,'','0','0','获得斩月刃','',0,'','',0,'0','0',0,0,'10:1,501001,503009'),(10214,'搜集4颗魔冰晶',1,1,3,'','','','0',2,202,'3212003',4,'','0','0','搜集4颗魔冰晶','',0,'','',0,'0','0',0,0,'19:21010207'),(10215,'搜集4颗灵风岩',1,1,3,'','','','0',2,202,'3214002',4,'','0','0','搜集4颗灵风岩','',0,'','',0,'0','0',0,0,'19:21010402'),(10216,'搜集3颗灵风晶',1,1,3,'','','','0',2,202,'3214003',3,'','0','0','搜集3颗灵风晶','',0,'','',0,'0','0',0,0,'19:21010403'),(10217,'搜集1颗灵晶',1,1,3,'','','','0',2,202,'3210002',1,'','10218','0','搜集1颗灵晶','',0,'','',0,'0','0',0,0,'19:21010404'),(10218,'找徐老师召唤言灵',1,1,3,'','','10213,10214,10215,10216,10217','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10219,'获得斩月刃',1,1,4,'','','','0',2,202,'3620011',1,'','0','0','获得斩月刃','',0,'','',0,'0','0',0,0,'10:1,501001,503009'),(10220,'搜集3颗魔冰玉',1,1,4,'','','','0',2,202,'3212004',3,'','0','0','搜集3颗魔冰玉','',0,'','',0,'0','0',0,0,'19:21010206'),(10221,'搜集5颗灵风晶',1,1,4,'','','','0',2,202,'3214003',5,'','0','0','搜集5颗灵风晶','',0,'','',0,'0','0',0,0,'19:21010403'),(10222,'搜集3颗灵风玉',1,1,4,'','','','0',2,202,'3214004',3,'','0','0','搜集3颗灵风玉','',0,'','',0,'0','0',0,0,'19:21010405'),(10223,'搜集2颗灵玉',1,1,4,'','','','0',2,202,'3210003',2,'','10224','0','搜集2颗灵玉','',0,'','',0,'0','0',0,0,'19:21010406'),(10224,'找徐老师召唤言灵',1,1,4,'','','10219,10220,10221,10222,10223','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10225,'获得斩月刃',1,1,5,'','','','0',2,202,'3620011',1,'','0','0','获得斩月刃','',0,'','',0,'0','0',0,0,'10:1,501001,503009'),(10226,'搜集4颗魔冰钻',1,1,5,'','','','0',2,202,'3212005',4,'','0','0','搜集4颗魔冰钻','',0,'','',0,'0','0',0,0,'19:21010207'),(10227,'搜集5颗灵风玉',1,1,5,'','','','0',2,202,'3214004',5,'','0','0','搜集5颗灵风玉','',0,'','',0,'0','0',0,0,'19:21010405'),(10228,'搜集2颗灵风钻',1,1,5,'','','','0',2,202,'3214005',2,'','0','0','搜集2颗灵风钻','',0,'','',0,'0','0',0,0,'19:21010407'),(10229,'搜集2颗灵钻',1,1,5,'','','','0',2,202,'3210004',2,'','10230','0','搜集2颗灵钻','',0,'','',0,'0','0',0,0,'19:21010408'),(10230,'找徐老师召唤言灵',1,1,5,'','','10225,10226,10227,10228,10229','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10231,'获得火羽云裳',1,1,1,'','','','0',2,202,'3620001',1,'','0','0','获得火羽云裳','',0,'','',0,'0','0',0,0,'10:1,501001,503001'),(10232,'搜集3颗玄火石',1,1,1,'','','','0',2,202,'3211001',3,'','0','0','搜集3颗玄火石','',0,'','',0,'0','0',0,0,'19:21010102'),(10233,'搜集1颗玄火岩',1,1,1,'','','','0',2,202,'3211002',1,'','0','0','搜集1颗玄火岩','',0,'','',0,'0','0',0,0,'19:21010102'),(10234,'搜集2颗灵风石',1,1,1,'','','','0',2,202,'3214001',2,'','10235','0','搜集2颗灵风石','',0,'','',0,'0','0',0,0,'19:21010401'),(10235,'找徐老师召唤言灵',1,1,1,'','','10231,10232,10233,10234','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10236,'获得火羽云裳',1,1,2,'','','','0',2,202,'3620001',1,'','0','0','获得火羽云裳','',0,'','',0,'0','0',0,0,'10:1,501001,503001'),(10237,'搜集3颗玄火石',1,1,2,'','','','0',2,202,'3211001',3,'','0','0','搜集3颗玄火石','',0,'','',0,'0','0',0,0,'19:21010103'),(10238,'搜集2颗玄火岩',1,1,2,'','','','0',2,202,'3211002',2,'','0','0','搜集2颗玄火岩','',0,'','',0,'0','0',0,0,'19:21010103'),(10239,'搜集2颗灵风岩',1,1,2,'','','','0',2,202,'3214002',2,'','0','0','搜集2颗灵风岩','',0,'','',0,'0','0',0,0,'19:21010402'),(10240,'搜集3颗灵石',1,1,2,'','','','0',2,202,'3210001',3,'','10241','0','搜集3颗灵石','',0,'','',0,'0','0',0,0,'19:21010402'),(10241,'找徐老师召唤言灵',1,1,2,'','','10236,10237,10238,10239,10240','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10242,'获得火羽云裳',1,1,3,'','','','0',2,202,'3620001',1,'','0','0','获得火羽云裳','',0,'','',0,'0','0',0,0,'10:1,501001,503001'),(10243,'搜集3颗玄火岩',1,1,3,'','','','0',2,202,'3211002',3,'','0','0','搜集3颗玄火岩','',0,'','',0,'0','0',0,0,'19:21010103'),(10244,'搜集1颗玄火晶',1,1,3,'','','','0',2,202,'3211003',1,'','0','0','搜集1颗玄火晶','',0,'','',0,'0','0',0,0,'19:21010103'),(10245,'搜集5颗冥暗晶',1,1,3,'','','','0',2,202,'3217003',5,'','0','0','搜集5颗冥暗晶','',0,'','',0,'0','0',0,0,'19:21010703'),(10246,'搜集1颗灵晶',1,1,3,'','','','0',2,202,'3210002',1,'','10247','0','搜集1颗灵晶','',0,'','',0,'0','0',0,0,'19:21010704'),(10247,'找徐老师召唤言灵',1,1,3,'','','10242,10243,10244,10245,10246','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10248,'获得御龙环',1,1,3,'','','','0',2,202,'3620004',1,'','0','0','获得御龙环','',0,'','',0,'0','0',0,0,'10:1,501001,503009'),(10249,'搜集10颗太金岩',1,1,3,'','','','0',2,202,'3213002',10,'','0','0','搜集10颗太金岩','',0,'','',0,'0','0',0,0,'19:21010302'),(10250,'搜集5颗太金晶',1,1,3,'','','','0',2,202,'3213003',5,'','0','0','搜集5颗太金晶','',0,'','',0,'0','0',0,0,'19:21010303'),(10251,'搜集2颗冥暗岩',1,1,3,'','','','0',2,202,'3217002',2,'','0','0','搜集2颗冥暗岩','',0,'','',0,'0','0',0,0,'19:21010702'),(10252,'搜集2颗冥暗晶',1,1,3,'','','','0',2,202,'3217003',2,'','10253','0','搜集2颗冥暗晶','',0,'','',0,'0','0',0,0,'19:21010703'),(10253,'找徐老师召唤言灵',1,1,3,'','','10248,10249,10250,10251,10252','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10254,'获得御龙环',1,1,4,'','','','0',2,202,'3620004',1,'','0','0','获得御龙环','',0,'','',0,'0','0',0,0,'10:1,501001,503009'),(10255,'搜集8颗太金晶',1,1,4,'','','','0',2,202,'3213003',8,'','0','0','搜集8颗太金晶','',0,'','',0,'0','0',0,0,'19:21010303'),(10256,'搜集5颗太金玉',1,1,4,'','','','0',2,202,'3213004',5,'','0','0','搜集5颗太金玉','',0,'','',0,'0','0',0,0,'19:21010305'),(10257,'搜集2颗冥暗玉',1,1,4,'','','','0',2,202,'3217004',2,'','10258','0','搜集2颗冥暗玉','',0,'','',0,'0','0',0,0,'19:21010705'),(10258,'找徐老师召唤言灵',1,1,4,'','','10254,10255,10256,10257','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10259,'获得御龙环',1,1,5,'','','','0',2,202,'3620004',1,'','0','0','获得御龙环','',0,'','',0,'0','0',0,0,'10:1,501001,503009'),(10260,'搜集10颗太金玉',1,1,5,'','','','0',2,202,'3213004',10,'','0','0','搜集10颗太金玉','',0,'','',0,'0','0',0,0,'19:21010305'),(10261,'搜集8颗太金钻',1,1,5,'','','','0',2,202,'3213005',8,'','0','0','搜集8颗太金钻','',0,'','',0,'0','0',0,0,'19:21010307'),(10262,'搜集5颗冥暗钻',1,1,5,'','','','0',2,202,'3217005',5,'','0','0','搜集5颗冥暗钻','',0,'','',0,'0','0',0,0,'19:21010707'),(10263,'搜集3颗灵钻',1,1,5,'','','','0',2,202,'3210004',3,'','10264','0','搜集3颗灵钻','',0,'','',0,'0','0',0,0,'19:21010708'),(10264,'找徐老师召唤言灵',1,1,5,'','','10259,10260,10261,10262,10263','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10265,'获得月梳',1,1,3,'','','','0',2,202,'3620019',1,'','0','0','获得月梳','',0,'','',0,'0','0',0,0,'10:1,501001,503011'),(10266,'搜集6颗冥暗岩',1,1,3,'','','','0',2,202,'3217002',6,'','0','0','搜集6颗冥暗岩','',0,'','',0,'0','0',0,0,'19:21010709'),(10267,'搜集5颗冥暗晶',1,1,3,'','','','0',2,202,'3217003',5,'','0','0','搜集5颗冥暗晶','',0,'','',0,'0','0',0,0,'19:21010709'),(10268,'搜集5颗太金晶',1,1,3,'','','','0',2,202,'3213003',5,'','0','0','搜集5颗太金晶','',0,'','',0,'0','0',0,0,'19:21010303'),(10269,'搜集1颗灵晶',1,1,3,'','','','0',2,202,'3210002',1,'','10270','0','搜集1颗灵晶','',0,'','',0,'0','0',0,0,'19:21010304'),(10270,'找徐老师召唤言灵',1,1,3,'','','10265,10266,10267,10268,10269','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10271,'获得月梳',1,1,4,'','','','0',2,202,'3620019',1,'','0','0','获得月梳','',0,'','',0,'0','0',0,0,'10:1,501001,503011'),(10272,'获得4颗冥暗晶',1,1,4,'','','','0',2,202,'3217003',4,'','0','0','获得4颗冥暗晶','',0,'','',0,'0','0',0,0,'19:21010703'),(10273,'获得2颗冥暗玉',1,1,4,'','','','0',2,202,'3217004',2,'','0','0','获得2颗冥暗玉','',0,'','',0,'0','0',0,0,'19:21010705'),(10274,'获得5颗太金玉',1,1,4,'','','','0',2,202,'3213004',5,'','0','0','获得5颗太金玉','',0,'','',0,'0','0',0,0,'19:21010305'),(10275,'获得2颗灵玉',1,1,4,'','','','0',2,202,'3210003',2,'','10276','0','获得2颗灵玉','',0,'','',0,'0','0',0,0,'19:21010306'),(10276,'找徐老师召唤言灵',1,1,4,'','','10271,10272,10273,10274,10275','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10277,'获得月梳',1,1,5,'','','','0',2,202,'3620019',1,'','0','0','获得月梳','',0,'','',0,'0','0',0,0,'10:1,501001,503011'),(10278,'搜集5颗冥暗玉',1,1,5,'','','','0',2,202,'3217004',5,'','0','0','搜集5颗冥暗玉','',0,'','',0,'0','0',0,0,'19:21010705'),(10279,'搜集4颗冥暗钻',1,1,5,'','','','0',2,202,'3217005',4,'','0','0','搜集4颗冥暗钻','',0,'','',0,'0','0',0,0,'19:21010707'),(10280,'搜集5颗太金钻',1,1,5,'','','','0',2,202,'3213005',5,'','0','0','搜集5颗太金钻','',0,'','',0,'0','0',0,0,'19:21010307'),(10281,'搜集1颗灵钻',1,1,5,'','','','0',2,202,'3210004',1,'','10282','0','搜集1颗灵钻','',0,'','',0,'0','0',0,0,'19:21010308'),(10282,'找徐老师召唤言灵',1,1,5,'','','10277,10278,10279,10280,10281','0',2,203,'1003,9',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10283,'找孟老师交付‘完成课程’任务',1,1,3,'','','','0',2,203,'1001,2',1,'','0','0','找孟老师交付‘完成课程’任务','',0,'','',0,'0','0',0,0,'9:1,1001'),(10284,'通关无尽塔第一层',1,12,3,'','','','0',2,22,'600001,1',1,'','10285','0','通关无尽塔第一层','',0,'','',0,'70','0',0,0,'18'),(10285,'找孟老师交谈',1,1,3,'','','','0',2,203,'1001,3',1,'','0','0','找孟老师交谈','',0,'','',0,'0','0',0,0,'9:1,1001'),(10286,'将夜神月等级升至20级',1,1,3,'','','','0',2,12,'101005',20,'','0','0','将夜神月等级升至20级','',0,'','',0,'0','0',0,0,'3:101005'),(10287,'找孟老师交谈',1,1,3,'','','','0',2,203,'1001,4',1,'','0','0','找孟老师交谈','',0,'','',0,'0','0',0,0,'9:1,1001'),(10288,'通关唤灵师碎片第一关',1,1,3,'','','','0',2,24,'20010101,1',1,'','10289','0','通关唤灵师碎片第一关','',0,'','',0,'0','0',0,0,'19:20010101'),(10289,'通关BOSS战获得夜神月突破材料',1,1,3,'','','','0',2,23,'506002',1,'','10290','0','通关BOSS战获得唤灵师突破材料','',0,'','',0,'0','0',0,0,'21:506002'),(10290,'找孟老师交谈',1,1,3,'','','','0',2,203,'1001,5',1,'','0','0','找孟老师交谈','',0,'','',0,'0','0',0,0,'9:1,1001'),(10291,'进行突破操作',1,1,3,'','','','0',2,13,'',1,'','10292','0','进行突破操作','',0,'','',0,'0','0',0,0,'3:101005'),(10292,'找孟老师交谈',1,1,3,'','','','0',2,203,'1001,6',1,'','0','0','找孟老师交谈','',0,'','',0,'0','0',0,0,'9:1,1001'),(10293,'找郑老师交谈',1,1,3,'','','','0',2,203,'1002,63',1,'','10294','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10294,'购买任一任务卡',1,1,3,'','','','0',2,204,'',1,'','10295','0','购买任一任务卡','',0,'','',0,'0','0',0,0,'13'),(10295,'完成该任务卡',1,1,3,'','','','0',2,205,'',1,'','10296','0','完成该任务卡','',0,'','',0,'0','0',0,0,'15'),(10296,'找郑老师交谈',1,1,3,'','','','0',2,203,'1002,64',1,'','0','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10297,'进行一次十连抽',1,1,3,'','','','0',2,210,'',1,'','10298','0','进行一次十连抽','',0,'','',0,'0','0',0,0,'20'),(10298,'找郑老师交谈',1,1,3,'','','','0',2,203,'1002,65',1,'','0','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10299,'夜神月等级达到30级',1,1,2,'','','','0',2,12,'101005',30,'','0','0','夜神月等级达到30级','',0,'','',0,'0','0',0,0,'3:101005'),(10300,'拥有一个蓝品质言灵',1,1,2,'','','','0',2,41,'3',1,'','0','0','拥有一个蓝品质言灵','',0,'','',0,'0','0',0,0,''),(10301,'装备两个绿色品质以上言灵',1,1,2,'','','','0',2,19,'2',2,'','0','0','装备两个绿色品质以上言灵','',0,'','',0,'0','0',0,0,''),(10302,'通关1-8关卡',1,1,2,'','','','0',2,21,'503008,1',1,'','0','0','通关1-8关卡','',0,'','',0,'0','0',0,0,'10:1,501001,503008'),(10303,'通关无尽塔第5关',1,1,2,'','','','0',2,22,'600001,5',1,'','0','0','通关无尽塔第5关','',0,'','',0,'0','0',0,0,'18'),(10304,'完成3次白色品质任务卡',1,1,2,'','','','0',2,211,'1',3,'','0','0','完成3次白色品质任务卡','',0,'','',0,'0','0',0,0,''),(10305,'通关唤灵师碎片第3层',1,1,2,'','','','0',2,24,'20010103,3',1,'','0','0','通关唤灵师碎片第3层','',0,'','',0,'0','0',0,0,'19:20010103'),(10306,'玩家等级达到25级',1,1,3,'','','','0',2,11,'',25,'','0','0','玩家等级达到25级','',0,'','',0,'0','0',0,0,'0'),(10307,'夜神月等级达到40级',1,1,3,'','','','0',2,12,'101005',40,'','0','0','夜神月等级达到40级','',0,'','',0,'0','0',0,0,'3:101005'),(10308,'将任意两个言灵突破至2星',1,1,3,'','','','0',2,213,'2',2,'','0','0','将任意两个言灵突破至2星','',0,'','',0,'0','0',0,0,''),(10309,'装备两个蓝色品质以上言灵',1,1,3,'','','','0',2,19,'3',2,'','0','0','装备两个蓝色品质以上言灵','',0,'','',0,'0','0',0,0,''),(10310,'通关1-10关卡',1,1,3,'','','','0',2,21,'503010,1',1,'','0','0','通关1-10关卡','',0,'','',0,'0','0',0,0,'10:1,501001,503010'),(10311,'通关无尽塔第10关',1,1,3,'','','','0',2,22,'600001,10',1,'','0','0','通关无尽塔第10关','',0,'','',0,'0','0',0,0,'18'),(10312,'通关唤灵师碎片第5层',1,1,3,'','','','0',2,21,'20010105',1,'','0','0','通关唤灵师碎片第5层','',0,'','',0,'0','0',0,0,'19:20010105'),(10313,'通关火系言灵召唤材料第3层',1,1,3,'','','','0',2,24,'21010103,3',1,'','0','0','通关火系言灵召唤材料第3层','',0,'','',0,'0','0',0,0,'19:21010103'),(10314,'完成5次绿色品质任务卡',1,1,3,'','','','0',2,211,'2',5,'','0','0','完成5次绿色品质任务卡','',0,'','',0,'0','0',0,0,''),(10315,'夜神月等级达到50级',1,1,3,'','','','0',2,12,'101005',50,'','0','0','夜神月等级达到50级','',0,'','',0,'0','0',0,0,'3:101005'),(10316,'拥有三个蓝色品质言灵',1,1,3,'','','','0',2,41,'3',3,'','0','0','拥有三个蓝色品质言灵','',0,'','',0,'0','0',0,0,''),(10317,'将任意三个言灵突破至3星',1,1,3,'','','','0',2,213,'3',3,'','0','0','将任意三个言灵突破至3星','',0,'','',0,'0','0',0,0,''),(10318,'通关1-12关卡',1,1,3,'','','','0',2,21,'503012,1',1,'','0','0','通关1-12关卡','',0,'','',0,'0','0',0,0,'10:1,501001,503012'),(10319,'通关无尽塔第15关',1,1,3,'','','','0',2,22,'600001,15',1,'','0','0','通关无尽塔第15关','',0,'','',0,'0','0',0,0,'18'),(10320,'通关唤灵师碎片第7层',1,1,3,'','','','0',2,21,'20010107',1,'','0','0','通关唤灵师碎片第7层','',0,'','',0,'0','0',0,0,'19:20010107'),(10321,'通关火系言灵召唤材料第5层',1,1,3,'','','','0',2,24,'21010105,5',1,'','0','0','通关火系言灵召唤材料第5层','',0,'','',0,'0','0',0,0,'19:21010105'),(10322,'完成5次蓝色品质任务卡',1,1,3,'','','','0',2,211,'3',5,'','0','0','完成5次蓝色品质任务卡','',0,'','',0,'0','0',0,0,''),(10323,'通关武器突破石第3层',1,1,3,'','','','0',2,24,'20020103,3',1,'','0','0','通关武器突破石第3层','',0,'','',0,'0','0',0,0,'19:20020103'),(10324,'通关言灵突破石第3层',1,1,3,'','','','0',2,24,'20030103,3',1,'','0','0','通关言灵突破石第3层','',0,'','',0,'0','0',0,0,'19:20030103'),(10325,'完成5个绿色品质以上言灵召唤任务卡',1,1,3,'','','','0',2,212,'2',5,'','0','0','完成5个绿色品质以上言灵召唤任务卡','',0,'','',0,'0','0',0,0,''),(10326,'玩家等级达到35级',1,1,4,'','','','0',2,11,'',35,'','0','0','玩家等级达到35级','',0,'','',0,'0','0',0,0,'0'),(10327,'夜神月等级达到60级',1,1,4,'','','','0',2,12,'101005',60,'','0','0','夜神月等级达到60级','',0,'','',0,'0','0',0,0,'3:101005'),(10328,'装备三个紫色品质以上言灵',1,1,4,'','','','0',2,19,'4',3,'','0','0','装备三个紫色品质以上言灵','',0,'','',0,'0','0',0,0,''),(10329,'将任意两个武器突破至3星',1,1,4,'','','','0',2,214,'3',2,'','0','0','将任意两个武器突破至3星','',0,'','',0,'0','0',0,0,''),(10330,'装备任一紫色品质武器',1,1,4,'','','','0',2,16,'101005,4',1,'','0','0','装备任一紫色品质武器','',0,'','',0,'0','0',0,0,'11:101005'),(10331,'通关无尽塔第20关',1,1,4,'','','','0',2,22,'600001,20',1,'','0','0','通关无尽塔第20关','',0,'','',0,'0','0',0,0,'18'),(10332,'通关唤灵师碎片第9层',1,1,4,'','','','0',2,24,'20010109,9',1,'','0','0','通关唤灵师碎片第9层','',0,'','',0,'0','0',0,0,'19:20010109'),(10333,'通关武器突破之旅（刀剑）第3层',1,1,4,'','','','0',2,24,'21020103,3',1,'','0','0','通关武器突破之旅（刀剑）第3层','',0,'','',0,'0','0',0,0,'19:21020103'),(10334,'通关言灵突破之旅（冰）第3层',1,1,4,'','','','0',2,24,'21040203,3',1,'','0','0','通关言灵突破之旅（冰）第3层','',0,'','',0,'0','0',0,0,'19:21040203'),(10335,'完成5次紫色品质任务卡',1,1,4,'','','','0',2,211,'4',5,'','0','0','完成5次紫色品质任务卡','',0,'','',0,'0','0',0,0,''),(10336,'完成5个蓝色品质以上言灵召唤任务卡',1,1,4,'','','','0',2,212,'3',5,'','0','0','完成5个蓝色品质以上言灵召唤任务卡','',0,'','',0,'0','0',0,0,''),(10337,'找徐老师交谈',1,1,2,'','','','0',2,203,'1003,10',1,'','0','0','找徐老师交谈','',0,'','',0,'0','0',0,0,'9:1,1003'),(10338,'将战队等级提升到20级',1,1,2,'','','','0',2,11,'',20,'','10339','0','将战队等级提升到20级','',0,'','',0,'0','0',0,0,'0'),(10339,'找郑老师交谈',1,1,2,'','','','0',2,203,'1002,66',1,'','0','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10340,'打败机甲与拉雅会合',1,1,2,'','','','0',2,21,'503005,1',1,'','10341','0','打败机甲与拉雅会合','',0,'','',0,'76','0',0,0,'10:1,501001,503005'),(10341,'找郑老师交谈',1,1,2,'','','','0',2,203,'1002,67',1,'','0','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10342,'调查地下废墟',1,1,2,'','','','0',2,21,'503001,1',1,'','0','0','调查地下废墟','',0,'','',0,'78','0',0,0,'10:1,501001,503001'),(10343,'找郑老师交谈',1,1,2,'','','','0',2,203,'1002,68',1,'','0','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10344,'击杀看守者',1,1,2,'','','','0',2,201,'1201005',1,'','10345','0','击杀看守者','',0,'','',0,'0','0',0,0,'10:1,501001,503002'),(10345,'找郑老师交谈',1,1,2,'','','','0',2,203,'1002,69',1,'','0','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10346,'找徐老师交谈',1,1,2,'','','','0',2,203,'1003,11',1,'','10347','0','找徐老师交谈','',0,'','',0,'0','0',0,0,'9:1,1003'),(10347,'前往密室获得魂器',1,1,2,'','','','0',2,21,'503003,1',1,'','0','0','前往密室获得魂器','',0,'','',0,'0','0',0,0,'10:1,501001,503003'),(10348,'找徐老师召唤言灵',1,1,2,'','','','0',2,203,'1003,12',1,'','0','0','找徐老师召唤言灵','',0,'','',0,'0','0',0,0,'9:1,1003'),(10349,'找郑老师起名',1,1,2,'','','','0',2,203,'1002,70',1,'','0','0','找郑老师起名','',0,'','',0,'0','0',0,0,'9:1,1002'),(10350,'寻找地牢出口',1,1,2,'','','','0',2,21,'503004,1',1,'','10351','0','寻找地牢出口','',0,'','',0,'0','0',0,0,'10:1,501001,503004'),(10351,'找郑老师交谈',1,1,2,'','','','0',2,203,'1002,71',1,'','0','0','找郑老师交谈','',0,'','',0,'0','0',0,0,'9:1,1002'),(10352,'击杀疯狂牧师',1,1,2,'','','','0',2,201,'1101008',1,'','0','0','击杀疯狂牧师','',0,'','',0,'0','0',0,0,''),(10353,'找旅店老板娘交谈',1,1,2,'','','','0',2,203,'1001,7',1,'','10536','0','找旅店老板娘交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(10354,'找铁匠交谈',1,1,2,'','','','0',2,203,'1002,72',1,'','10355','0','找铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10355,'找基德交谈',1,1,2,'','','','0',2,203,'1004,0',1,'','0','0','找基德交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1004'),(10356,'找治安官交谈',1,1,2,'','','','0',2,203,'1003,0',1,'','10355','0','找治安官交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(10357,'击杀敌人',1,1,2,'','','','0',2,201,'301001',6,'','0','0','击杀敌人','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_16'),(10358,'找治安官交谈',1,1,2,'','','','0',2,203,'1003,1',1,'','10359','0','找治安官交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(10359,'找基德交谈',1,1,2,'','','','0',2,203,'1004,1',1,'','0','0','找基德交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1004'),(10360,'找封印法师交谈',1,1,2,'','','','0',2,203,'1006,0',1,'','10361','0','找封印法师交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1006'),(10361,'击杀俯冲战机',1,1,2,'','','','0',2,201,'701003',1,'','10362','10360','击杀俯冲战机','',0,'','',0,'0','0',0,13,'31:1,503099,Spawner_g0_7'),(10362,'与封印法师交谈',1,1,2,'','','','0',2,203,'1006,1',1,'','0','0','与封印法师交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1006'),(10363,'找旅店老板娘交谈',1,1,2,'','','','0',2,203,'1001,8',1,'','10478','0','找旅店老板娘交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(10364,'找琉克交谈',1,1,2,'','','','0',2,203,'1005,0',1,'','10479','0','找琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10365,'与林克交谈',1,1,2,'','','','0',2,203,'1012,0',1,'','10366','0','与林克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1012'),(10366,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,0',1,'','10518','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10367,'击杀大眼怪',1,1,2,'','','','0',2,201,'1101009',1,'','10483','10509','击杀大眼怪','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_17'),(10368,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,1',1,'','10369','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10369,'与林克交谈',1,1,2,'','','','0',2,203,'1012,1',1,'','0','0','与林克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1012'),(10370,'与旅店老板娘交谈',1,1,2,'','','','0',2,203,'1001,10',1,'','10371','0','与旅店老板娘交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(10371,'与怪盗基德交谈',1,1,2,'','','','0',2,203,'1004,3',1,'','0','0','与怪盗基德交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1004'),(10372,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,1',1,'','10373','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10373,'与治安官交谈',1,1,2,'','','','0',2,203,'1003,3',1,'','10374','0','与治安官交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(10374,'与林克交谈',1,1,2,'','','','0',2,203,'1012,2',1,'','10488','0','与林克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1012'),(10375,'与坚毅的战士交谈',1,1,2,'','','','0',2,203,'1014,0',1,'','10510','0','与坚毅的战士交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1014'),(10376,'击杀俯冲战机',1,1,2,'','','','0',2,201,'701009',2,'','10491','10510','击杀俯冲战机','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_14'),(10377,'与风暴守卫交谈',1,1,2,'','','','0',2,203,'1015,0',1,'','10378','0','与风暴守卫交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1015'),(10378,'击杀蛮力机甲',1,1,2,'','','','0',2,201,'401012',1,'','10379','0','击杀蛮力机甲','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_15'),(10379,'与风暴守卫交谈',1,1,2,'','','','0',2,203,'1015,1',1,'','0','0','与风暴守卫交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1015'),(10380,'与基德交谈',1,1,2,'','','','0',2,203,'1004,4',1,'','10381','0','与基德交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1004'),(10381,'与旅店老板娘交谈',1,1,2,'','','','0',2,203,'1001,11',1,'','10382','0','与旅店老板娘交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(10382,'与铁匠交谈',1,1,2,'','','','0',2,203,'1002,74',1,'','10383','0','与铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10383,'调查宝藏区',1,1,2,'','','','0',2,203,'1016,1',1,'','10384','0','调查宝藏区','',0,'','',0,'0','0',0,0,'30:1,503099,1016'),(10384,'与基德交谈',1,1,2,'','','','0',2,203,'1004,5',1,'','10385','0','与基德交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1004'),(10385,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,2',1,'','0','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10386,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,2',1,'','10387','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10387,'与基德交谈',1,1,2,'','','','0',2,203,'1004,6',1,'','10388','0','与基德交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1004'),(10388,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,3',1,'','10389','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10389,'与封印法师交谈',1,1,2,'','','','0',2,203,'1006,3',1,'','10390','0','与封印法师交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1006'),(10390,'调查废弃酒馆',1,1,2,'','','','0',2,203,'1022,1',1,'','10391','0','调查废弃酒馆','',0,'','',0,'0','0',0,0,'30:1,503099,1022'),(10391,'与大树守卫交谈',1,1,2,'','','','0',2,203,'1026,1',1,'','10392','0','与大树守卫交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1026'),(10392,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,4',1,'','10393','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10393,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,3',1,'','0','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10394,'与治安官交谈',1,1,2,'','','','0',2,203,'1003,4',1,'','10395','0','与治安官交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(10395,'与旅店老板娘交谈',1,1,2,'','','','0',2,203,'1001,12',1,'','10396','0','与旅店老板娘交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(10396,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,5',1,'','10397','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10397,'与铁匠交谈',1,1,2,'','','','0',2,203,'1002,75',1,'','10398','0','与铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10398,'与治安官交谈',1,1,2,'','','','0',2,203,'1003,5',1,'','10399','0','与治安官交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(10399,'击杀三个杂兵',1,1,2,'','','','0',2,201,'301001',3,'','10400','0','击杀三个杂兵','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_16'),(10400,'与治安官交谈',1,1,2,'','','','0',2,203,'1003,6',1,'','10401','0','与治安官交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(10401,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,4',1,'','0','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10402,'与治安官交谈',1,1,2,'','','','0',2,203,'1003,7',1,'','10403','0','与治安官交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(10403,'与旅店老板娘交谈',1,1,2,'','','','0',2,203,'1001,13',1,'','10404','0','与旅店老板娘交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(10404,'与铁匠交谈',1,1,2,'','','','0',2,203,'1002,76',1,'','10405','0','与铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10405,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,6',1,'','10406','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10406,'与旅店老板娘交谈',1,1,2,'','','','0',2,203,'1001,14',1,'','10407','0','与旅店老板娘交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(10407,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,7',1,'','10408','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10408,'与铁匠交谈',1,1,2,'','','','0',2,203,'1002,77',1,'','10409','0','与铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10409,'与旅店老板娘交谈',1,1,2,'','','','0',2,203,'1001,15',1,'','10410','0','与旅店老板娘交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(10410,'与治安官交谈',1,1,2,'','','','0',2,203,'1003,8',1,'','10411','0','与治安官交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(10411,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,5',1,'','0','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10412,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,6',1,'','10413','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10413,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,3',1,'','10414','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10414,'进行净化',1,1,2,'','','','0',2,203,'1018,4',1,'','10415','10413','进行净化','',0,'','',0,'0','0',0,0,'30:1,503099,1018'),(10415,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,4',1,'','10416','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10416,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,7',1,'','0','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10417,'前往野蛮荒地寻找召唤师',1,1,2,'','','','0',2,203,'1030,1',1,'','0','0','前往野蛮荒地寻找召唤师','',0,'','',0,'0','0',0,0,'30:1,503100,1030'),(10418,'再次与召唤师交谈',1,1,2,'','','','0',2,203,'1030,2',1,'','0','0','再次与召唤师交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1030'),(10419,'与犹大商人交谈',1,1,2,'','','','0',2,203,'1031,1',1,'','10420','0','与犹大商人交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1031'),(10420,'与沼泽骑士交谈',1,1,2,'','','','0',2,203,'1032,1',1,'','10421','0','与沼泽骑士交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1032'),(10421,'与小孩巫师交谈',1,1,2,'','','','0',2,203,'1033,1',1,'','10422','0','与小孩巫师交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1033'),(10422,'与犹大商人交谈',1,1,2,'','','','0',2,203,'1031,2',1,'','0','0','与犹大商人交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1031'),(10423,'与欢乐堡主交谈',1,1,2,'','','','0',2,203,'1034,1',1,'','10424','0','与欢乐堡主交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1034'),(10424,'击杀咆哮机甲',1,1,2,'','','','0',2,201,'2001020',1,'','10425','10423','击杀咆哮机甲','',0,'','',0,'0','0',0,0,'31:1,503100,Spawner_g0_12'),(10425,'与看门者交谈',1,1,2,'','','','0',2,203,'1035,1',1,'','0','0','与看门者交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1035'),(10426,'与笼中的大鸟交谈',1,1,2,'','','','0',2,203,'1035,1',1,'','10427','0','与笼中的大鸟交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1035'),(10427,'与小孩巫师交谈',1,1,2,'','','','0',2,203,'1033,2',1,'','10428','0','与小孩巫师交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1033'),(10428,'与欢乐堡主交谈',1,1,2,'','','','0',2,203,'1034,3',1,'','0','0','与欢乐堡主交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1034'),(10429,'与史崔克交谈',1,1,2,'','','','0',2,203,'1036,1',1,'','10430','0','与史崔克交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1036'),(10430,'击杀怪物',1,1,2,'','','','0',2,201,'1201018',1,'','10431','10429','击杀怪物','',0,'','',0,'0','0',0,0,'31:1,503100,Spawner_g0_33'),(10431,'与史崔克交谈',1,1,2,'','','','0',2,203,'1036,2',1,'','10432','0','与史崔克交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1036'),(10432,'与米莉亚交谈',1,1,2,'','','','0',2,203,'1037,1',1,'','0','0','与米莉亚交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1037'),(10433,'寻找归零者',1,1,2,'','','','0',2,203,'1057,1',1,'','10434','0','寻找归零者','',0,'','',0,'0','0',0,0,'30:1,503101,1057'),(10434,'寻找诅咒魔法师',1,1,2,'','','','0',2,203,'1049,1',1,'','10435','0','寻找诅咒魔法师','',0,'','',0,'0','0',0,0,'30:1,503101,1049'),(10435,'击杀怪物',1,1,2,'','','','0',2,201,'2401001',1,'','10436','10434','击杀怪物','',0,'','',0,'0','0',0,0,'31:1,503101,Spawner_g0_11'),(10436,'与诅咒魔法师交谈',1,1,2,'','','','0',2,203,'1049,2',1,'','0','0','与诅咒魔法师交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1049'),(10437,'与落魄骑士交谈',1,1,2,'','','','0',2,203,'1038,1',1,'','10438','0','与落魄骑士交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1038'),(10438,'与骑士阿觉交谈',1,1,2,'','','','0',2,203,'1039,1',1,'','10439','0','与骑士阿觉交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1039'),(10439,'与龙息骑士交谈',1,1,2,'','','','0',2,203,'1040,1',1,'','10429','0','与龙息骑士交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1040'),(10440,'与尘外魔法师交谈',1,1,2,'','','','0',2,203,'1048,1',1,'','10441','0','与尘外魔法师交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1048'),(10441,'与诅咒魔法师交谈',1,1,2,'','','','0',2,203,'1049,3',1,'','0','0','与诅咒魔法师交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1049'),(10442,'与尘外魔法师交谈',1,1,2,'','','','0',2,203,'1048,2',1,'','10443','0','与尘外魔法师交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1048'),(10443,'与勇气之石交谈',1,1,2,'','','','0',2,203,'1050,1',1,'','10444','0','与勇气之石交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1050'),(10444,'与毅力之石交谈',1,1,2,'','','','0',2,203,'1051,1',1,'','10445','0','与毅力之石交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1051'),(10445,'与希望之石交谈',1,1,2,'','','','0',2,203,'1052,1',1,'','0','0','与希望之石交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1052'),(10446,'与智识老人交谈',1,1,2,'','','','0',2,203,'1053,1',1,'','10447','0','与智识老人交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1053'),(10447,'与嘉莉斯交谈',1,1,2,'','','','0',2,203,'1054,1',1,'','0','0','与嘉莉斯交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1054'),(10448,'与机械首领交谈',1,1,2,'','','','0',2,203,'1055,1',1,'','10449','0','与机械首领交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1055'),(10449,'与魔神交谈',1,1,2,'','','','0',2,203,'1056,1',1,'','10450','0','与魔神交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1056'),(10450,'击杀怪物',1,1,2,'','','','0',2,201,'2501001',1,'','10451','10449','击杀怪物','',0,'','',0,'0','0',0,0,'31:1,503101,Spawner_g0_12'),(10451,'与智识老人交谈',1,1,2,'','','','0',2,203,'1053,2',1,'','0','0','与智识老人交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1053'),(10452,'与归零者交谈',1,1,2,'','','','0',2,203,'1057,2',1,'','10453','0','与归零者交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1057'),(10453,'与米莉亚交谈',1,1,2,'','','','0',2,203,'1037,2',1,'','10454','0','与米莉亚交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1037'),(10454,'与沼泽骑士交谈',1,1,2,'','','','0',2,203,'1032,2',1,'','0','0','与沼泽骑士交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1032'),(10455,'与精灵缪斯交谈',1,1,2,'','','','0',2,203,'1058,1',1,'','10456','0','与精灵缪斯交谈','',0,'','',0,'0','0',0,0,'30:1,503102,1058'),(10456,'与精灵莱德交谈',1,1,2,'','','','0',2,203,'1059,1',1,'','0','0','与精灵莱德交谈','',0,'','',0,'0','0',0,0,'30:1,503102,1059'),(10457,'与时空之钥交谈',1,1,2,'','','','0',2,203,'1060,1',1,'','10458','0','与时空之钥交谈','',0,'','',0,'0','0',0,0,'30:1,503102,1060'),(10458,'击杀怪物',1,1,2,'','','','0',2,201,'2401001',1,'','10459','10457','击杀怪物','',0,'','',0,'0','0',0,0,'31:1,503102,Spawner_g0_11'),(10459,'与时空之钥交谈',1,1,2,'','','','0',2,203,'1060,2',1,'','0','0','与时空之钥交谈','',0,'','',0,'0','0',0,0,'30:1,503102,1060'),(10460,'与龙利交谈',1,1,2,'','','','0',2,203,'1061,1',1,'','10461','0','与龙利交谈','',0,'','',0,'0','0',0,0,'30:1,503103,1061'),(10461,'与蜜雪交谈',1,1,2,'','','','0',2,203,'1062,1',1,'','10462','0','与蜜雪交谈','',0,'','',0,'0','0',0,0,'30:1,503103,1062'),(10462,'与谷藏交谈',1,1,2,'','','','0',2,203,'1063,1',1,'','0','0','与谷藏交谈','',0,'','',0,'0','0',0,0,'30:1,503103,1063'),(10463,'与息潭交谈',1,1,2,'','','','0',2,203,'1064,1',1,'','10464','0','与息潭交谈','',0,'','',0,'0','0',0,0,'30:1,503103,1064'),(10464,'与龚云交谈',1,1,2,'','','','0',2,203,'1065,1',1,'','0','0','与龚云交谈','',0,'','',0,'0','0',0,0,'30:1,503103,1065'),(10465,'与精灵里拉交谈',1,1,2,'','','','0',2,203,'1066,1',1,'','10466','0','与精灵里拉交谈','',0,'','',0,'0','0',0,0,'30:1,503104,1066'),(10466,'与精灵泉交互',1,1,2,'','','','0',2,203,'1067,1',1,'','10467','0','与精灵泉交互','',0,'','',0,'0','0',0,0,'30:1,503104,1067'),(10467,'击杀怪物',1,1,2,'','','','0',2,201,'701020',2,'','10468','10466','击杀怪物','',0,'','',0,'0','0',0,0,'31:1,503104,Spawner_g0_3'),(10468,'与精灵里拉交谈',1,1,2,'','','','0',2,203,'1066,2',1,'','0','0','与精灵里拉交谈','',0,'','',0,'0','0',0,0,'30:1,503104,1066'),(10469,'与沙行侍交谈',1,1,2,'','','','0',2,203,'1068,1',1,'','10470','0','与沙行侍交谈','',0,'','',0,'0','0',0,0,'30:1,503104,1068'),(10470,'击杀怪物',1,1,2,'','','','0',2,201,'1101020',2,'','10471','10469','击杀怪物','',0,'','',0,'0','0',0,0,'31:1,503104,Spawner_g0_5'),(10471,'与沙行侍交谈',1,1,2,'','','','0',2,203,'1068,2',1,'','0','0','与沙行侍交谈','',0,'','',0,'0','0',0,0,'30:1,503104,1068'),(10472,'与巨石杰克交谈',1,1,2,'','','','0',2,203,'1069,1',1,'','10473','0','与巨石杰克交谈','',0,'','',0,'0','0',0,0,'30:1,503104,1069'),(10473,'击杀怪物',1,1,2,'','','','0',2,201,'701020',2,'','10474','10472','击杀怪物','',0,'','',0,'0','0',0,0,'31:1,503104,Spawner_g0_6'),(10474,'与巨石杰克交谈',1,1,2,'','','','0',2,203,'1069,2',1,'','0','0','与巨石杰克交谈','',0,'','',0,'0','0',0,0,'30:1,503104,1069'),(10475,'与莫林交谈',1,1,2,'','','','0',2,203,'1070,1',1,'','10476','0','与莫林交谈','',0,'','',0,'0','0',0,0,'30:1,503104,1070'),(10476,'击杀BOSS',1,1,2,'','','','0',2,201,'2601001',1,'','10477','10475','击杀BOSS','',0,'','',0,'0','0',0,0,'31:1,503104,Spawner_g0_7'),(10477,'与莫林交谈',1,1,2,'','','','0',2,203,'1070,2',1,'','0','0','与莫林交谈','',0,'','',0,'0','0',0,0,'30:1,503104,1070'),(10478,'找铁匠交谈',1,1,2,'','','','0',2,203,'1002,78',1,'','0','0','找铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10479,'与传送阵交互',1,1,2,'','','','0',2,203,'1011,1',1,'','10480','0','与传送阵交互','',0,'','',0,'0','0',0,0,'30:1,503099,1011'),(10480,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,8',1,'','10481','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10481,'找琉克购买悬赏任务',1,1,2,'','','','0',2,204,'',1,'','10482','0','找琉克购买悬赏任务','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10482,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,9',1,'','0','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10483,'向女神像祈福',1,1,2,'','','','0',2,203,'1018,1',1,'','0','0','向女神像祈福','',0,'','',0,'0','0',0,0,'30:1,503099,1018'),(10484,'装备言灵',1,1,2,'','','','0',2,20,'101005',1,'','10485','0','装备言灵','',0,'','',0,'0','0',0,7,'12:101005'),(10485,'与女神像交互',1,1,2,'','','','0',2,203,'1018,2',1,'','0','0','与女神像交互','',0,'','',0,'0','0',0,0,'30:1,503099,1018'),(10486,'角色提升至10级',1,1,2,'','','','0',2,12,'101005',10,'','10487','0','角色提升至10级','',0,'','',0,'0','0',0,5,'5'),(10487,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,9',1,'','0','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10488,'与女神像交互',1,1,2,'','','','0',2,203,'1018,3',1,'','10522','0','与女神像交互','',0,'','',0,'0','0',0,0,'30:1,503099,1018'),(10489,'唤灵师突破至1星',1,1,2,'','','','0',2,25,'',1,'','10539','0','唤灵师突破至1星','',0,'','',0,'0','0',0,6,'3:101005'),(10490,'与女神像交互',1,1,2,'','','','0',2,203,'1018,4',1,'','0','0','与女神像交互','',0,'','',0,'0','0',0,0,'30:1,503099,1018'),(10491,'与冥想台交互',1,1,2,'','','','0',2,203,'1020,1',1,'','0','0','与冥想台交互','',0,'','',0,'0','0',0,0,'30:1,503099,1020'),(10492,'与召唤大师交谈',1,1,2,'','','','0',2,203,'1071,1',1,'','10527','0','与召唤大师交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1071'),(10493,'将言灵升至20级',1,1,2,'','','','0',2,216,'',20,'','10494','0','将言灵升至20级','',0,'','',0,'0','0',0,8,'16'),(10494,'与召唤大师交谈',1,1,2,'','','','0',2,203,'1071,2',1,'','10529','0','与召唤大师交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1071'),(10495,'进行一次言灵突破',1,1,2,'','','','0',2,213,'1',1,'','10496','0','进行一次言灵突破','',0,'','',0,'0','0',0,9,'16'),(10496,'与召唤大师交谈',1,1,2,'','','','0',2,203,'1071,3',1,'','0','0','与召唤大师交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1071'),(10497,'与引渡人交谈',1,1,2,'','','','0',2,203,'1072,1',1,'','0','0','与引渡人交谈','',0,'','',0,'0','0',0,0,'30:1,503101,1072'),(10498,'武器突破一次',1,1,2,'','','','0',2,214,'1',1,'','10499','0','武器突破一次','',0,'','',0,'0','0',0,0,'11:101005'),(10499,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,8',1,'','10486','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10500,'与犹大商人交谈',1,1,2,'','','','0',2,203,'1073,1',1,'','10501','0','与犹大商人交谈','',0,'','',0,'0','0',0,0,'30:1,503105,1073'),(10501,'击杀机甲士兵',1,1,2,'','','','0',2,201,'1101020',1,'','10502','0','击杀机甲士兵','',0,'','',0,'0','0',0,0,'31:1,503105,Spawner_g0_1'),(10502,'与犹大商人交谈',1,1,2,'','','','0',2,203,'1073,2',1,'','0','0','与犹大商人交谈','',0,'','',0,'0','0',0,0,'30:1,503105,1073'),(10503,'与巨人残念交谈',1,1,2,'','','','0',2,203,'1074,1',1,'','10504','0','与巨人残念交谈','',0,'','',0,'0','0',0,0,'30:1,503105,1074'),(10504,'击杀怪物',1,1,2,'','','','0',2,201,'701020',2,'','10505','0','击杀怪物','',0,'','',0,'0','0',0,0,'31:1,503105,Spawner_g0_3'),(10505,'与巨人残念交谈',1,1,2,'','','','0',2,203,'1074,2',1,'','0','0','与巨人残念交谈','',0,'','',0,'0','0',0,0,'30:1,503105,1074'),(10506,'与盗宝团成员交谈',1,1,2,'','','','0',2,203,'1075,1',1,'','10507','0','与盗宝团成员交谈','',0,'','',0,'0','0',0,0,'30:1,503105,1075'),(10507,'击杀怪物',1,1,2,'','','','0',2,201,'2701001',1,'','10508','0','击杀怪物','',0,'','',0,'0','0',0,0,'31:1,503105,Spawner_g0_5'),(10508,'与盗宝团成员交谈',1,1,2,'','','','0',2,203,'1075,2',1,'','0','0','与盗宝团成员交谈','',0,'','',0,'0','0',0,0,'30:1,503105,1075'),(10509,'与女神像交互',1,1,2,'','','','0',2,203,'1018,0',1,'','10367','0','与女神像交互','',0,'','',0,'0','0',0,0,'30:1,503099,1018'),(10510,'进入冥想',1,1,2,'','','','0',2,203,'1020,0',1,'','10376','0','进入冥想','',0,'','',0,'0','0',0,0,'30:1,503099,1020'),(10511,'将武器强化至20级',1,1,2,'','','','0',2,217,'',20,'','10512','0','将武器强化至20级','',0,'','',0,'0','0',0,2,'11:101005'),(10512,'与铁匠交谈',1,1,2,'','','','0',2,203,'1002,81',1,'','0','0','与铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10513,'将武器突破至1星',1,1,2,'','','','0',2,214,'1',1,'','10514','0','将武器突破至1星','',0,'','',0,'0','0',0,3,'11:101005'),(10514,'与铁匠交谈',1,1,2,'','','','0',2,203,'1002,82',1,'','0','0','与铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10515,'装备新武器',1,1,2,'','','','0',2,42,'101005,1010001',1,'','10538','0','装备新武器','',0,'','',0,'0','0',0,1,'11:101005'),(10516,'击杀琉璃岛俯冲战机',1,1,2,'','','','0',2,201,'701003',1,'','0','0','击杀琉璃岛俯冲战机','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_1'),(10517,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,10',1,'','10518','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10518,'通关无尽塔获取唤灵师升级材料',1,1,2,'','','','0',2,21,'600001,1',1,'','0','0','通关无尽塔获取唤灵师升级材料','',0,'','',0,'0','0',0,10,'32'),(10519,'将角色升至10级',1,1,2,'','','','0',2,12,'101005',10,'','10520','0','将角色升至10级','',0,'','',0,'0','0',0,5,'5'),(10520,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,1',1,'','0','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10521,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,11',1,'','0','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10522,'通关唤灵师碎片副本',1,1,2,'','','','0',2,21,'20010101,1',1,'','10573','0','通关唤灵师碎片副本','',0,'','',0,'0','0',0,0,'19:1,503099,20010101'),(10523,'查看传送阵',1,1,2,'','','','0',2,203,'1011,2',1,'','0','0','查看传送阵','',0,'','',0,'0','0',0,0,'30:1,503100,1011'),(10524,'与琉克交谈',1,1,2,'','','','0',2,203,'1005,12',1,'','0','0','与琉克交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1005'),(10525,'通关战士突破战副本',1,1,2,'','','','0',2,21,'50700101,1',1,'','10575','0','通关战士突破战副本','',0,'','',0,'0','0',0,0,'19:1,503099,50700101'),(10526,'通关雷元素突破战副本',1,1,2,'','','','0',2,21,'50700201,1',1,'','10577','0','通关雷元素突破战副本','',0,'','',0,'0','0',0,0,'19:1,503099,50700201'),(10527,'通关无尽塔获取言灵升级材料',1,1,2,'','','','0',2,21,'600001,1',1,'','0','0','通关无尽塔获取言灵升级材料','',0,'','',0,'0','0',0,11,'32'),(10528,'通关言灵突破石副本1层',1,1,2,'','','','0',2,21,'20030101,1',1,'','10529','0','通关言灵突破石副本1层','',0,'','',0,'0','0',0,0,'19:1,503100,20030101'),(10529,'通关金系言灵突破材料副本1层',1,1,2,'','','','0',2,21,'21040301,1',1,'','0','0','通关金系言灵突破材料副本1层','',0,'','',0,'0','0',0,0,'19:1,503100,21040301'),(10530,'击杀蛮力先行官获得魂器斗笠',1,1,2,'','','','0',2,201,'1201015',1,'','0','0','击杀蛮力先行官获得魂器斗笠','',0,'','',0,'0','0',0,0,'31:1,503100,Spawner_g0_33'),(10531,'通关金系召唤材料5层',1,1,2,'','','','0',2,21,'21010305,1',1,'','10579','0','通关金系召唤材料5层','',0,'','',0,'0','0',0,0,'19:1,503100,21010305'),(10532,'通关黑暗系召唤材料5层',1,1,2,'','','','0',2,21,'21010705,1',1,'','10580','0','通关黑暗系召唤材料5层','',0,'','',0,'0','0',0,0,'19:1,503100,21010705'),(10533,'召唤言灵',1,1,2,'','','','0',2,212,'4',1,'','10418','0','召唤言灵','',0,'','',0,'0','0',0,0,'30:1,503099,1023'),(10534,'寻找召唤祭坛',1,1,2,'','','','0',2,203,'1023,2',1,'','10535','0','寻找召唤祭坛','',0,'','',0,'0','0',0,0,'30:1,503099,1023'),(10535,'完成言灵召唤',1,1,2,'','','','0',2,203,'1023,3',1,'','10418','0','完成言灵召唤','',0,'','',0,'0','0',0,12,'30:1,503099,1023'),(10536,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,11',1,'','0','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10537,'与铁匠交谈',1,1,2,'','','','0',2,203,'1002,83',1,'','0','0','与铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10538,'与铁匠交谈',1,1,2,'','','','0',2,203,'1002,84',1,'','0','0','与铁匠交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(10539,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,5',1,'','0','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10540,'与犹大商人交谈',1,1,2,'','','','0',2,203,'1031,3',1,'','10541','0','与犹大商人交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1031'),(10541,'与感染者交谈',1,1,2,'','','','0',2,203,'1036,1',1,'','10530','0','与感染者交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1036'),(10542,'前往言灵学院寻找息潭',1,1,2,'','','','0',2,203,'1064,2',1,'','0','0','前往言灵学院寻找息潭','',0,'','',0,'0','0',0,0,'30:1,503103,1064'),(10543,'与安妮交谈',1,1,2,'','','','0',2,203,'1076,1',1,'','0','0','与安妮交谈','',0,'','',0,'0','0',0,0,'30:1,503103,1076'),(10544,'与齐泽交谈',1,1,2,'','','','0',2,203,'1079,1',1,'','0','0','与齐泽交谈','',0,'','',0,'0','0',0,0,'30:1,503103,1079'),(10545,'到幻灭祭坛找封印法师',1,1,2,'','','','0',2,203,'1006,4',1,'','0','0','到幻灭祭坛找封印法师','',0,'','',0,'0','0',0,0,'30:1,503099,1006'),(10546,'击杀蛮力机甲',1,1,2,'','','','0',2,201,'401024',1,'','0','0','击杀蛮力机甲','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_15'),(10547,'与封印法师交谈',1,1,2,'','','','0',2,203,'1006,5',1,'','0','0','与封印法师交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1006'),(10548,'唤灵师突破2星',1,1,2,'','','','0',2,25,'',2,'','0','0','唤灵师突破2星','',0,'','',0,'0','0',0,0,'3:101005'),(10549,'与大树守卫交谈',1,1,2,'','','','0',2,203,'1026,2',1,'','0','0','与大树守卫交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1026'),(10550,'与杂货商交谈',1,1,2,'','','','0',2,203,'1007,12',1,'','0','0','与杂货商交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1007'),(10551,'与犹大商人交谈',1,1,2,'','','','0',2,203,'1031,4',1,'','0','0','与犹大商人交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1031'),(10552,'通关无尽塔第10层',1,1,2,'','','','0',2,22,'600001,10',10,'','0','0','通关无尽塔第10层','',0,'','',0,'0','0',0,0,''),(10553,'与感染者交谈',1,1,2,'','','','0',2,203,'1036,3',1,'','0','0','与感染者交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1036'),(10554,'击杀俯冲战机',1,1,2,'','','','0',2,201,'701016',2,'','0','0','击杀俯冲战机','',0,'','',0,'0','0',0,0,'31:1,503100,Spawner_g0_22'),(10555,'与感染者交谈',1,1,2,'','','','0',2,203,'1036,4',1,'','0','0','与感染者交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1036'),(10556,'获得4个紫色言灵',1,1,2,'','','','0',2,41,'5',4,'','0','0','获得4个紫色言灵','',0,'','',0,'0','0',0,0,''),(10557,'与召唤大师交谈',1,1,2,'','','','0',2,203,'1071,4',1,'','0','0','与召唤大师交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1071'),(10558,'到言灵学院找齐泽',1,1,2,'','','','0',2,203,'1079,2',1,'','0','0','到言灵学院找齐泽','',0,'','',0,'0','0',0,0,'30:1,503103,1079'),(10559,'与看门者交谈',1,1,2,'','','','0',2,203,'1035,2',1,'','0','0','与看门者交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1035'),(10560,'将1个言灵突破至2星',1,1,2,'','','','0',2,213,'2',1,'','0','0','将1个言灵突破至2星','',0,'','',0,'0','0',0,0,''),(10561,'角色突破3星',1,1,2,'','','','0',2,25,'',3,'','0','0','角色突破3星','',0,'','',0,'0','0',0,0,'3:101005'),(10562,'通关无尽塔20层',1,1,2,'','','','0',2,22,'600001,20',20,'','0','0','通关无尽塔20层','',0,'','',0,'0','0',0,0,''),(10563,'获得5个紫色言灵',1,1,2,'','','','0',2,41,'5',5,'','0','0','获得5个紫色言灵','',0,'','',0,'0','0',0,0,''),(10564,'将2个言灵言灵突破到3星',1,1,2,'','','','0',2,213,'3',2,'','0','0','将2个言灵言灵突破到3星','',0,'','',0,'0','0',0,0,''),(10565,'角色突破4星',1,1,2,'','','','0',2,25,'',4,'','0','0','角色突破4星','',0,'','',0,'0','0',0,0,'3:101005'),(10566,'通关无尽塔30层',1,1,2,'','','','0',2,22,'600001,30',30,'','0','0','通关无尽塔30层','',0,'','',0,'0','0',0,0,''),(10567,'获得6个紫色言灵',1,1,2,'','','','0',2,41,'5',6,'','0','0','获得6个紫色言灵','',0,'','',0,'0','0',0,0,''),(10568,'将3个言灵突破到4星',1,1,2,'','','','0',2,213,'4',3,'','0','0','将3个言灵突破到4星','',0,'','',0,'0','0',0,0,''),(10569,'角色突破5星',1,1,2,'','','','0',2,25,'',5,'','0','0','角色突破5星','',0,'','',0,'0','0',0,0,'3:101005'),(10570,'通关无尽塔40层',1,1,2,'','','','0',2,22,'600001,40',40,'','0','0','通关无尽塔40层','',0,'','',0,'0','0',0,0,''),(10571,'获得1个橙色言灵',1,1,2,'','','','0',2,41,'7',1,'','0','0','获得1个橙色言灵','',0,'','',0,'0','0',0,0,''),(10572,'将8个言灵突破到4星',1,1,2,'','','','0',2,213,'4',8,'','0','0','将8个言灵突破到4星','',0,'','',0,'0','0',0,0,''),(10573,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,6',1,'','0','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10574,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,7',1,'','10525','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10575,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,8',1,'','0','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10576,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,9',1,'','10526','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10577,'与林克奶奶交谈',1,1,2,'','','','0',2,203,'1013,10',1,'','0','0','与林克奶奶交谈','',0,'','',0,'0','0',0,0,'30:1,503099,1013'),(10578,'与犹大商人交谈',1,1,2,'','','','0',2,203,'1031,5',1,'','10531','0','与犹大商人交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1031'),(10579,'与犹大商人交谈',1,1,2,'','','','0',2,203,'1031,6',1,'','0','0','与犹大商人交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1031'),(10580,'与犹大商人交谈',1,1,2,'','','','0',2,203,'1031,7',1,'','0','0','与犹大商人交谈','',0,'','',0,'0','0',0,0,'30:1,503100,1031'),(20001,'向治安官打探消息',2,1,1,'','','','0',2,203,'1003,9',1,'','20002','0','向治安官打探消息','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(20002,'向基德询问石碑的线索',2,1,1,'','','','0',2,203,'1004,7',1,'','20003','0','向基德询问石碑的线索','',0,'','',0,'0','0',0,0,'30:1,503099,1004'),(20003,'调查石碑密文',2,1,1,'','','','0',2,203,'1023,1',1,'','20004','0','调查石碑密文','',0,'','',0,'0','0',0,0,'30:1,503099,1023'),(20004,'找治安官交付任务',2,1,1,'','','','0',2,203,'1003,10',1,'','0','0','找治安官交付任务','',0,'','',0,'0','0',0,0,'30:1,503099,1003'),(20005,'向老板娘打探消息',2,1,1,'','','','0',2,203,'1001,16',1,'','20006','0','向老板娘打探消息','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(20006,'找林克询问',2,1,1,'','','','0',2,203,'1012,4',1,'','20007','0','找林克询问','',0,'','',0,'0','0',0,0,'30:1,503099,1012'),(20007,'拾取遗失项链',2,1,1,'','','','0',2,203,'1016,2',1,'','20008','0','拾取遗失项链','',0,'','',0,'0','0',0,0,'30:1,503099,1016'),(20008,'找老板娘交付任务',2,1,1,'','','','0',2,203,'1001,17',1,'','0','0','找老板娘交付任务','',0,'','',0,'0','0',0,0,'30:1,503099,1001'),(20009,'找基德接取任务',2,1,1,'','','','0',2,203,'1004,8',1,'','20010','0','找基德接取任务','',0,'','',0,'0','0',0,0,'30:1,503099,1004'),(20010,'击杀琉璃岛看守',2,1,1,'','','','0',2,201,'2101002',1,'','20011','20009','击杀琉璃岛看守','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_3'),(20011,'找基德交付任务',2,1,1,'','','','0',2,203,'1004,9',1,'','0','0','找基德交付任务','',0,'','',0,'0','0',0,0,'30:1,503099,1004'),(20012,'向铁匠打探消息',2,1,1,'','','','0',2,203,'1002,79',1,'','20013','0','向铁匠打探消息','',0,'','',0,'0','0',0,0,'30:1,503099,1002'),(20013,'激活女神像',2,1,1,'','','','0',2,203,'1018,5',1,'','20014','0','激活女神像','',0,'','',0,'0','0',0,0,'30:1,503099,1018'),(20014,'抵御怪物进攻',2,1,1,'','','','0',2,201,'1101009',1,'','20015','20013','抵御怪物进攻','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_17'),(20015,'找铁匠交付任务',2,1,1,'','','','0',2,203,'1002,80',1,'','0','0','找铁匠交付任务','',0,'','',0,'0','0',0,0,'30:1,503099,1018'),(20016,'向风暴守卫打探消息',2,1,1,'','','','0',2,203,'1015,3',1,'','20017','0','向风暴守卫打探消息','',0,'','',0,'0','0',0,0,'30:1,503099,1015'),(20017,'打败蛮力机甲',2,1,1,'','','','0',2,201,'401024',1,'','20018','20016','打败蛮力机甲','',0,'','',0,'0','0',0,0,'31:1,503099,Spawner_g0_15'),(20018,'找风暴守卫交付',2,1,1,'','','','0',2,203,'1015,4',1,'','0','0','找风暴守卫交付','',0,'','',0,'0','0',0,0,'30:1,503099,1015'),(20099,'找安妮交付',2,1,1,'','','','0',2,203,'1076,2',1,'','0','0','找安妮交付','',0,'','',0,'0','0',0,0,'30:1,503103,1076');
/*!40000 ALTER TABLE `cfg_task_step` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_text_of_locals`
--

DROP TABLE IF EXISTS `cfg_text_of_locals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_text_of_locals` (
  `id` int(11) NOT NULL COMMENT '记录Id',
  `tid` varchar(255) NOT NULL COMMENT '文本ID',
  `zh` varchar(255) NOT NULL COMMENT '中文',
  `en` varchar(255) DEFAULT NULL COMMENT '英文',
  `jp` varchar(255) DEFAULT NULL COMMENT '日文',
  `korea` varchar(255) DEFAULT NULL COMMENT '韩文',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='client-多语言版本字符串资源, 凡是涉及到多语言支持的一律定义TID_xxx, 并在游戏中通过GetMultiString(TID_xxx)来支持.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_text_of_locals`
--

LOCK TABLES `cfg_text_of_locals` WRITE;
/*!40000 ALTER TABLE `cfg_text_of_locals` DISABLE KEYS */;
INSERT INTO `cfg_text_of_locals` VALUES (1,'TID_Level','{0}级','Lv.{0}','',''),(2,'TID_GOLD','金币','','',''),(3,'TID_CASH','钻石','','',''),(4,'TID_SPAR','晶石','','',''),(20,'TID_SHOUREN_Name','兽人·毁灭之锤','','',''),(21,'TID_NVGUN_Name','女枪·露西小姐','','',''),(22,'TID_SHENGQI_Name','圣骑士·亚瑟王','','',''),(23,'TID_TIANSHI_Name','大天使·米迦勒','','',''),(24,'TID_MEIMO_Name','魅魔·美坎修特','','',''),(25,'TID_DENGSHEN_Name','灯神·索姆拉','','',''),(26,'TID_YUJIAN_Name','剑客·无名','','',''),(55,'TID_HERO_CT_Tanke','坦克','','',''),(56,'TID_HERO_CT_Sheshou','射手','','',''),(57,'TID_HERO_CT_Kongchang','控场','','',''),(58,'TID_HERO_CT_Cike','刺客','','',''),(59,'TID_HERO_CT_Fashi','法师','','',''),(60,'TID_HERO_CT_Fuzhu','辅助','','',''),(61,'TID_HERO_All','全部','','',''),(70,'TID_SHOUREN_DESC','在第二次战争的最后一段日子里，当兽人对人类战争的胜利几乎唾手可得时，艾泽拉斯最强大的两个兽人之间爆发了强烈的冲突。邪恶的巫师古尔丹--暗中操纵兽人命运的影子议会的头领--领导着一些反叛的氏族，与强大的部落酋长奥格瑞姆·毁灭之锤分庭抗礼。','','',''),(71,'TID_NVGUN_DESC','美丽和危险，在这两点上很少有人能与露西小姐媲美。作为比尔吉沃特最为声名狼藉的赏金猎人，他用大量满身弹孔的尸体和成堆的被俘虏的恶棍证明了自己的传奇。当枪的回声回荡在这港口城市，当海港和棚户区燃起黑烟时，就说明一桩猎头任务又被完成了。 ','','',''),(72,'TID_SHENGQI_DESC','国王将所有圣骑士安排在后卫部队中,这支部队包括总计大约两万名骑士。当后卫通过塧道时,他们被一支超过十万人的军队伏击,尽管敌人数量超过他们五倍,在突围中损失了几乎所有部队,罗兰和他的圣骑士们仍然杀死了所有敌人。 \n罗兰差一点儿就获胜了。他如此英勇的奋战,以至于所有敌军全都望风而逃。','','',''),(73,'TID_TIANSHI_DESC','米迦勒以天国副君、光之君主的身份率领天使军与暗之君主彼列尔的暗之军团决战。双方大战四十年，前三战光之君主获胜，后三战彼列尔得胜，在第七战中上帝亲自出阵打倒了彼列尔。','','',''),(74,'TID_MEIMO_DESC','她们是炼狱生物中最暴力、最贪婪、最善变，也最堕落的一个种族。同时，数量也最大，种类也最多。魅魔充满着性感与诱惑，这种集狡猾、美丽于一身的恶魔强大、致命、美丽，有着恶魔的身材，喜欢用皮鞭这样的武器。','','',''),(75,'TID_DENGSHEN_DESC','索姆拉被关入一个妖瓶里超过一千年了。他非常感谢把他放出来的那个人，发誓将永远\r\n为他效命。也许是命中注定，那人就是布拉卡达高地不朽的统治者，格温-马格奴斯。\r\n索姆拉以他强烈的荣耀感和责任感而著称。他数个世纪以来\r\n坚守对国王格温-马格奴斯匆忙间立下的承诺。索里尔看见了遥远的过去，看见整个\r\n世界的毁灭，他更希望可以活得长久可以目睹时间的终结。','','',''),(76,'TID_YUJIAN_DESC','暂无','','',''),(77,'TID_Monster_Hydra','九头龙','','',''),(78,'TID_Monster_Gnome','疯狂哥布林','','',''),(79,'TID_Monster_Goblin_BingZHong_1','哥布林','','',''),(80,'TID_Monster_Goblin_BingZHong_2','哥布林','','',''),(81,'TID_Monster_Goblin_BingZHong_3','哥布林','','',''),(82,'TID_Monster_Goblin_BingZHong_4','哥布林','','',''),(83,'TID_Monster_Goblin_BingZHong_5_Blue','哥布林','','',''),(84,'TID_Monster_Goblin_BingZHong_5_HBlue','哥布林','','',''),(85,'TID_Monster_Goblin_BingZHong_5_Red','哥布林','','',''),(86,'TID_HeroSegment_1','兽人·碎片','','',''),(87,'TID_HeroSegment_2','女枪手·碎片','','',''),(88,'TID_HeroSegment_3','圣骑士·碎片','','',''),(89,'TID_HeroSegment_4','天使·碎片','','',''),(90,'TID_HeroSegment_5','魅魔·碎片','','',''),(101,'ShopWindow_Label_0','限时','Limit','',''),(102,'ShopWindow_Label_0_select','限时','Limit','',''),(103,'ShopWindow_Label_1','英雄','Hero','',''),(104,'ShopWindow_Label_1_select','英雄','Hero','',''),(101008,'TID_BOX_NAME_1','镔铁宝箱','','',''),(101009,'TID_BOX_NAME_2','青铜宝箱','','',''),(101010,'TID_BOX_NAME_3','黄铜宝箱','','',''),(101011,'TID_BOX_NAME_4','白银宝箱','','',''),(101012,'TID_BOX_NAME_5','黄金宝箱','','',''),(127,'ShopWindow_Label_equip_0','全部','All','',''),(105,'ShopWindow_Label_2','装备','Equip','',''),(106,'ShopWindow_Label_2_select','装备','Equip','',''),(108,'ShopWindow_Label_3_select','宝箱','Box','',''),(107,'ShopWindow_Label_3','宝箱','Box','',''),(109,'ShopWindow_Label_prompt','倒计时','TimeLeft','',''),(110,'ShopWindow_Label_hero_0','全部','All','',''),(111,'ShopWindow_Label_hero_0_select','全部','All','',''),(112,'ShopWindow_Label_hero_1','坦克','Tanke','',''),(113,'ShopWindow_Label_hero_1_select','坦克','Tanke','',''),(114,'ShopWindow_Label_hero_2','射手','Sheshou','',''),(115,'ShopWindow_Label_hero_2_select','射手','','',''),(116,'ShopWindow_Label_hero_3','控场','','',''),(117,'ShopWindow_Label_hero_3_select','控场','','',''),(118,'ShopWindow_Label_hero_4','刺客','','',''),(119,'ShopWindow_Label_hero_4_select','刺客','','',''),(120,'ShopWindow_Label_hero_5','法师','','',''),(121,'ShopWindow_Label_hero_5_select','法师','','',''),(122,'ShopWindow_Label_hero_6','辅助','','',''),(123,'ShopWindow_Label_hero_6_select','辅助','','',''),(124,'ShopWindow_Label_buy','购买','BUY','',''),(125,'ShopWindow_Label_or','或','OR','',''),(126,'ShopWindow_Label_alreadyHave','已拥有','haved','',''),(128,'ShopWindow_Label_equip_0_select','全部','All','',''),(129,'ShopWindow_Label_equip_1','生命值','','',''),(130,'ShopWindow_Label_equip_1_select','生命值','','',''),(131,'ShopWindow_Label_equip_2','物理攻击','','',''),(132,'ShopWindow_Label_equip_2_select','物理攻击','','',''),(133,'ShopWindow_Label_equip_3','法术强度','','',''),(134,'ShopWindow_Label_equip_3_select','法术强度','','',''),(135,'ShopWindow_Label_equip_4','护甲','','',''),(136,'ShopWindow_Label_equip_4_select','护甲','','',''),(137,'ShopWindow_Label_equip_5','魔法抗性','','',''),(138,'ShopWindow_Label_equip_5_select','魔法抗性','','',''),(139,'ShopWindow_Label_equip_6','物理穿透','','',''),(140,'ShopWindow_Label_equip_6_select','物理穿透','','',''),(141,'ShopWindow_Label_equip_7','魔法穿透','','',''),(142,'ShopWindow_Label_equip_7_select','魔法穿透','','',''),(143,'ShopWindow_Label_equip_8','暴击','','',''),(144,'ShopWindow_Label_equip_8_select','暴击','','',''),(145,'ShopWindow_Label_equip_9','生命偷取','','',''),(146,'ShopWindow_Label_equip_9_select','生命偷取','','',''),(147,'ShopWindow_Label_equip_10','速度','','',''),(148,'ShopWindow_Label_equip_10_select','速度','','',''),(149,'ShopWindow_Label_equip_11','生命回复','','',''),(150,'ShopWindow_Label_equip_11_select','生命回复','','',''),(151,'UI_HeroListWindow_Label_price','价格','Price','',''),(152,'UI_HeroListWindow_Label_time','时间','Time','',''),(153,'UI_HeroListWindow_Label_have','已拥有','Haved','',''),(154,'UI_HeroListWindow_Label_buy','购买','Buy','',''),(155,'UI_HeroListWindow_Label_or','或','OR','',''),(156,'UI_HeroListWindow_Label_input','输入文本','Enter text...','',''),(5,'无','无',NULL,NULL,NULL),(170,'UI_HeroMainWindow_Label_property','属性','Property','',''),(171,'UI_HeroMainWindow_Label_skill','技能','Skill','',''),(172,'UI_HeroMainWindow_Label_buy','购买','Buy','',''),(173,'UI_HeroMainWindow_Label_upgrade','升级','Upgrade','',''),(174,'UI_HeroMainWindow_Lable_allHero','所有英雄','All','',''),(175,'UI_HeroMainWindow_Label_level','等级','Level','',''),(176,'UI_HeroMainWindow_Label_notBuy','未购买','Locked','',''),(177,'TID_GATE_1','关卡1','','',''),(178,'TID_GATE_2','关卡2','','',''),(179,'TID_GATE_3','关卡3','','',''),(180,'TID_GATE_4','关卡4','','',''),(181,'TID_GATE_5','关卡5','','',''),(182,'TID_GATE_6','关卡6','','',''),(183,'TID_GATE_7','关卡7','','',''),(184,'TID_GATE_8','关卡8','','',''),(185,'TID_GATE_9','关卡9','','',''),(186,'TID_GATE_10','关卡10','','',''),(187,'TID_GATE_11','关卡11','','',''),(188,'TID_GATE_12','关卡12','','',''),(189,'TID_GATE_13','关卡13','','',''),(190,'TID_GATE_14','关卡14','','',''),(191,'TID_GATE_15','关卡15','','',''),(192,'TID_GATE_16','关卡16','','',''),(193,'TID_GATE_17','关卡17','','',''),(194,'TID_GATE_18','关卡18','','',''),(195,'TID_GATE_19','关卡19','','',''),(196,'TID_GATE_20','关卡20','','',''),(197,'TID_GATE_21','关卡21','','',''),(198,'TID_GATE_22','关卡22','','',''),(199,'TID_GATE_23','关卡23','','',''),(200,'TID_GATE_24','关卡24','','',''),(201,'TID_GATE_25','关卡25','','',''),(202,'TID_GATE_26','关卡26','','',''),(203,'TID_GATE_27','关卡27','','',''),(204,'TID_GATE_28','关卡28','','',''),(205,'TID_GATE_29','关卡29','','',''),(206,'TID_GATE_30','关卡30','','',''),(300,'UI_PacketWindow_Label_0','全部',NULL,NULL,NULL),(301,'UI_PacketWindow_Label_1','卡牌',NULL,NULL,NULL),(302,'UI_PacketWindow_Label_2','装备',NULL,NULL,NULL),(303,'UI_PacketWindow_Label_3','碎片',NULL,NULL,NULL),(304,'UI_PacketWindow_Label_4','宝箱',NULL,NULL,NULL),(305,'UI_PacketWindow_Label_5','符石',NULL,NULL,NULL);
/*!40000 ALTER TABLE `cfg_text_of_locals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_token_gift`
--

DROP TABLE IF EXISTS `cfg_token_gift`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_token_gift` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `typeId` int(11) DEFAULT NULL COMMENT '礼包id(最大255)',
  `plat` int(11) DEFAULT NULL COMMENT '平台(0:all,1:腾讯,2:九游,...)',
  `startTs` int(11) DEFAULT NULL COMMENT '开始生效时间戳',
  `expirets` int(11) DEFAULT NULL COMMENT '失效时间戳',
  `reward` varchar(255) DEFAULT NULL COMMENT '礼包内容: itemid,num;itemid,num...',
  `desc` varchar(255) DEFAULT NULL COMMENT '备注',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=73 DEFAULT CHARSET=utf8 COMMENT='兑换码礼包数据表\r\n';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_token_gift`
--

LOCK TABLES `cfg_token_gift` WRITE;
/*!40000 ALTER TABLE `cfg_token_gift` DISABLE KEYS */;
INSERT INTO `cfg_token_gift` VALUES (1,0,0,1597766460,1704038399,'2,300','五一礼包',NULL),(2,1,0,1597766460,1598198399,'2,500;1,5000','十一礼包',NULL),(3,2,0,1597766460,1598198399,'2,200;1,20000','圣诞节礼包',NULL),(4,3,0,1597766460,1598198399,'2,300;3110001,10','元旦礼包',NULL),(5,4,0,1597766460,1598198399,'2,500;3110001,10;1,50000','春节礼包',NULL),(6,5,0,1597766460,1598889599,'2,100','女神节礼包',NULL),(7,6,0,1597766460,1598889599,'2,200','光棍节礼包',NULL),(8,7,0,1597766460,1598889599,'2,500','父亲节礼包',NULL),(9,8,0,1597766460,1598889599,'2,500','母亲节礼包',NULL),(10,9,0,1597766460,1598889599,'2,500','情人节礼包',NULL),(11,10,0,1597766460,1598889599,'2,200','万圣节礼包',NULL),(12,11,0,1627747260,1640966399,'1,20000;2,300;3110003,20;3320001,10','意见反馈参与奖',NULL),(13,12,0,1627747260,1640966399,'1,100000;2,1000;3110003,80;3330001,30','意见反馈一等奖',NULL),(14,13,0,1627747260,1640966399,'1,80000;2,800;3110003,60;3330001,20','意见反馈二等奖',NULL),(15,14,0,1627747260,1640966399,'1,50000;2,500;3110003,40;3330001,10','意见反馈三等奖',NULL),(16,15,0,1627747260,1640966399,'2,200','BUG反馈奖',NULL),(17,16,0,1678291260,1680278399,'2,100;1,1000','累计签到1天',NULL),(18,17,0,1678291260,1680278399,'3320001,5;1,2000','累计签到2天',NULL),(19,18,0,1678291260,1680278399,'3330001,2;1,5000','累计签到3天',NULL),(20,19,0,1678291260,1680278399,'2,200;1,8000','累计签到4天',NULL),(21,20,0,1678291260,1680278399,'3320001,5;1,10000','累计签到5天',NULL),(22,21,0,1678291260,1680278399,'3330001,3;1,20000','累计签到6天',NULL),(23,22,0,1678291260,1680278399,'3330001,5;1,50000','累计签到7天',NULL),(24,23,0,1678931622,1710554022,'1,8888;2,100','华为新手礼包','0000-00-00 00:00:00'),(25,24,0,1685424820,1686844799,'1,5000','6月累计签到1天',NULL),(26,25,0,1685424820,1686844799,'3320001,1','6月累计签到2天',NULL),(27,26,0,1685424820,1686844799,'2,200','6月累计签到3天',NULL),(28,27,0,1685424820,1686844799,'3330001,1','6月累计签到4天',NULL),(29,28,0,1685424820,1686844799,'2,400','6月累计签到5天',NULL),(30,29,0,1685424820,1686844799,'3320001,2','6月累计签到6天',NULL),(31,30,0,1685424820,1686844799,'3330001,2','6月累计签到7天',NULL),(32,31,0,1686274847,1687363200,'1,5000','6月第二期签到1天',NULL),(33,32,0,1686274847,1687363200,'3320001,1','6月第二期签到2天',NULL),(34,33,0,1686274847,1687363200,'2,200','6月第二期签到3天',NULL),(35,34,0,1686274847,1687363200,'3330001,1','6月第二期签到4天',NULL),(36,35,0,1686274847,1687363200,'2,400','6月第二期签到5天',NULL),(37,36,0,1686274847,1687363200,'3320001,2','6月第二期签到6天',NULL),(38,37,0,1686274847,1687363200,'3330001,2','6月第二期签到7天',NULL),(39,38,0,1686274847,1687967999,'1,5000','端午签到第1天',NULL),(40,39,0,1686274847,1687967999,'3320001,1','端午签到第2天',NULL),(41,40,0,1686274847,1687967999,'2,200','端午签到第3天',NULL),(42,41,0,1686274847,1687967999,'3330001,1','端午签到第4天',NULL),(43,42,0,1686274847,1687967999,'2,400','端午签到第5天',NULL),(44,43,0,1686274847,1687967999,'3320001,2','端午签到第6天',NULL),(45,44,0,1686274847,1687967999,'3330001,2','端午签到第7天',NULL);
/*!40000 ALTER TABLE `cfg_token_gift` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_token_publicgift`
--

DROP TABLE IF EXISTS `cfg_token_publicgift`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_token_publicgift` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tokenCode` varchar(255) NOT NULL DEFAULT '' COMMENT '兑换码',
  `plat` int(11) NOT NULL DEFAULT '0',
  `reward` varchar(255) NOT NULL DEFAULT '' COMMENT '奖品',
  `startTs` int(11) NOT NULL DEFAULT '0',
  `expirets` int(11) NOT NULL DEFAULT '0',
  `desc` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_token_publicgift`
--

LOCK TABLES `cfg_token_publicgift` WRITE;
/*!40000 ALTER TABLE `cfg_token_publicgift` DISABLE KEYS */;
INSERT INTO `cfg_token_publicgift` VALUES (1,'zxcvasf',0,'1,100',1678171011,1679294211,'');
/*!40000 ALTER TABLE `cfg_token_publicgift` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_zonelist`
--

DROP TABLE IF EXISTS `cfg_zonelist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cfg_zonelist` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '数据id',
  `zoneid` int(11) NOT NULL COMMENT '分区id',
  `name` varchar(255) NOT NULL COMMENT '分区名称',
  `isNew` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否新区: 0,否; 1,新区',
  `isRecommended` bit(1) NOT NULL DEFAULT b'1' COMMENT '是否推荐: 0,否; 1,推荐',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '分区状态:1,new;2,maintain;3,hot',
  `publicTs` int(11) NOT NULL DEFAULT '0' COMMENT '分区什么时候开放的时间戳,设置确定后不要再改',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='分区列表, 运维时,管理分区的开启\r\n';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cfg_zonelist`
--

LOCK TABLES `cfg_zonelist` WRITE;
/*!40000 ALTER TABLE `cfg_zonelist` DISABLE KEYS */;
INSERT INTO `cfg_zonelist` VALUES (1,1,'原子都市','\0','\0',3,1498838400,'2021-04-16 02:14:29'),(2,2,'梦幻之海','','',1,1686096000,'2023-06-09 03:17:25');
/*!40000 ALTER TABLE `cfg_zonelist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fls_cfg`
--

DROP TABLE IF EXISTS `fls_cfg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fls_cfg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `moduleName` varchar(50) NOT NULL COMMENT '数据模块名称(访问的时候将以模块名进行访问)',
  `valueDataType` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '数据结构类型: 0(默认) key -> hash, 1 key -> string, 2 key -> array',
  `flushType` int(10) unsigned NOT NULL COMMENT '刷入内存DB时的数据结构类型: 0 string, 1(默认) hash',
  `dataSite` int(10) unsigned NOT NULL DEFAULT '3' COMMENT '数据存在的位置: 1: 服务端, 2: 客户端, 3(默认): 双端.',
  `tableName` varchar(50) NOT NULL COMMENT '数据库中表名称',
  `keyName` varchar(50) NOT NULL COMMENT 'key,支持逗号和冒号分割的2级(个)key.',
  `valueName` varchar(50) NOT NULL DEFAULT '' COMMENT '当数据结构类型为1时有效',
  `exFieldNames` varchar(50) NOT NULL DEFAULT '' COMMENT '从表格中排除的字段,逗号间隔字符串,将会转换为string[] ',
  `description` varchar(50) NOT NULL DEFAULT '' COMMENT '模块说明',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=1810 DEFAULT CHARSET=utf8 COMMENT='刷数据工具专用配置表-具体字段的意义见字段注释\r\nPs. 有个bug, 如果选择了valuedatatype为1的模式, 那么注意必须要把说明字段名命名为description.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fls_cfg`
--

LOCK TABLES `fls_cfg` WRITE;
/*!40000 ALTER TABLE `fls_cfg` DISABLE KEYS */;
INSERT INTO `fls_cfg` VALUES (1,'globalsettings',1,1,3,'cfg_globals','name','value','id,lastupdate,description','全局参数','2017-11-08 02:10:07'),(15,'task',0,1,3,'cfg_task','typeId','','id,lastupdate','任务','2017-04-26 00:58:54'),(25,'localtexts',0,1,2,'cfg_text_of_locals','tid','','id,korea','国际化文本','2017-11-28 03:38:36'),(83,'service_schedule',0,1,3,'cfg_service_schedule','id','','','停服计划','2018-02-08 02:53:13'),(1012,'task_step',0,1,3,'cfg_task_step','id','','lastupdate','任务步骤','2020-12-09 05:54:02'),(34,'sysmail',0,1,1,'cfg_sysmail','id','','tid,lastupdate','系统邮件','2017-08-30 08:53:34'),(65,'clientVersionHistory',0,1,3,'cfg_client_versionhistory','ver','','id,lastupdate','客户端版本信息','2020-06-28 04:03:38'),(84,'zonelist',0,1,1,'cfg_zonelist','zoneid','','id,lastupdate','分区列表','2019-11-22 08:30:13'),(77,'errmsg',0,1,3,'cfg_errmsg','no','','id,lastupdate','错误信息表','2020-11-19 06:02:12'),(701,'activity_day7',0,1,3,'cfg_activity_day7','day','','id,lastupdate','活动: 七日签到','2023-05-19 08:44:27'),(1807,'token_PublicGift',0,1,3,'cfg_token_PublicGift','tokenCode','','','公共兑换码','2023-03-07 09:35:43'),(703,'activity_tiligift',0,1,3,'cfg_activity_tiligift','id','','lastupdate','活动: 体力加油站','2023-05-22 03:43:09'),(707,'activity_levelgift',0,1,3,'cfg_activity_levelgift','id','','lastupdate','活动: 等级礼包','2023-05-22 03:42:53');
/*!40000 ALTER TABLE `fls_cfg` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-07-06  8:58:22
